/****** Object:  User [nebula]    Script Date: 06/05/2007 23:16:32 ******/
GO
IF NOT EXISTS (SELECT * FROM sys.database_principals WHERE name = N'nebula')
CREATE USER [nebula] FOR LOGIN [nebula] WITH DEFAULT_SCHEMA=[dbo]
GO
/****** Object:  Schema [admin]    Script Date: 06/05/2007 23:16:32 ******/
IF NOT EXISTS (SELECT * FROM sys.schemas WHERE name = N'admin')
EXEC sys.sp_executesql N'CREATE SCHEMA [admin] AUTHORIZATION [admin]'

GO
/****** Object:  Table [dbo].[lsPaymentMethods]    Script Date: 06/05/2007 23:16:32 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lsPaymentMethods]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[lsPaymentMethods](
	[PaymentMethod] [nvarchar](20) NOT NULL,
	[ExternalAccess] [bit] NOT NULL CONSTRAINT [DF__Temporary__Exter__15DA3E5D]  DEFAULT (0),
	[Inactive] [bit] NOT NULL CONSTRAINT [DF__Temporary__Inact__16CE6296]  DEFAULT (0),
	[EditStamp] [timestamp] NOT NULL,
 CONSTRAINT [PK_lsPaymentMethods] PRIMARY KEY NONCLUSTERED 
(
	[PaymentMethod] ASC
)WITH (IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
END
GO
/****** Object:  Table [dbo].[lsItemFamilies]    Script Date: 06/05/2007 23:16:32 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lsItemFamilies]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[lsItemFamilies](
	[FamilyID] [varchar](50) NOT NULL,
	[Description] [varchar](50) NULL,
	[PictureURL] [varchar](50) NULL,
	[EditStamp] [timestamp] NOT NULL,
 CONSTRAINT [PK_lsItemFamilies] PRIMARY KEY NONCLUSTERED 
(
	[FamilyID] ASC
)WITH (IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
END
GO
/****** Object:  Table [dbo].[lsTerms]    Script Date: 06/05/2007 23:16:32 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lsTerms]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[lsTerms](
	[Term] [varchar](50) NOT NULL,
	[Standard] [bit] NOT NULL CONSTRAINT [DF__Temporary__Stand__078C1F06]  DEFAULT (0),
	[DayTillNetDue] [smallint] NULL CONSTRAINT [DF__Temporary__DayTi__0880433F]  DEFAULT (0),
	[Discount] [float] NULL CONSTRAINT [DF__Temporary__Disco__09746778]  DEFAULT (0),
	[DaysTillDiscountExpires] [smallint] NULL CONSTRAINT [DF__Temporary__DaysT__0A688BB1]  DEFAULT (0),
	[DayOfMonthNetDue] [smallint] NULL CONSTRAINT [DF__Temporary__DayOf__0C50D423]  DEFAULT (0),
	[DueNextMonthIfWithinDays] [smallint] NULL CONSTRAINT [DF__Temporary__DueNe__0D44F85C]  DEFAULT (0),
	[Discount1] [float] NULL CONSTRAINT [DF__Temporary__Disco__0E391C95]  DEFAULT (0),
	[DayDiscountExpires] [smallint] NULL CONSTRAINT [DF__Temporary__DayDi__0F2D40CE]  DEFAULT (0),
	[Inactive] [bit] NOT NULL CONSTRAINT [DF__Temporary__Inact__10216507]  DEFAULT (0),
	[upsize_ts] [timestamp] NULL,
 CONSTRAINT [PK_lsTerms] PRIMARY KEY NONCLUSTERED 
(
	[Term] ASC
)WITH (IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
END
GO
/****** Object:  Table [dbo].[lsItemCategories]    Script Date: 06/05/2007 23:16:32 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lsItemCategories]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[lsItemCategories](
	[CategoryID] [varchar](50) NOT NULL,
	[Description] [varchar](50) NULL,
	[PictureURL] [varchar](50) NULL,
	[familyID] [varchar](50) NULL,
	[EditStamp] [timestamp] NOT NULL,
 CONSTRAINT [PK_lsItemCategories] PRIMARY KEY NONCLUSTERED 
(
	[CategoryID] ASC
)WITH (IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
END
GO
/****** Object:  StoredProcedure [dbo].[AllItems]    Script Date: 06/05/2007 23:16:32 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[AllItems]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[AllItems] @CID varchar(50) AS 
-- returns the list of items for the shopping cart
SELECT CategoryID, PictureURL, ItemName as Name, SalesDescription as Description, SalesPrice as Price from lsItems where CategoryID=@CID

' 
END
GO
/****** Object:  Table [dbo].[lsShippingMethods]    Script Date: 06/05/2007 23:16:32 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lsShippingMethods]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[lsShippingMethods](
	[ShippingMethod] [varchar](50) NOT NULL,
	[AccountNo] [varchar](50) NULL,
	[Inactive] [bit] NOT NULL CONSTRAINT [DF__Temporary__Inact__6D9742D9]  DEFAULT (0),
	[EditStamp] [timestamp] NOT NULL,
 CONSTRAINT [PK_lsShippingMethods] PRIMARY KEY NONCLUSTERED 
(
	[ShippingMethod] ASC
)WITH (IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
END
GO
/****** Object:  Table [dbo].[lsClasses]    Script Date: 06/05/2007 23:16:32 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lsClasses]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[lsClasses](
	[ClassName] [varchar](50) NOT NULL,
	[Subclass] [bit] NOT NULL CONSTRAINT [DF__Temporary__Subcl__24927208]  DEFAULT (0),
	[ClassName1] [varchar](50) NULL CONSTRAINT [DF__Temporary__Class__25869641]  DEFAULT (0),
	[Inactive] [bit] NOT NULL CONSTRAINT [DF__Temporary__Inact__267ABA7A]  DEFAULT (0),
	[EditStamp] [timestamp] NOT NULL,
 CONSTRAINT [PK_lsClasses] PRIMARY KEY NONCLUSTERED 
(
	[ClassName] ASC
)WITH (IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
END
GO
/****** Object:  StoredProcedure [dbo].[GetGroupID]    Script Date: 06/05/2007 23:16:32 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[GetGroupID]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[GetGroupID] AS
BEGIN TRANSACTION
-- generates a pseudo-random group id for checks (to use in Pay Multiple Vendors screen)
DECLARE @D AS datetime
SELECT @D = CURRENT_TIMESTAMP
SELECT CONVERT(varchar,@D,101) + CONVERT(VARCHAR, DatePart(hh,@D)) + CONVERT(VARCHAR, DatePart(mi,@D)) + CONVERT(VARCHAR, DatePart(ss,@D)) + CONVERT(VARCHAR, DatePart(ms,@D)) AS GroupID
COMMIT TRANSACTION

' 
END
GO
/****** Object:  StoredProcedure [dbo].[getItems3]    Script Date: 06/05/2007 23:16:32 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[getItems3]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[getItems3] AS
-- Optimized routine to load the item names list
SELECT ''<option value="'' + ItemName + ''">''+ItemName+''</option>''+CHAR(13) AS OptionName FROM lsItems ORDER BY ItemName

' 
END
GO
/****** Object:  Table [dbo].[lsCustomerTypes]    Script Date: 06/05/2007 23:16:32 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lsCustomerTypes]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[lsCustomerTypes](
	[CustomerType] [varchar](50) NOT NULL,
	[Inactive] [bit] NOT NULL CONSTRAINT [DF__Temporary__Inact__5629CD9C]  DEFAULT (0),
	[EditStamp] [timestamp] NOT NULL,
 CONSTRAINT [PK_lsCustomerTypes] PRIMARY KEY NONCLUSTERED 
(
	[CustomerType] ASC
)WITH (IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
END
GO
/****** Object:  StoredProcedure [dbo].[GetNewDocNumber]    Script Date: 06/05/2007 23:16:32 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[GetNewDocNumber]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[GetNewDocNumber] @Type varchar(20) AS
DECLARE @NewNo varchar(20)
-- gets the next available document number for different types of transactions. These
-- values are read from the DocNumbers table.
BEGIN TRANSACTION
IF @Type=''INV'' 
BEGIN
 SELECT @NewNo = convert(varchar, CASE WHEN ((SELECT MAX(Invoices) + 1 FROM DocNumbers) IS NULL) THEN 1000 ELSE (SELECT MAX(Invoices) + 1 FROM DocNumbers) END)
 UPDATE DocNumbers SET Invoices=@NewNo
END
ELSE IF @Type=''ORD'' 
BEGIN
 SELECT @NewNo = convert(varchar, CASE WHEN ((SELECT MAX(Orders) + 1 FROM DocNumbers) IS NULL) THEN 1000 ELSE (SELECT MAX(Orders) + 1 FROM DocNumbers) END)
 UPDATE DocNumbers SET Orders = @NewNo
END
ELSE IF @Type=''BP'' 
BEGIN
 SELECT @NewNo = convert(varchar, CASE WHEN ((SELECT MAX(BillPmt) + 1 FROM DocNumbers) IS NULL) THEN 1000 ELSE (SELECT MAX(BillPmt) + 1 FROM DocNumbers) END)
 UPDATE DocNumbers SET BillPmt = @NewNo
END
ELSE IF @Type=''CP'' 
BEGIN
 SELECT @NewNo = convert(varchar, CASE WHEN ((SELECT MAX(CustPmt) + 1 FROM DocNumbers) IS NULL) THEN 1000 ELSE (SELECT MAX(CustPmt) + 1 FROM DocNumbers) END)
 UPDATE DocNumbers SET CustPmt = @NewNo
END
ELSE IF @Type=''CC'' 
BEGIN
 SELECT @NewNo = convert(varchar, CASE WHEN ((SELECT MAX(CustCredits) + 1 FROM DocNumbers) IS NULL) THEN 1000 ELSE (SELECT MAX(CustCredits) + 1 FROM DocNumbers) END)
 UPDATE DocNumbers SET CustCredits = @NewNo
END
ELSE IF @Type=''CHECK'' 
BEGIN
 SELECT @NewNo = convert(varchar, CASE WHEN ((SELECT MAX(CheckNo) + 1 FROM DocNumbers) IS NULL) THEN 1000 ELSE (SELECT MAX(CheckNo) + 1 FROM DocNumbers) END)
 UPDATE DocNumbers SET CheckNo = @NewNo
END
ELSE IF @Type=''TF'' 
BEGIN
 SELECT @NewNo = convert(varchar, CASE WHEN ((SELECT MAX(Transfers) + 1 FROM DocNumbers) IS NULL) THEN 1000 ELSE (SELECT MAX(Transfers) + 1 FROM DocNumbers) END)
 UPDATE DocNumbers SET Transfers = @NewNo
END
ELSE IF @Type=''BILL'' 
BEGIN
 SELECT @NewNo = convert(varchar, CASE WHEN ((SELECT MAX(Vouchers) + 1 FROM DocNumbers) IS NULL) THEN 1000 ELSE (SELECT MAX(Vouchers) + 1 FROM DocNumbers) END)
 UPDATE DocNumbers SET Vouchers = @NewNo
END
ELSE IF @Type=''INVADJ'' 
BEGIN
 SELECT @NewNo = convert(varchar, CASE WHEN ((SELECT MAX(Adjustment) + 1 FROM DocNumbers) IS NULL) THEN 1000 ELSE (SELECT MAX(Adjustment) + 1 FROM DocNumbers) END)
 UPDATE DocNumbers SET Adjustment = @NewNo
END
ELSE IF @Type=''TT'' 
BEGIN
 SELECT @NewNo = convert(varchar, CASE WHEN ((SELECT MAX(TimeTracking) + 1 FROM DocNumbers) IS NULL) THEN 1000 ELSE (SELECT MAX(TimeTracking) + 1 FROM DocNumbers) END)
 UPDATE DocNumbers SET TimeTracking = @NewNo
END
ELSE SELECT @NewNo = ''1000'' 
SELECT @NewNo AS NewNo
COMMIT TRANSACTION

' 
END
GO
/****** Object:  Table [dbo].[Company]    Script Date: 06/05/2007 23:16:32 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Company]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[Company](
	[CompanyID] [int] NOT NULL,
	[CompanyName] [varchar](50) NULL,
	[LegalName] [varchar](50) NULL,
	[Address1] [varchar](50) NULL,
	[Address2] [varchar](50) NULL,
	[City] [varchar](50) NULL,
	[State] [varchar](50) NULL,
	[Zip] [varchar](10) NULL,
	[Country] [varchar](50) NULL,
	[Phone] [varchar](25) NULL,
	[Fax] [varchar](25) NULL,
	[email] [varchar](50) NULL,
	[website] [varchar](50) NULL,
	[FirstFiscalMonth] [varchar](50) NULL,
	[PictureURL] [char](10) NULL,
	[ConfirmDeletion] [bit] NOT NULL CONSTRAINT [DF_Company_TrackCCP]  DEFAULT ((1)),
	[UseAN] [bit] NOT NULL CONSTRAINT [DF_Company_UseAN]  DEFAULT ((1)),
	[DefaultCT] [int] NULL,
	[DefaultIT] [int] NULL,
	[DefaultSM] [varchar](50) NULL,
	[AgingReportUse] [bit] NOT NULL CONSTRAINT [DF_Company_AgingReportUse]  DEFAULT ((0)),
	[TaxFreight] [bit] NOT NULL CONSTRAINT [DF_Company_TaxFreight]  DEFAULT ((1)),
	[DefaultSalesTax] [varchar](50) NULL,
	[ChargeHandling] [bit] NOT NULL CONSTRAINT [DF_Company_ChargeHandling]  DEFAULT ((0)),
	[HandlingAsPercent] [bit] NOT NULL CONSTRAINT [DF_Company_HandlingAsPercent]  DEFAULT ((0)),
	[HandlingAmount] [float] NULL CONSTRAINT [DF_Company_HandlingAmount]  DEFAULT ((0)),
	[CurrencySymbol] [varchar](10) NULL CONSTRAINT [DF_Company_CurrencySymbol]  DEFAULT ('$'),
	[EditStamp] [timestamp] NOT NULL,
 CONSTRAINT [PK_Company] PRIMARY KEY CLUSTERED 
(
	[CompanyID] ASC
)WITH (IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
END
GO
/****** Object:  Table [dbo].[lsTaxGroups]    Script Date: 06/05/2007 23:16:32 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lsTaxGroups]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[lsTaxGroups](
	[TaxGroupID] [varchar](10) NOT NULL,
	[TaxGroupName] [varchar](50) NULL,
	[TotalPercent] [float] NULL,
	[Inactive] [bit] NOT NULL CONSTRAINT [DF_lsTaxGroups_Inactive]  DEFAULT (0),
	[IsDefault] [bit] NOT NULL CONSTRAINT [DF_lsTaxGroups_IsDefault]  DEFAULT (0),
	[EditStamp] [timestamp] NOT NULL,
 CONSTRAINT [PK_lsTaxGroups] PRIMARY KEY NONCLUSTERED 
(
	[TaxGroupID] ASC
)WITH (IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
END
GO

/****** Object:  Trigger [G_DTrig]    Script Date: 06/05/2007 23:16:32 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TRIGGER [G_DTrig] ON [dbo].[lsTaxGroups] FOR DELETE AS
SET NOCOUNT ON

DELETE "lsTaxGroupDetail" FROM deleted, "lsTaxGroupDetail" WHERE deleted."TaxGroupID" = "lsTaxGroupDetail"."GrpID"

GO

/****** Object:  Trigger [G_UTrig]    Script Date: 06/05/2007 23:16:32 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TRIGGER [G_UTrig] ON [dbo].[lsTaxGroups] FOR UPDATE AS
SET NOCOUNT ON

IF UPDATE("TaxGroupID")
    BEGIN
       UPDATE "lsTaxGroupDetail"
       SET "lsTaxGroupDetail"."GrpID" = inserted."TaxGroupID"
       FROM "lsTaxGroupDetail", deleted, inserted
       WHERE deleted."TaxGroupID" = "lsTaxGroupDetail"."GrpID"

    END

GO
/****** Object:  StoredProcedure [dbo].[rptItems]    Script Date: 06/05/2007 23:16:32 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[rptItems]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[rptItems] AS
SELECT ItemName, SalesDescription, CASE (ItemType) WHEN 1 THEN ''Inventory Part'' 
   WHEN 5 THEN ''Non Inventory Part'' 
   WHEN 9 THEN ''Service'' END AS ItemType, 
   QuantityOnHand,SalesPrice FROM
   lsItems ORDER BY ItemName

' 
END
GO
/****** Object:  Table [dbo].[DocNumbers]    Script Date: 06/05/2007 23:16:32 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[DocNumbers]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[DocNumbers](
	[CompanyID] [int] NOT NULL,
	[CheckNo] [int] NOT NULL CONSTRAINT [DF_DocNumbers_CheckNo]  DEFAULT ((1000)),
	[Vouchers] [int] NOT NULL CONSTRAINT [DF_DocNumbers_Vouchers]  DEFAULT ((1000)),
	[Orders] [int] NOT NULL CONSTRAINT [DF_DocNumbers_Orders]  DEFAULT ((1000)),
	[BillPmt] [int] NOT NULL CONSTRAINT [DF_DocNumbers_BillPmt]  DEFAULT ((1000)),
	[Invoices] [int] NOT NULL CONSTRAINT [DF_DocNumbers_Invoices]  DEFAULT ((1000)),
	[CustCredits] [int] NOT NULL CONSTRAINT [DF_DocNumbers_CustCredits]  DEFAULT ((1000)),
	[CustPmt] [int] NOT NULL CONSTRAINT [DF_DocNumbers_CustPmt]  DEFAULT ((1000)),
	[Adjustment] [int] NOT NULL CONSTRAINT [DF_DocNumbers_Adjustment]  DEFAULT ((1000)),
	[TimeTracking] [int] NOT NULL CONSTRAINT [DF_DocNumbers_TimeTracking]  DEFAULT ((1000)),
	[Transfers] [int] NOT NULL CONSTRAINT [DF_DocNumbers_Transfers]  DEFAULT ((1000)),
	[EditStamp] [timestamp] NOT NULL,
 CONSTRAINT [PK_DocNumbers] PRIMARY KEY CLUSTERED 
(
	[CompanyID] ASC
)WITH (IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
END
GO
/****** Object:  Table [dbo].[lsVendorTypes]    Script Date: 06/05/2007 23:16:32 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lsVendorTypes]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[lsVendorTypes](
	[VendorType] [nvarchar](30) NOT NULL,
	[Inactive] [bit] NOT NULL CONSTRAINT [DF__Temporary__Inact__7C1A6C5A]  DEFAULT (0),
	[EditStamp] [timestamp] NOT NULL,
 CONSTRAINT [PK_lsVendorTypes] PRIMARY KEY NONCLUSTERED 
(
	[VendorType] ASC
)WITH (IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
END
GO
/****** Object:  Table [dbo].[GeneralJournalEntry]    Script Date: 06/05/2007 23:16:32 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[GeneralJournalEntry]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[GeneralJournalEntry](
	[EntryNo] [nvarchar](20) NOT NULL,
	[Date] [datetime] NULL,
	[TrType] [int] NULL,
	[TrID] [varchar](50) NULL,
	[SystemGenerated] [bit] NOT NULL CONSTRAINT [DF_GeneralJournalEntry_SystemGenerated]  DEFAULT (0),
	[PostedYN] [bit] NOT NULL CONSTRAINT [DF_GeneralJournalEntry_PostedYN]  DEFAULT (0),
	[EditStamp] [timestamp] NOT NULL,
 CONSTRAINT [PK_GeneralJournalEntry] PRIMARY KEY NONCLUSTERED 
(
	[EntryNo] ASC
)WITH (IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
END
GO

/****** Object:  Trigger [GL_DTrig]    Script Date: 06/05/2007 23:16:32 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TRIGGER [GL_DTrig] ON [dbo].[GeneralJournalEntry] FOR DELETE AS
SET NOCOUNT ON

DELETE "GeneralJournalDetail" FROM deleted, "GeneralJournalDetail" WHERE deleted."EntryNo" = "GeneralJournalDetail"."EntryNo"


GO

/****** Object:  Trigger [GL_UTrig]    Script Date: 06/05/2007 23:16:32 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TRIGGER [GL_UTrig] ON [dbo].[GeneralJournalEntry] FOR UPDATE AS
SET NOCOUNT ON

IF UPDATE("EntryNo")
    BEGIN
       UPDATE "GeneralJournalDetail"
       SET "GeneralJournalDetail"."EntryNo" = inserted."EntryNo"
       FROM "GeneralJournalDetail", deleted, inserted
       WHERE deleted."EntryNo" = "GeneralJournalDetail"."EntryNo"

    END
GO
/****** Object:  Table [dbo].[lsAccountTypes]    Script Date: 06/05/2007 23:16:32 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lsAccountTypes]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[lsAccountTypes](
	[Description] [varchar](50) NOT NULL,
	[EditStamp] [timestamp] NOT NULL,
 CONSTRAINT [aaaaalsAccountType_PK] PRIMARY KEY NONCLUSTERED 
(
	[Description] ASC
)WITH (IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
END
GO
/****** Object:  Table [dbo].[OpBalWork]    Script Date: 06/05/2007 23:16:32 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[OpBalWork]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[OpBalWork](
	[AccountID] [varchar](50) NULL CONSTRAINT [DF_OpBalWork_AccountID]  DEFAULT (0),
	[AccBalType] [int] NULL CONSTRAINT [DF_OpBalWork_AccBalType]  DEFAULT (0),
	[OpeningBalance] [float] NULL CONSTRAINT [DF_OpBalWork_OpeningBalance]  DEFAULT (0),
	[EditStamp] [timestamp] NOT NULL
) ON [PRIMARY]
END
GO
/****** Object:  Table [dbo].[lsCustomerMessages]    Script Date: 06/05/2007 23:16:32 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lsCustomerMessages]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[lsCustomerMessages](
	[CustomerMessage] [varchar](50) NOT NULL,
	[Inactive] [bit] NOT NULL CONSTRAINT [DF__Temporary__Inact__12FDD1B2]  DEFAULT (0),
	[EditStamp] [timestamp] NOT NULL,
 CONSTRAINT [PK_lsCustomerMessages] PRIMARY KEY NONCLUSTERED 
(
	[CustomerMessage] ASC
)WITH (IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
END
GO
/****** Object:  Table [dbo].[lsMemorized]    Script Date: 06/05/2007 23:16:32 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lsMemorized]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[lsMemorized](
	[Name] [varchar](50) NOT NULL,
	[TrType] [varchar](20) NULL,
	[TransID] [varchar](50) NULL,
	[EditStamp] [timestamp] NOT NULL,
 CONSTRAINT [PK_lsMemorized] PRIMARY KEY NONCLUSTERED 
(
	[Name] ASC
)WITH (IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
END
GO
/****** Object:  Table [dbo].[Months]    Script Date: 06/05/2007 23:16:32 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Months]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[Months](
	[MonthID] [int] NOT NULL,
	[Name] [nvarchar](20) NULL,
	[EditStamp] [timestamp] NOT NULL,
 CONSTRAINT [PK_Months] PRIMARY KEY CLUSTERED 
(
	[MonthID] ASC
)WITH (IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
END
GO
/****** Object:  Table [dbo].[lsTaxGroupDetail]    Script Date: 06/05/2007 23:16:32 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lsTaxGroupDetail]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[lsTaxGroupDetail](
	[GrpID] [varchar](10) NOT NULL,
	[TaxID] [varchar](10) NOT NULL,
	[Description] [varchar](50) NULL,
	[Account] [varchar](50) NULL,
	[TaxPercent] [float] NULL,
	[EditStamp] [timestamp] NOT NULL,
 CONSTRAINT [PK_lsTaxGroupDetail] PRIMARY KEY CLUSTERED 
(
	[GrpID] ASC,
	[TaxID] ASC
)WITH (IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
END
GO

/****** Object:  Index [SK_TaxID]    Script Date: 06/05/2007 23:16:32 ******/
IF NOT EXISTS (SELECT * FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[lsTaxGroupDetail]') AND name = N'SK_TaxID')
CREATE NONCLUSTERED INDEX [SK_TaxID] ON [dbo].[lsTaxGroupDetail] 
(
	[TaxID] ASC
)WITH (IGNORE_DUP_KEY = OFF) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[csCustomerPaymentDetails]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[csCustomerPaymentDetails]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[csCustomerPaymentDetails](
	[Reference] [varchar](50) NOT NULL,
	[FID] [varchar](50) NOT NULL,
	[ToPay] [money] NULL CONSTRAINT [DF_csCustomerPaymentDetails_ToPay_1]  DEFAULT (0),
	[textboxAmount] [money] NULL CONSTRAINT [DF_csCustomerPaymentDetails_textboxAmount]  DEFAULT (0),
	[EditStamp] [timestamp] NOT NULL,
 CONSTRAINT [PK_csCustomerPaymentDetails] PRIMARY KEY NONCLUSTERED 
(
	[Reference] ASC,
	[FID] ASC
)WITH (IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
END
GO
/****** Object:  Table [dbo].[vpBillPaymentDetails]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[vpBillPaymentDetails]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[vpBillPaymentDetails](
	[Reference] [varchar](50) NOT NULL,
	[FID] [varchar](50) NOT NULL,
	[textboxAmount] [money] NULL,
	[EditStamp] [timestamp] NOT NULL,
 CONSTRAINT [PK_vpBillPaymentDetails] PRIMARY KEY NONCLUSTERED 
(
	[Reference] ASC,
	[FID] ASC
)WITH (IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
END
GO
/****** Object:  StoredProcedure [dbo].[sp_get_NewGroupID]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_get_NewGroupID]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_get_NewGroupID]

AS
	BEGIN
		BEGIN TRANSACTION
		-- generates a pseudo-random group id for checks (to use in Pay Multiple Vendors screen)
		SET NOCOUNT ON
		DECLARE @D AS datetime
		SELECT @D = CURRENT_TIMESTAMP
		SELECT CONVERT(varchar,@D,101) + CONVERT(VARCHAR, DatePart(hh,@D)) + CONVERT(VARCHAR, DatePart(mi,@D)) + CONVERT(VARCHAR, DatePart(ss,@D)) + CONVERT(VARCHAR, DatePart(ms,@D)) AS GroupID
		COMMIT TRANSACTION
	END
RETURN
' 
END
GO
/****** Object:  Table [dbo].[GeneralJournalDetail]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[GeneralJournalDetail]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[GeneralJournalDetail](
	[EntryNo] [varchar](50) NOT NULL CONSTRAINT [DF__Temporary__Gener__37A5467C]  DEFAULT (0),
	[No] [int] NOT NULL CONSTRAINT [DF__TemporaryUps__No__38996AB5]  DEFAULT (0),
	[Account] [varchar](50) NULL CONSTRAINT [DF__Temporary__Accou__398D8EEE]  DEFAULT (0),
	[Debit] [money] NULL CONSTRAINT [DF__Temporary__Debit__3A81B327]  DEFAULT (0),
	[Credit] [money] NULL CONSTRAINT [DF__Temporary__Credi__3B75D760]  DEFAULT (0),
	[Memo] [varchar](50) NULL,
	[EditStamp] [timestamp] NOT NULL,
 CONSTRAINT [PK_GeneralJournalDetail] PRIMARY KEY NONCLUSTERED 
(
	[EntryNo] ASC,
	[No] ASC
)WITH (IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
END
GO
/****** Object:  Table [dbo].[Commissions]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Commissions]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[Commissions](
	[ID] [int] IDENTITY(1,1) NOT NULL,
	[EmpName] [varchar](50) NULL,
	[Date] [datetime] NULL,
	[Amount] [money] NULL CONSTRAINT [DF_Commissions_Amount]  DEFAULT (0),
	[PaidYN] [bit] NOT NULL CONSTRAINT [DF_Commissions_PaidYN]  DEFAULT (0),
	[EditStamp] [timestamp] NOT NULL,
 CONSTRAINT [PK_Commissions] PRIMARY KEY NONCLUSTERED 
(
	[ID] ASC
)WITH (IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
END
GO
/****** Object:  StoredProcedure [dbo].[testRelatedData]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[testRelatedData]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'CREATE procedure [dbo].[testRelatedData]
	(
	@tblName nvarchar(255),				-- table name
	@clmnName nvarchar(50),				-- table unique key
	@clmnValue nvarchar(255),			-- value of	unique key
	@result bit	out						
	)
AS

BEGIN

-- DECLARE LOCAL VARIABLES --
DECLARE @to_column varchar(127), @from_table varchar(127), @from_column varchar(127), @countrecord int, @param nvarchar(50)
Declare @query nvarchar(512)

-- DECLARE CURSOR OF CONSTRAINT COLUMN, FK TABLE NAME, FK COLUMN NAME  --
DECLARE ColumnCrsr CURSOR FOR
select sys.syscolumns.name, b.fromtbl, b.fromclmn
from
(SELECT a.referenced_object_id as totbl, a.referenced_column_id as toclmn, sys.sysobjects.name as fromtbl, sys.syscolumns.name as fromclmn
  FROM 
	(SELECT sys.foreign_key_columns.* 
		FROM  sys.foreign_key_columns, sys.sysobjects
		where sys.foreign_key_columns.referenced_object_id=sys.sysobjects.id and sys.sysobjects.name=@tblName) a,
sys.sysobjects,
sys.syscolumns
where sys.sysobjects.id=a.parent_object_id and sys.syscolumns.id=a.parent_object_id and  sys.syscolumns.colid=a.parent_column_id) b, 
sys.syscolumns
where sys.syscolumns.id=b.totbl and  sys.syscolumns.colid=b.toclmn

-- SET DEFAULT RESULT: RELATED DATA ARE ABSENT --
set @result=1  

OPEN ColumnCrsr

FETCH NEXT FROM ColumnCrsr INTO @to_column , @from_table , @from_column 

WHILE (@@FETCH_STATUS = 0)and(@result=1)
BEGIN
	set @countrecord= 0
	-- THE QUERY BUILDING -- 
	set @query = N''select @ccc = count(*) from '' + @tblName+N'',''+@from_table+N'' where ''+@from_table +N''.'' +@from_column +N'' = ''+@tblName+N''.''+ @to_column+N'' and ''+@tblName+N''.''+@clmnName+N''=''''''+@clmnValue+''''''''
	set @param = N''@ccc int output''
	-- EXECUTE QUERY. GET COUNT OF RELATED RECORDS -- 
	exec sp_executesql @query, @param, @countrecord output
	
	if ( @countrecord > 0 ) 
		set @result = 0	-- SET RESULT: RELATED DATA ARE PRESENT
	FETCH NEXT FROM ColumnCrsr INTO @to_column , @from_table , @from_column
END

CLOSE ColumnCrsr
DEALLOCATE ColumnCrsr
END

' 
END
GO
/****** Object:  Table [dbo].[GLWorkDetail]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[GLWorkDetail]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[GLWorkDetail](
	[GLID] [varchar](50) NOT NULL,
	[No] [char](10) NOT NULL,
	[Credit] [money] NULL,
	[Debit] [money] NULL,
	[Memo] [varchar](50) NULL,
	[Account] [varchar](50) NULL,
	[EditStamp] [timestamp] NOT NULL,
 CONSTRAINT [PK_GLWorkDetail] PRIMARY KEY NONCLUSTERED 
(
	[GLID] ASC,
	[No] ASC
)WITH (IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
END
GO
/****** Object:  Table [dbo].[csOrderTracking]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[csOrderTracking]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[csOrderTracking](
	[OrderNo] [varchar](50) NULL,
	[InvoiceNo] [varchar](50) NULL,
	[EditStamp] [timestamp] NOT NULL
) ON [PRIMARY]
END
GO
/****** Object:  Table [dbo].[Users]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Users]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[Users](
	[LoginID] [nchar](10) NULL,
	[Username] [varchar](20) NOT NULL,
	[Password] [varchar](20) NULL CONSTRAINT [DF_Users_Password]  DEFAULT (''),
	[GroupLevel] [nchar](10) NULL,
	[EditStamp] [timestamp] NOT NULL,
 CONSTRAINT [PK_Users] PRIMARY KEY NONCLUSTERED 
(
	[Username] ASC
)WITH (IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
END
GO
/****** Object:  Table [dbo].[lsCustomersShipTo]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lsCustomersShipTo]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[lsCustomersShipTo](
	[CustomerName] [varchar](50) NOT NULL,
	[ShipingAddressID] [int] NOT NULL,
	[ShippingAddress] [varchar](50) NULL,
	[City] [varchar](50) NULL,
	[State] [varchar](10) NULL,
	[Zip] [varchar](10) NULL,
	[Country] [varchar](50) NULL,
	[EditStamp] [timestamp] NOT NULL,
 CONSTRAINT [PK_lsCustomersShipTo] PRIMARY KEY CLUSTERED 
(
	[CustomerName] ASC,
	[ShipingAddressID] ASC
)WITH (IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
END
GO
/****** Object:  Table [dbo].[bCheckDetails]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[bCheckDetails]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[bCheckDetails](
	[CheckID] [int] NOT NULL,
	[InvDate] [datetime] NULL,
	[InvRef] [nvarchar](20) NOT NULL CONSTRAINT [DF_bCheckDetails_InvRef]  DEFAULT (''),
	[InvOrigAmount] [money] NULL CONSTRAINT [DF_bCheckDetails_InvOrigAmount]  DEFAULT (0),
	[Amount] [money] NULL CONSTRAINT [DF_bCheckDetails_Amount]  DEFAULT (0),
	[BillID] [varchar](50) NULL,
	[EditStamp] [timestamp] NOT NULL,
 CONSTRAINT [PK_bCheckDetails] PRIMARY KEY NONCLUSTERED 
(
	[CheckID] ASC,
	[InvRef] ASC
)WITH (IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
END
GO
/****** Object:  Table [dbo].[vpBills]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[vpBills]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[vpBills](
	[Date] [datetime] NULL,
	[Vendor] [varchar](50) NULL CONSTRAINT [DF__Temporary__Vendo__6EC0713C]  DEFAULT (0),
	[Reference] [varchar](20) NOT NULL,
	[Type] [varchar](20) NULL,
	[Term] [varchar](50) NULL CONSTRAINT [DF__Temporary__Terms__6FB49575]  DEFAULT (0),
	[DueDate] [datetime] NULL,
	[VendorInvoice] [nvarchar](20) NULL,
	[Freight] [money] NULL CONSTRAINT [DF_vpBills_Freight]  DEFAULT (0),
	[Discount] [money] NULL CONSTRAINT [DF_vpBills_Discount]  DEFAULT (0),
	[OtherCharges] [money] NULL CONSTRAINT [DF_vpBills_OtherCharges]  DEFAULT (0),
	[Amount] [money] NULL CONSTRAINT [DF__Temporary__Amoun__70A8B9AE]  DEFAULT (0),
	[Memo] [nvarchar](50) NULL,
	[PayAmount] [money] NULL CONSTRAINT [DF_vpBills_PayAmount]  DEFAULT (0),
	[DueAmount] [money] NULL,
	[PORef] [varchar](50) NULL,
	[PmtID] [int] IDENTITY(1,1) NOT NULL,
	[PayYN] [bit] NOT NULL CONSTRAINT [DF__Temporary__PayYN__719CDDE7]  DEFAULT (0),
	[CheckID] [int] NULL,
	[PostedYN] [bit] NOT NULL CONSTRAINT [DF_vpBills_PostedYN]  DEFAULT (0),
	[EditStamp] [timestamp] NOT NULL,
 CONSTRAINT [PK_vpBills] PRIMARY KEY NONCLUSTERED 
(
	[Reference] ASC
)WITH (IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
END
GO

/****** Object:  Trigger [BILL_DTrig]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TRIGGER [BILL_DTrig] ON [dbo].[vpBills] FOR DELETE AS
SET NOCOUNT ON

DELETE "vpBillExpenses" FROM deleted, "vpBillExpenses" WHERE deleted."Reference" = "vpBillExpenses"."Reference"


GO
/****** Object:  Table [dbo].[vpPurchaseOrders]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[vpPurchaseOrders]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[vpPurchaseOrders](
	[PORef] [varchar](50) NOT NULL,
	[Date] [datetime] NULL,
	[DueDate] [datetime] NULL,
	[Term] [varchar](50) NULL,
	[Vendor] [varchar](50) NULL CONSTRAINT [DF__Temporary__Vendo__4B7734FF]  DEFAULT (0),
	[Class] [varchar](50) NULL CONSTRAINT [DF__Temporary__Class__4C6B5938]  DEFAULT (0),
	[Memo] [nvarchar](50) NULL,
	[BillTo] [varchar](50) NULL,
	[ShipTo] [varchar](50) NULL,
	[ReceiveBy] [datetime] NULL,
	[VendorMessage] [varchar](50) NULL,
	[ShipVia] [varchar](50) NULL CONSTRAINT [DF__Temporary__ShipV__503BEA1C]  DEFAULT (0),
	[TrackingNumber] [varchar](50) NULL,
	[ShipToD] [nvarchar](100) NULL,
	[VendorInvoice] [varchar](20) NULL,
	[Freight] [money] NULL CONSTRAINT [DF_vpPurchaseOrders_Freight]  DEFAULT (0),
	[Discount] [float] NULL CONSTRAINT [DF_vpPurchaseOrders_Discount]  DEFAULT (0),
	[OtherCharges] [money] NULL CONSTRAINT [DF_vpPurchaseOrders_OtherCharges]  DEFAULT (0),
	[ShippingCharge] [money] NULL,
	[Total] [money] NULL CONSTRAINT [DF__Temporary__Total__51300E55]  DEFAULT (0),
	[ReceivedYN] [bit] NOT NULL CONSTRAINT [DF__Temporary__Recei__5224328E]  DEFAULT (0),
	[EditStamp] [timestamp] NOT NULL,
 CONSTRAINT [PK_vpPurchaseOrders] PRIMARY KEY NONCLUSTERED 
(
	[PORef] ASC
)WITH (IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
END
GO

/****** Object:  Trigger [VP_DTrig]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TRIGGER [VP_DTrig] ON [dbo].[vpPurchaseOrders] FOR DELETE AS
SET NOCOUNT ON

DELETE "vpPurchaseOrderDetails" FROM deleted, "vpPurchaseOrderDetails" WHERE deleted."PORef" = "vpPurchaseOrderDetails"."PORef"
GO

/****** Object:  Trigger [VP_UTrig]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TRIGGER [VP_UTrig] ON [dbo].[vpPurchaseOrders] FOR UPDATE AS
SET NOCOUNT ON

IF UPDATE("PORef")
    BEGIN
       UPDATE "vpPurchaseOrderDetails"
       SET "vpPurchaseOrderDetails"."PORef" = inserted."PORef"
       FROM "vpPurchaseOrderDetails", deleted, inserted
       WHERE deleted."PORef" = "vpPurchaseOrderDetails"."PORef"

    END
GO
/****** Object:  Table [dbo].[vpBillPayments]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[vpBillPayments]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[vpBillPayments](
	[Reference] [varchar](50) NOT NULL,
	[Account] [varchar](50) NULL CONSTRAINT [DF__Temporary__Accou__55009F39]  DEFAULT (0),
	[ToBePrinted] [bit] NOT NULL CONSTRAINT [DF__Temporary__ToBeP__55F4C372]  DEFAULT (0),
	[Vendor] [varchar](50) NULL CONSTRAINT [DF__Temporary__Vendo__56E8E7AB]  DEFAULT (0),
	[Date] [datetime] NULL,
	[CheckNo] [nvarchar](20) NULL,
	[Amount] [money] NULL CONSTRAINT [DF__Temporary__Amoun__57DD0BE4]  DEFAULT (0),
	[Memo] [nvarchar](50) NULL,
	[ClearedYN] [bit] NOT NULL CONSTRAINT [DF_vpBillPayments_ClearedYN]  DEFAULT (0),
	[LastCheckNo] [int] NULL CONSTRAINT [DF_vpBillPayments_LastCheckNo]  DEFAULT (1),
	[EditStamp] [timestamp] NOT NULL,
 CONSTRAINT [aaaaavpBillPayment_PK] PRIMARY KEY NONCLUSTERED 
(
	[Reference] ASC
)WITH (IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
END
GO

/****** Object:  Index [BillPaymentID]    Script Date: 06/05/2007 23:16:33 ******/
IF NOT EXISTS (SELECT * FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[vpBillPayments]') AND name = N'BillPaymentID')
CREATE NONCLUSTERED INDEX [BillPaymentID] ON [dbo].[vpBillPayments] 
(
	[Reference] ASC
)WITH (IGNORE_DUP_KEY = OFF) ON [PRIMARY]
GO

/****** Object:  Trigger [BP_DTrig]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TRIGGER [BP_DTrig] ON [dbo].[vpBillPayments] FOR DELETE AS
SET NOCOUNT ON

DELETE "vpBillPaymentDetails" FROM deleted, "vpBillPaymentDetails" WHERE deleted."Reference" = "vpBillPaymentDetails"."Reference"

GO

/****** Object:  Trigger [BP_UTrig]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TRIGGER [BP_UTrig] ON [dbo].[vpBillPayments] FOR UPDATE AS
SET NOCOUNT ON

IF UPDATE("Reference")
    BEGIN
       UPDATE "vpBillPaymentDetails"
       SET "vpBillPaymentDetails"."Reference" = inserted."Reference"
       FROM "vpBillPaymentDetails", deleted, inserted
       WHERE deleted."Reference" = "vpBillPaymentDetails"."Reference"
    END

GO
/****** Object:  Table [dbo].[csOrders]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[csOrders]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[csOrders](
	[Date] [datetime] NULL,
	[Customer] [varchar](50) NULL CONSTRAINT [DF_csOrders_Customer]  DEFAULT (0),
	[ShipToID] [varchar](50) NULL,
	[Class] [varchar](50) NULL CONSTRAINT [DF_csOrders_Class]  DEFAULT (0),
	[Memo] [nvarchar](50) NULL,
	[Term] [varchar](50) NULL CONSTRAINT [DF_csOrders_Term]  DEFAULT (0),
	[OrderNo] [varchar](50) NOT NULL,
	[DueDate] [datetime] NULL,
	[ShipVia] [varchar](50) NULL CONSTRAINT [DF_csOrders_ShipVia]  DEFAULT (0),
	[ShipDate] [datetime] NULL,
	[POID] [varchar](50) NULL,
	[CustomerMessage] [varchar](50) NULL CONSTRAINT [DF_csOrders_CustomerMessage]  DEFAULT (0),
	[Discount] [float] NULL CONSTRAINT [DF_csOrders_Discount]  DEFAULT (0),
	[Freight] [money] NULL CONSTRAINT [DF_csOrders_Freight]  DEFAULT (0),
	[SalesTax] [varchar](50) NULL,
	[Tax] [money] NULL CONSTRAINT [DF_csOrders_Tax]  DEFAULT (0),
	[TaxTotal] [money] NULL CONSTRAINT [DF_csOrders_TaxTotal]  DEFAULT (0),
	[Total] [money] NULL CONSTRAINT [DF_csOrders_Total]  DEFAULT (0),
	[TotalWeight] [float] NULL CONSTRAINT [DF_csOrders_TotalWeight]  DEFAULT (0),
	[ShippingCharge] [money] NULL CONSTRAINT [DF_csOrders_ShippingCharge]  DEFAULT (0),
	[Handling] [money] NULL CONSTRAINT [DF_csOrders_Handling]  DEFAULT (0),
	[ApplyYN] [bit] NOT NULL CONSTRAINT [DF_csOrders_ApplyYN]  DEFAULT (0),
	[Picked] [bit] NOT NULL CONSTRAINT [DF_csOrders_Picked]  DEFAULT (0),
	[Billed] [bit] NOT NULL CONSTRAINT [DF_csOrders_Billed]  DEFAULT (0),
	[Printed] [bit] NOT NULL CONSTRAINT [DF_csOrders_Printed]  DEFAULT (0),
	[Shipped] [bit] NOT NULL CONSTRAINT [DF_csOrders_Shipped]  DEFAULT (0),
	[Backordered] [bit] NOT NULL CONSTRAINT [DF_csOrders_Backordered]  DEFAULT (0),
	[Invoiced] [bit] NOT NULL CONSTRAINT [DF_csOrders_Invoiced]  DEFAULT (0),
	[TrackingNumber] [varchar](30) NULL,
	[CCType] [varchar](50) NULL,
	[CCName] [varchar](50) NULL CONSTRAINT [DF_csOrders_CCName]  DEFAULT (''),
	[CCNumber] [varchar](20) NULL CONSTRAINT [DF_csOrders_CCNumber]  DEFAULT (''),
	[CCExpDate] [datetime] NULL,
	[ApprovalNumber] [varchar](12) NULL CONSTRAINT [DF_csOrders_ApprovalNumber]  DEFAULT (''),
	[PostedYN] [bit] NOT NULL CONSTRAINT [DF_csOrders_PostedYN]  DEFAULT (0),
	[EditStamp] [timestamp] NOT NULL,
 CONSTRAINT [PK_csOrders] PRIMARY KEY NONCLUSTERED 
(
	[OrderNo] ASC
)WITH (IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
END
GO

/****** Object:  Trigger [O_DTrig]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TRIGGER [O_DTrig] ON [dbo].[csOrders] FOR DELETE AS
SET NOCOUNT ON

DELETE "csOrderItems" FROM deleted, "csOrderItems" WHERE deleted."OrderNo" = "csOrderItems"."OrderNo"

GO

/****** Object:  Trigger [O_UTrig]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TRIGGER [O_UTrig] ON [dbo].[csOrders] FOR UPDATE AS
SET NOCOUNT ON

IF UPDATE("OrderNo")
    BEGIN
       UPDATE "csOrderItems"
       SET "csOrderITems"."OrderNo" = inserted."OrderNo"
       FROM "csOrderITems", deleted, inserted
       WHERE deleted."OrderNo" = "csOrderITems"."OrderNo"

    END

GO
/****** Object:  Table [dbo].[csInvoices]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[csInvoices]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[csInvoices](
	[Date] [datetime] NULL,
	[Customer] [varchar](50) NULL CONSTRAINT [DF__Temporary__Custo__47DBAE45]  DEFAULT (0),
	[ShipToID] [varchar](50) NULL,
	[Class] [varchar](50) NULL CONSTRAINT [DF__Temporary__Class__48CFD27E]  DEFAULT (0),
	[Memo] [nvarchar](50) NULL,
	[Term] [varchar](50) NULL CONSTRAINT [DF__Temporary__Terms__4BAC3F29]  DEFAULT (0),
	[InvoiceNo] [nvarchar](20) NOT NULL,
	[DueDate] [datetime] NULL,
	[ShipVia] [varchar](50) NULL CONSTRAINT [DF__Temporary__ShipV__4CA06362]  DEFAULT (0),
	[ShipDate] [datetime] NULL,
	[POID] [nvarchar](20) NULL,
	[CustomerMessage] [varchar](50) NULL CONSTRAINT [DF__Temporary__Custo__4E88ABD4]  DEFAULT (0),
	[TrackingNumber] [varchar](30) NULL,
	[Handling] [money] NULL CONSTRAINT [DF_csInvoices_Handling]  DEFAULT (0),
	[Freight] [money] NULL,
	[Discount] [float] NULL CONSTRAINT [DF_csInvoices_Discount]  DEFAULT (0),
	[SalesTax] [varchar](10) NULL,
	[Tax] [money] NULL CONSTRAINT [DF__TemporaryU__Tax%__5070F446]  DEFAULT (0),
	[TaxTotal] [money] NULL CONSTRAINT [DF__Temporary__TaxTo__5165187F]  DEFAULT (0),
	[Total] [money] NULL CONSTRAINT [DF__Temporary__Total__52593CB8]  DEFAULT (0),
	[TotalWeight] [float] NULL CONSTRAINT [DF_csInvoices_TotalWeight]  DEFAULT (0),
	[ShippingCharge] [money] NULL CONSTRAINT [DF_csInvoices_ShippingCharge]  DEFAULT (0),
	[ApplyYN] [bit] NOT NULL CONSTRAINT [DF__Temporary__Apply__534D60F1]  DEFAULT (0),
	[PaidYN] [bit] NULL CONSTRAINT [DF_csInvoices_PaidYN]  DEFAULT (0),
	[PayAmount] [money] NULL CONSTRAINT [DF_csInvoices_PayAmount]  DEFAULT (0),
	[PostedYN] [bit] NOT NULL CONSTRAINT [DF_csInvoices_PostedYN]  DEFAULT (0),
	[EditStamp] [timestamp] NOT NULL,
 CONSTRAINT [PK_csInvoices] PRIMARY KEY NONCLUSTERED 
(
	[InvoiceNo] ASC
)WITH (IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
END
GO

/****** Object:  Trigger [I_DTrig]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TRIGGER [I_DTrig] ON [dbo].[csInvoices] FOR DELETE AS
SET NOCOUNT ON

DELETE "csInvoiceItems" FROM deleted, "csInvoiceItems" WHERE deleted."InvoiceNo" = "csInvoiceItems"."InvoiceNo"

GO

/****** Object:  Trigger [I_UTrig]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TRIGGER [I_UTrig] ON [dbo].[csInvoices] FOR UPDATE AS
SET NOCOUNT ON

IF UPDATE("InvoiceNo")
    BEGIN
       UPDATE "csInvoiceItems"
       SET "csInvoiceItems"."InvoiceNo" = inserted."InvoiceNo"
       FROM "csInvoiceItems", deleted, inserted
       WHERE deleted."InvoiceNo" = "csInvoiceItems"."InvoiceNo"

    END

GO
/****** Object:  Table [dbo].[lsCustomers]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lsCustomers]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[lsCustomers](
	[Login] [varchar](50) NULL,
	[Password] [varchar](50) NULL,
	[CustomerName] [varchar](50) NOT NULL,
	[Company] [varchar](50) NULL,
	[MrMs] [varchar](50) NULL,
	[FirstName] [varchar](50) NULL,
	[MiddleInitial] [varchar](50) NULL,
	[LastName] [varchar](50) NULL,
	[BillingAddress1] [varchar](50) NULL,
	[BillingAddress2] [varchar](50) NULL,
	[City] [varchar](50) NULL,
	[State] [varchar](50) NULL,
	[Zip] [varchar](50) NULL,
	[Country] [varchar](50) NULL,
	[Contact] [varchar](50) NULL,
	[Phone] [varchar](50) NULL,
	[Email] [varchar](50) NULL,
	[Fax] [varchar](50) NULL,
	[AltPhone] [varchar](50) NULL,
	[AltContact] [varchar](50) NULL,
	[Account] [varchar](50) NULL,
	[CustomerType] [varchar](50) NULL,
	[Term] [varchar](50) NULL,
	[Rep] [varchar](50) NULL,
	[CreditLimit] [float] NULL CONSTRAINT [DF__Temporary__Credi__1DE57479]  DEFAULT (0),
	[Taxable] [bit] NOT NULL CONSTRAINT [DF__Temporary__Taxab__1ED998B2]  DEFAULT (0),
	[TaxItem] [varchar](50) NULL,
	[ResaleNumber] [varchar](50) NULL,
	[OpeningBalance] [money] NULL CONSTRAINT [DF__Temporary__Openi__20C1E124]  DEFAULT (0),
	[OpeningBalanceDate] [datetime] NULL CONSTRAINT [DF_lsCustomers_OpeningBalanceDate]  DEFAULT (1 / 1 / 2000),
	[Inactive] [bit] NOT NULL CONSTRAINT [DF__Temporary__Inact__21B6055D]  DEFAULT (0),
	[PasswordCA] [varchar](50) NULL,
	[Balance] [money] NULL CONSTRAINT [DF_lsCustomers_Balance]  DEFAULT (0),
	[ExistingCredit] [money] NULL CONSTRAINT [DF_lsCustomers_ExistingCredit]  DEFAULT (0),
	[EditStamp] [timestamp] NOT NULL,
 CONSTRAINT [PK_lsCustomers] PRIMARY KEY NONCLUSTERED 
(
	[CustomerName] ASC
)WITH (IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
END
GO

/****** Object:  Trigger [CST_DTrig]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TRIGGER [CST_DTrig] ON [dbo].[lsCustomers] FOR DELETE AS
SET NOCOUNT ON

DELETE "lsCustomersShipTo" FROM deleted, "lsCustomersShipTo" WHERE deleted."CustomerName" = "lsCustomersShipTo"."CustomerName"

GO

/****** Object:  Trigger [CST_UTrig]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TRIGGER [CST_UTrig] ON [dbo].[lsCustomers] FOR UPDATE AS
SET NOCOUNT ON

IF UPDATE("CustomerName")
    BEGIN
       UPDATE "lsCustomersShipTo"
       SET "lsCustomersShipTo"."CustomerName" = inserted."CustomerName"
       FROM "lsCustomersShipTo", deleted, inserted
       WHERE deleted."CustomerName" = "lsCustomersShipTo"."CustomerName"

    END


GO
/****** Object:  Table [dbo].[csCustomerCredits]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[csCustomerCredits]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[csCustomerCredits](
	[Customer] [varchar](50) NOT NULL CONSTRAINT [DF__Temporary__Custo__08EA5793]  DEFAULT (0),
	[Class] [varchar](50) NULL CONSTRAINT [DF__Temporary__Class__09DE7BCC]  DEFAULT (0),
	[Memo] [nvarchar](50) NULL,
	[BillTo] [nvarchar](100) NULL,
	[Date] [datetime] NULL,
	[CreditNumber] [nvarchar](20) NOT NULL,
	[POID] [nvarchar](20) NULL,
	[CustomerMessage] [varchar](50) NULL CONSTRAINT [DF__Temporary__Custo__0DAF0CB0]  DEFAULT (0),
	[Discount] [float] NULL CONSTRAINT [DF_csCustomerCredits_Discount]  DEFAULT (0),
	[Handling] [money] NULL CONSTRAINT [DF_csCustomerCredits_Handling]  DEFAULT (0),
	[Freight] [money] NULL,
	[SalesTax] [varchar](50) NULL CONSTRAINT [DF__Temporary__TaxAg__0EA330E9]  DEFAULT (0),
	[Tax] [money] NULL CONSTRAINT [DF__TemporaryU__Tax%__0F975522]  DEFAULT (0),
	[TaxTotal] [money] NULL CONSTRAINT [DF__Temporary__TaxTo__108B795B]  DEFAULT (0),
	[Total] [money] NULL CONSTRAINT [DF__Temporary__Total__117F9D94]  DEFAULT (0),
	[PostedYN] [bit] NOT NULL CONSTRAINT [DF_csCustomerCredits_PostedYN]  DEFAULT (0),
	[EditStamp] [timestamp] NOT NULL,
 CONSTRAINT [PK_csCustomerCredits] PRIMARY KEY NONCLUSTERED 
(
	[CreditNumber] ASC
)WITH (IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
END
GO

/****** Object:  Trigger [CC_DTrig]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TRIGGER [CC_DTrig] ON [dbo].[csCustomerCredits]  FOR DELETE AS
SET NOCOUNT ON

DELETE "csCustomerCreditItems" FROM deleted, "csCustomerCreditItems" WHERE deleted."CreditNumber" = "csCustomerCreditItems"."CustomerCreditNo"

GO

/****** Object:  Trigger [CC_UTrig]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TRIGGER [CC_UTrig] ON [dbo].[csCustomerCredits] 
FOR UPDATE
AS

IF UPDATE("CreditNumber")
    BEGIN
       UPDATE "csCustomerCreditItems"
       SET "csCustomerCreditItems"."CustomerCreditNo" = inserted."CreditNumber"
       FROM "csCustomerCreditItems", deleted, inserted
       WHERE deleted."CreditNumber" = "csCustomerCreditItems"."CustomerCreditNo"

    END

GO
/****** Object:  Table [dbo].[csCustomerPayments]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[csCustomerPayments]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[csCustomerPayments](
	[Reference] [varchar](50) NOT NULL,
	[Customer] [varchar](50) NULL CONSTRAINT [DF__Temporary__Custo__32AB8735]  DEFAULT (0),
	[PaymentAmount] [money] NULL CONSTRAINT [DF__Temporary__Payme__339FAB6E]  DEFAULT (0),
	[Date] [datetime] NULL,
	[PaymentMethod] [varchar](50) NULL CONSTRAINT [DF__Temporary__Payme__3493CFA7]  DEFAULT (0),
	[Memo] [varchar](50) NULL,
	[CheckNo] [varchar](20) NULL,
	[CreditCardNo] [varchar](30) NULL,
	[CardExpires] [datetime] NULL,
	[NameOnCard] [nvarchar](30) NULL,
	[CardZipCode] [nvarchar](20) NULL,
	[CardApproved] [bit] NOT NULL CONSTRAINT [DF__Temporary__CardA__3587F3E0]  DEFAULT (0),
	[UndepFunds] [bit] NOT NULL CONSTRAINT [DF__Temporary__Undep__367C1819]  DEFAULT (0),
	[DepositTo] [bit] NOT NULL CONSTRAINT [DF__Temporary__Depos__37703C52]  DEFAULT (0),
	[Account] [varchar](50) NULL CONSTRAINT [DF__Temporary__Accou__3864608B]  DEFAULT (0),
	[ApplyExistingCredits] [bit] NOT NULL CONSTRAINT [DF__Temporary__Apply__395884C4]  DEFAULT (0),
	[Apply] [money] NULL CONSTRAINT [DF_csCustomerPayments_Apply]  DEFAULT (0),
	[TotalToApply] [money] NULL CONSTRAINT [DF__Temporary__Total__3A4CA8FD]  DEFAULT (0),
	[TotalApplied] [money] NULL CONSTRAINT [DF__Temporary__Total__3B40CD36]  DEFAULT (0),
	[UnappliedAmount] [money] NULL CONSTRAINT [DF__Temporary__Unapp__3C34F16F]  DEFAULT (0),
	[Deposit] [bit] NOT NULL CONSTRAINT [DF__Temporary__Depos__3D2915A8]  DEFAULT (0),
	[PayAmount] [money] NULL CONSTRAINT [DF_csCustomerPayments_PayAmount_1]  DEFAULT (0),
	[ReceivedYN] [bit] NOT NULL CONSTRAINT [DF_csCustomerPayments_ReceivedYN_1]  DEFAULT (0),
	[ClearedYN] [bit] NOT NULL CONSTRAINT [DF_csCustomerPayments_ClearedYN]  DEFAULT (0),
	[PostedYN] [bit] NOT NULL CONSTRAINT [DF_csCustomerPayments_PostedYN]  DEFAULT (0),
	[EditStamp] [timestamp] NOT NULL,
 CONSTRAINT [PK_csCustomerPayments] PRIMARY KEY NONCLUSTERED 
(
	[Reference] ASC
)WITH (IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
END
GO

/****** Object:  Trigger [CP_DTrig]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TRIGGER [CP_DTrig] ON [dbo].[csCustomerPayments] 
FOR DELETE
AS

DELETE "csCustomerPaymentDetails" FROM deleted, "csCustomerPaymentDetails" WHERE deleted."Reference" = "csCustomerPaymentDetails"."Reference"

GO

/****** Object:  Trigger [CP_UTrig]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TRIGGER [CP_UTrig] ON [dbo].[csCustomerPayments] 
FOR UPDATE
AS

IF UPDATE("Reference")
    BEGIN
       UPDATE "csCustomerPaymentDetails"
       SET "csCustomerPaymentDetails"."Reference" = inserted."Reference"
       FROM "csCustomerPaymentDetails", deleted, inserted
       WHERE deleted."Reference" = "csCustomerPaymentDetails"."Reference"

    END

GO
/****** Object:  Table [dbo].[lsProjects]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lsProjects]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[lsProjects](
	[Customer] [varchar](50) NULL,
	[ProjectName] [varchar](50) NOT NULL,
	[Description] [varchar](255) NULL,
	[ProjectManager] [varchar](50) NULL,
	[StartDate] [datetime] NULL,
	[EndDate] [datetime] NULL,
	[Inactive] [bit] NOT NULL CONSTRAINT [DF_Projects_Inactive]  DEFAULT (0),
	[EditStamp] [timestamp] NOT NULL,
 CONSTRAINT [PK_lsProjects] PRIMARY KEY NONCLUSTERED 
(
	[ProjectName] ASC
)WITH (IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
END
GO
/****** Object:  Table [dbo].[TimeTracking]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[TimeTracking]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[TimeTracking](
	[Reference] [varchar](50) NOT NULL,
	[Employee] [varchar](50) NULL CONSTRAINT [DF__Temporary__Emplo__74794A92]  DEFAULT (0),
	[Date] [datetime] NULL,
	[Customer] [varchar](50) NULL CONSTRAINT [DF__Temporary__Custo__756D6ECB]  DEFAULT (0),
	[ServiceItem] [varchar](50) NULL CONSTRAINT [DF__Temporary__Servi__7755B73D]  DEFAULT (0),
	[Class] [varchar](50) NULL CONSTRAINT [DF__Temporary__Class__7849DB76]  DEFAULT (0),
	[Duration] [float] NULL CONSTRAINT [DF__Temporary__Durat__793DFFAF]  DEFAULT (0),
	[Memo] [nvarchar](50) NULL,
	[EditStamp] [timestamp] NOT NULL,
 CONSTRAINT [aaaaaTimeTracking_PK] PRIMARY KEY NONCLUSTERED 
(
	[Reference] ASC
)WITH (IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
END
GO
/****** Object:  Table [dbo].[lsAccounts]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lsAccounts]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[lsAccounts](
	[AccountNumber] [varchar](10) NULL,
	[AccountName] [varchar](50) NOT NULL,
	[AccountType] [varchar](50) NULL CONSTRAINT [DF__Temporary__Accou__2B3F6F97]  DEFAULT (0),
	[Subaccount] [bit] NOT NULL CONSTRAINT [DF__Temporary__Subac__2C3393D0]  DEFAULT (0),
	[AccountName1] [varchar](50) NULL CONSTRAINT [DF__Temporary__Accou__2D27B809]  DEFAULT (0),
	[Description] [varchar](50) NULL,
	[OpeningBalance] [money] NULL CONSTRAINT [DF__Temporary__Openi__2E1BDC42]  DEFAULT (0),
	[Date] [datetime] NULL,
	[Inactive] [bit] NOT NULL CONSTRAINT [DF__Temporary__Inact__2F10007B]  DEFAULT (0),
	[Balance] [money] NULL CONSTRAINT [DF_lsAccounts_Balance]  DEFAULT (0),
	[BalanceType] [smallint] NULL CONSTRAINT [DF_lsAccounts_D/C]  DEFAULT (0),
	[Modified] [smallint] NULL CONSTRAINT [DF_lsAccounts_Modified]  DEFAULT (0),
	[OpBalID] [int] IDENTITY(1,1) NOT NULL,
	[IsDefault] [bit] NOT NULL CONSTRAINT [DF_lsAccounts_IsDefault]  DEFAULT (0),
	[EditStamp] [timestamp] NOT NULL,
 CONSTRAINT [PK_lsAccounts] PRIMARY KEY NONCLUSTERED 
(
	[AccountName] ASC
)WITH (IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
END
GO
/****** Object:  Table [dbo].[EmpChecks]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[EmpChecks]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[EmpChecks](
	[CheckID] [int] IDENTITY(1,1) NOT NULL,
	[CheckNo] [int] NULL,
	[Account] [varchar](50) NULL,
	[Payee] [varchar](50) NULL,
	[Amount] [money] NULL,
	[Address] [varchar](255) NULL,
	[Date] [datetime] NULL,
	[EditStamp] [timestamp] NOT NULL,
 CONSTRAINT [PK_EmpChecks] PRIMARY KEY NONCLUSTERED 
(
	[CheckID] ASC
)WITH (IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
END
GO
/****** Object:  Table [dbo].[InventoryAdjustments]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[InventoryAdjustments]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[InventoryAdjustments](
	[Date] [datetime] NULL,
	[RefNo] [varchar](50) NOT NULL,
	[AdjustmentAccount] [varchar](50) NULL CONSTRAINT [DF__Temporary__Adjus__31EC6D26]  DEFAULT (0),
	[Customer] [varchar](50) NULL CONSTRAINT [DF__Temporary__Custo__32E0915F]  DEFAULT (0),
	[Memo] [nvarchar](50) NULL,
	[TotalValue] [money] NULL CONSTRAINT [DF__Temporary__Total__33D4B598]  DEFAULT (0),
	[PostedYN] [bit] NOT NULL CONSTRAINT [DF_InventoryAdjustments_PostedYN]  DEFAULT (0),
	[EditStamp] [timestamp] NOT NULL,
 CONSTRAINT [aaaaaInventoryAdjustment_PK] PRIMARY KEY NONCLUSTERED 
(
	[RefNo] ASC
)WITH (IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
END
GO

/****** Object:  Trigger [IA_DTrig]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TRIGGER [IA_DTrig] ON [dbo].[InventoryAdjustments] 
FOR DELETE 
AS

DELETE "InventoryAdjustmentDetail" FROM deleted, "InventoryAdjustmentDetail" WHERE deleted."RefNo" = "InventoryAdjustmentDetail"."RefNo"


GO

/****** Object:  Trigger [IA_UTrig]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO


CREATE TRIGGER [IA_UTrig] ON [dbo].[InventoryAdjustments] 
FOR UPDATE
AS
IF UPDATE("RefNo")
    BEGIN
       UPDATE "InventoryAdjustmentDetail"
       SET "InventoryAdjustmentDetail"."RefNo" = inserted."RefNo"
       FROM "InventoryAdjustmentDetail", deleted, inserted
       WHERE deleted."RefNo" = "InventoryAdjustmentDetail"."RefNo"

    END
/*
========================================================================================
*** End - InventoryAdjustmentDetail - Changed the Table name in the Trigger IA_UTrig ***
========================================================================================
*/





GO
/****** Object:  Table [dbo].[lsTaxes]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lsTaxes]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[lsTaxes](
	[TaxID] [varchar](10) NOT NULL,
	[Description] [varchar](50) NULL,
	[TaxPercent] [float] NULL,
	[Account] [varchar](50) NULL,
	[Inactive] [bit] NOT NULL CONSTRAINT [DF_lsTaxes_Inactive]  DEFAULT (0),
	[EditStamp] [timestamp] NOT NULL,
 CONSTRAINT [PK_lsTaxes] PRIMARY KEY NONCLUSTERED 
(
	[TaxID] ASC
)WITH (IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
END
GO
/****** Object:  Table [dbo].[lsVendors]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lsVendors]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[lsVendors](
	[VendorName] [varchar](50) NOT NULL,
	[Company] [varchar](50) NULL,
	[MrMs] [varchar](10) NULL,
	[FirstName] [varchar](20) NULL,
	[MiddleInitial] [varchar](10) NULL,
	[LastName] [varchar](20) NULL,
	[Contact] [varchar](30) NULL,
	[Address1] [varchar](50) NULL,
	[Address2] [varchar](50) NULL,
	[City] [varchar](50) NULL,
	[State] [varchar](50) NULL,
	[Zip] [varchar](10) NULL,
	[Country] [varchar](50) NULL,
	[Phone] [varchar](25) NULL,
	[Fax] [varchar](25) NULL,
	[AltPhone] [varchar](25) NULL,
	[AltContact] [varchar](30) NULL,
	[PrintOnCheckAs] [varchar](30) NULL,
	[AccountNumber] [varchar](50) NULL,
	[DefaultExpenseAccount] [varchar](50) NULL CONSTRAINT [DF__Temporary__Defau__7EF6D905]  DEFAULT (0),
	[VendorType] [varchar](50) NULL CONSTRAINT [DF__Temporary__Vendo__7FEAFD3E]  DEFAULT (0),
	[Term] [varchar](50) NULL CONSTRAINT [DF__Temporary__Terms__00DF2177]  DEFAULT (0),
	[PMID] [int] IDENTITY(1,1) NOT NULL,
	[CreditLimit] [money] NULL CONSTRAINT [DF__Temporary__Credi__01D345B0]  DEFAULT (0),
	[TaxID] [varchar](20) NULL,
	[Eligible] [bit] NOT NULL CONSTRAINT [DF__Temporary__1099E__02C769E9]  DEFAULT (0),
	[Email] [varchar](30) NULL,
	[OpeningBalance] [money] NULL CONSTRAINT [DF__Temporary__Openi__03BB8E22]  DEFAULT (0),
	[OpeningBalanceDate] [datetime] NULL,
	[Balance] [money] NULL CONSTRAINT [DF_lsVendors_Balance]  DEFAULT (0),
	[Inactive] [bit] NOT NULL CONSTRAINT [DF__Temporary__Inact__04AFB25B]  DEFAULT (0),
	[EditStamp] [timestamp] NOT NULL,
 CONSTRAINT [PK_lsVendors] PRIMARY KEY NONCLUSTERED 
(
	[VendorName] ASC
)WITH (IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
END
GO
/****** Object:  Table [dbo].[lsEmployees]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lsEmployees]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[lsEmployees](
	[EmployeeName] [varchar](50) NOT NULL,
	[SalesmanID] [varchar](10) NULL,
	[Initials] [nvarchar](30) NULL,
	[TaxID] [nvarchar](20) NULL,
	[MrMs] [nvarchar](10) NULL,
	[FirstName] [nvarchar](20) NULL,
	[MiddleInitial] [nvarchar](10) NULL,
	[LastName] [nvarchar](20) NULL,
	[Address1] [nvarchar](50) NULL,
	[Address2] [nvarchar](50) NULL,
	[City] [nvarchar](50) NULL,
	[State] [nvarchar](10) NULL,
	[Zip] [nvarchar](10) NULL,
	[Country] [nvarchar](50) NULL,
	[Phone] [nvarchar](25) NULL,
	[email] [nvarchar](30) NULL,
	[Account] [varchar](50) NULL,
	[Inactive] [bit] NOT NULL CONSTRAINT [DF__Temporary__Inact__60A75C0F]  DEFAULT (0),
	[PasswordTTA] [nvarchar](20) NULL,
	[YN1099] [bit] NOT NULL CONSTRAINT [DF_lsEmployees_1099YN]  DEFAULT (0),
	[CommissionYN] [bit] NOT NULL CONSTRAINT [DF_lsEmployees_CommissionYN]  DEFAULT (0),
	[CommissionRate] [float] NULL,
	[Commission] [money] NULL CONSTRAINT [DF_lsEmployees_Commission]  DEFAULT (0),
	[Refferal] [int] NULL CONSTRAINT [DF_lsEmployees_Refferal]  DEFAULT (0),
	[EditStamp] [timestamp] NOT NULL,
 CONSTRAINT [PK_lsEmployees] PRIMARY KEY NONCLUSTERED 
(
	[EmployeeName] ASC
)WITH (IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
END
GO
/****** Object:  Table [dbo].[lsItems]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lsItems]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[lsItems](
	[ItemName] [varchar](50) NOT NULL,
	[ItemName1] [varchar](50) NULL,
	[ItemType] [int] NULL,
	[Subitem] [bit] NOT NULL CONSTRAINT [DF__Temporary__Subit__43A1090D]  DEFAULT ((0)),
	[CategoryID] [varchar](50) NULL,
	[PurchaseDescription] [varchar](50) NULL,
	[Cost] [money] NULL CONSTRAINT [DF__TemporaryU__Cost__4589517F]  DEFAULT ((0)),
	[COGSAccount] [varchar](50) NULL,
	[PrefferedVendor] [varchar](50) NULL,
	[SalesDescription] [varchar](50) NULL,
	[IncomeAccount] [varchar](50) NULL,
	[SalesPrice] [money] NULL CONSTRAINT [DF__Temporary__Sales__4865BE2A]  DEFAULT ((0)),
	[Taxable] [bit] NOT NULL CONSTRAINT [DF__Temporary__Taxab__4959E263]  DEFAULT ((0)),
	[AssetAccount] [varchar](50) NULL,
	[QuantityOnHand] [int] NULL CONSTRAINT [DF__Temporary__Quant__4B422AD5]  DEFAULT ((0)),
	[TotalValue] [float] NULL CONSTRAINT [DF__Temporary__Total__4C364F0E]  DEFAULT ((0)),
	[ReorderPoint] [int] NULL CONSTRAINT [DF__Temporary__Reord__4D2A7347]  DEFAULT ((0)),
	[ItemWeight] [float] NULL CONSTRAINT [DF_lsItems_ItemWeight]  DEFAULT ((0)),
	[PictureURL] [varchar](50) NULL,
	[Inactive] [bit] NOT NULL CONSTRAINT [DF__Temporary__Inact__4E1E9780]  DEFAULT ((0)),
	[EditStamp] [timestamp] NOT NULL,
 CONSTRAINT [PK_lsItems] PRIMARY KEY NONCLUSTERED 
(
	[ItemName] ASC
)WITH (IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
END
GO
/****** Object:  Table [dbo].[bTransferFunds]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[bTransferFunds]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[bTransferFunds](
	[Reference] [varchar](50) NOT NULL,
	[FromAccount] [varchar](50) NULL CONSTRAINT [DF__Temporary__FromA__7B5B524B]  DEFAULT (0),
	[ToAccount] [varchar](50) NULL CONSTRAINT [DF__Temporary__ToAcc__7C4F7684]  DEFAULT (0),
	[Date] [datetime] NULL,
	[Amount] [money] NULL CONSTRAINT [DF__Temporary__Amoun__7D439ABD]  DEFAULT (0),
	[Memo] [nvarchar](50) NULL,
	[ClearedYN] [bit] NOT NULL CONSTRAINT [DF_bTransferFunds_ClearedYN]  DEFAULT (0),
	[PostedYN] [bit] NOT NULL CONSTRAINT [DF_bTransferFunds_PostedYN]  DEFAULT (0),
	[EditStamp] [timestamp] NOT NULL,
 CONSTRAINT [PK_bTransferFunds] PRIMARY KEY NONCLUSTERED 
(
	[Reference] ASC
)WITH (IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
END
GO
/****** Object:  Table [dbo].[vpBillExpenses]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[vpBillExpenses]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[vpBillExpenses](
	[BillID] [int] NOT NULL,
	[Reference] [varchar](50) NULL CONSTRAINT [DF__Temporary__Bill#__634EBE90]  DEFAULT ((0)),
	[No] [int] NULL CONSTRAINT [DF__TemporaryUps__No__6442E2C9]  DEFAULT ((0)),
	[Account] [varchar](50) NULL CONSTRAINT [DF__Temporary__Accou__65370702]  DEFAULT ((0)),
	[Amount] [money] NULL CONSTRAINT [DF__Temporary__Amoun__662B2B3B]  DEFAULT ((0)),
	[Memo] [varchar](50) NULL,
	[Project] [varchar](50) NULL CONSTRAINT [DF__Temporary__Custo__681373AD]  DEFAULT ((0)),
	[EditStamp] [timestamp] NOT NULL,
 CONSTRAINT [PK_vpBillExpenses] PRIMARY KEY CLUSTERED 
(
	[BillID] ASC
)WITH (IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
END
GO

/****** Object:  Index [BillID]    Script Date: 06/05/2007 23:16:33 ******/
IF NOT EXISTS (SELECT * FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[vpBillExpenses]') AND name = N'BillID')
CREATE NONCLUSTERED INDEX [BillID] ON [dbo].[vpBillExpenses] 
(
	[Reference] ASC
)WITH (IGNORE_DUP_KEY = OFF) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[bChecks]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[bChecks]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[bChecks](
	[CheckID] [int] IDENTITY(1,1) NOT NULL,
	[CheckNo] [varchar](50) NOT NULL,
	[Account] [varchar](50) NULL,
	[Payee] [varchar](50) NULL,
	[Address] [varchar](50) NULL,
	[Date] [datetime] NULL,
	[Amount] [money] NULL CONSTRAINT [DF__Temporary__Amoun__182C9B23]  DEFAULT (0),
	[Memo] [varchar](50) NULL,
	[GroupID] [varchar](50) NULL,
	[ClearedYN] [bit] NOT NULL CONSTRAINT [DF_bChecks_ClearedYN]  DEFAULT (0),
	[VoidedYN] [bit] NOT NULL CONSTRAINT [DF_bChecks_PostedYN]  DEFAULT (0),
	[EditStamp] [timestamp] NOT NULL,
 CONSTRAINT [PK_bChecks] PRIMARY KEY NONCLUSTERED 
(
	[CheckID] ASC
)WITH (IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
END
GO

/****** Object:  Index [CheckID]    Script Date: 06/05/2007 23:16:33 ******/
IF NOT EXISTS (SELECT * FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[bChecks]') AND name = N'CheckID')
CREATE NONCLUSTERED INDEX [CheckID] ON [dbo].[bChecks] 
(
	[CheckNo] ASC,
	[Payee] ASC,
	[GroupID] ASC
)WITH (IGNORE_DUP_KEY = OFF) ON [PRIMARY]
GO

/****** Object:  Trigger [CH_DTrig]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TRIGGER [CH_DTrig] ON [dbo].[bChecks]  FOR DELETE AS
SET NOCOUNT ON

DELETE "bCheckDetails" FROM deleted, "bCheckDetails" WHERE deleted."CheckID" = "bCheckDetails"."CheckID"


GO
/****** Object:  Table [dbo].[InventoryAdjustmentDetail]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[InventoryAdjustmentDetail]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[InventoryAdjustmentDetail](
	[RefNo] [varchar](50) NOT NULL,
	[Item] [varchar](50) NOT NULL,
	[Description] [nvarchar](50) NULL,
	[CurrentQty] [float] NULL CONSTRAINT [DF_InventoryAdjustmentDetail_CurrentQty]  DEFAULT ((0)),
	[CurrentValue] [money] NULL CONSTRAINT [DF_InventoryAdjustmentDetail_CurrentValue]  DEFAULT ((0)),
	[NewQty] [float] NULL CONSTRAINT [DF_InventoryAdjustmentDetail_NewQty]  DEFAULT ((0)),
	[NewValue] [money] NULL CONSTRAINT [DF_InventoryAdjustmentDetail_NewValue]  DEFAULT ((0)),
	[QtyDifference] [float] NULL CONSTRAINT [DF_InventoryAdjustmentDetail_QtyDifference]  DEFAULT ((0)),
	[ValueDifference] [money] NULL CONSTRAINT [DF_InventoryAdjustmentDetail_ValueDifference]  DEFAULT ((0)),
	[EditStamp] [timestamp] NOT NULL,
 CONSTRAINT [PK_InventoryAdjustmentDetail] PRIMARY KEY CLUSTERED 
(
	[RefNo] ASC,
	[Item] ASC
)WITH (IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
END
GO
/****** Object:  Table [dbo].[vpBillItems]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[vpBillItems]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[vpBillItems](
	[BillID] [varchar](50) NOT NULL CONSTRAINT [DF__Temporary__Bill#__59C55456]  DEFAULT ((0)),
	[No] [int] NULL CONSTRAINT [DF__TemporaryUps__No__5AB9788F]  DEFAULT ((0)),
	[Item] [varchar](50) NULL CONSTRAINT [DF__TemporaryU__Item__5BAD9CC8]  DEFAULT ((0)),
	[Description] [nvarchar](50) NULL,
	[Quantity] [float] NULL CONSTRAINT [DF__Temporary__Quant__5CA1C101]  DEFAULT ((0)),
	[Rate] [money] NULL CONSTRAINT [DF__TemporaryU__Rate__5D95E53A]  DEFAULT ((0)),
	[Amount] [money] NULL CONSTRAINT [DF__Temporary__Amoun__5E8A0973]  DEFAULT ((0)),
	[Project] [varchar](50) NULL CONSTRAINT [DF__Temporary__Custo__607251E5]  DEFAULT ((0)),
	[Billable] [bit] NOT NULL CONSTRAINT [DF__Temporary__Billa__6166761E]  DEFAULT ((0)),
	[EditStamp] [timestamp] NOT NULL,
 CONSTRAINT [PK_vpBillItems] PRIMARY KEY CLUSTERED 
(
	[BillID] ASC
)WITH (IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
END
GO
/****** Object:  Table [dbo].[csInvoiceItems]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[csInvoiceItems]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[csInvoiceItems](
	[InvoiceNo] [varchar](50) NOT NULL,
	[No] [int] NOT NULL,
	[Item] [varchar](50) NOT NULL,
	[Description] [varchar](255) NULL,
	[Quantity] [float] NULL CONSTRAINT [DF__Temporary__Quant__4222D4EF]  DEFAULT (0),
	[Rate] [money] NULL CONSTRAINT [DF__TemporaryU__Rate__4316F928]  DEFAULT (0),
	[Amount] [money] NULL CONSTRAINT [DF__Temporary__Amoun__440B1D61]  DEFAULT (0),
	[ItemWeight] [float] NULL CONSTRAINT [DF_csInvoiceItems_ItemWeight]  DEFAULT (0),
	[Shipped] [bit] NOT NULL CONSTRAINT [DF_csInvoiceItems_Shipped]  DEFAULT (0),
	[ShippedDate] [smalldatetime] NULL,
	[TrackingNumber] [varchar](50) NULL,
	[EditStamp] [timestamp] NOT NULL,
 CONSTRAINT [PK_csInvoiceItems] PRIMARY KEY NONCLUSTERED 
(
	[InvoiceNo] ASC,
	[No] ASC
)WITH (IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
END
GO
/****** Object:  Table [dbo].[vpPurchaseOrderDetails]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[vpPurchaseOrderDetails]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[vpPurchaseOrderDetails](
	[ID] [int] IDENTITY(1,1) NOT NULL,
	[PORef] [varchar](50) NULL,
	[No] [int] NULL CONSTRAINT [DF__TemporaryUps__No__42E1EEFE]  DEFAULT (0),
	[Item] [varchar](50) NULL CONSTRAINT [DF__TemporaryU__Item__43D61337]  DEFAULT (0),
	[Quantity] [float] NULL CONSTRAINT [DF__Temporary__Quant__44CA3770]  DEFAULT (0),
	[ReceivedQty] [float] NULL CONSTRAINT [DF_vpPurchaseOrderDetails_ReceivedQty]  DEFAULT (0),
	[Rate] [money] NULL CONSTRAINT [DF__TemporaryU__Rate__45BE5BA9]  DEFAULT (0),
	[Amount] [money] NULL CONSTRAINT [DF__Temporary__Amoun__46B27FE2]  DEFAULT (0),
	[Description] [nvarchar](255) NULL,
	[Project] [varchar](50) NULL CONSTRAINT [DF__Temporary__Custo__47A6A41B]  DEFAULT (0),
	[EditStamp] [timestamp] NOT NULL,
 CONSTRAINT [PK_vpPurchaseOrderDetails] PRIMARY KEY NONCLUSTERED 
(
	[ID] ASC
)WITH (IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
END
GO
/****** Object:  Table [dbo].[csOrderItems]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[csOrderItems]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[csOrderItems](
	[OrderNo] [varchar](50) NOT NULL,
	[No] [int] NOT NULL,
	[Item] [varchar](50) NOT NULL CONSTRAINT [DF_csOrderItems_Item]  DEFAULT (0),
	[Description] [varchar](255) NULL,
	[Quantity] [float] NULL CONSTRAINT [DF_csOrderItems_Quantity]  DEFAULT (0),
	[Ship] [float] NULL,
	[Rate] [money] NULL CONSTRAINT [DF_csOrderItems_Rate]  DEFAULT (0),
	[Amount] [money] NULL CONSTRAINT [DF_csOrderItems_Amount]  DEFAULT (0),
	[ItemWeight] [float] NULL CONSTRAINT [DF_csOrderItems_ItemWeight]  DEFAULT (0),
	[ShipDate] [datetime] NULL,
	[EditStamp] [timestamp] NOT NULL,
 CONSTRAINT [PK_csOrderItems] PRIMARY KEY NONCLUSTERED 
(
	[OrderNo] ASC,
	[No] ASC
)WITH (IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
END
GO
/****** Object:  Table [dbo].[csCustomerCreditItems]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[csCustomerCreditItems]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[csCustomerCreditItems](
	[CustomerCreditNo] [varchar](50) NOT NULL CONSTRAINT [DF__Temporary__Custo__5812160E]  DEFAULT (0),
	[No] [int] NOT NULL CONSTRAINT [DF__TemporaryUps__No__59063A47]  DEFAULT (0),
	[Item] [varchar](50) NOT NULL CONSTRAINT [DF__TemporaryU__Item__59FA5E80]  DEFAULT (0),
	[Description] [varchar](50) NULL,
	[Quantity] [float] NULL CONSTRAINT [DF__Temporary__Quant__5AEE82B9]  DEFAULT (0),
	[Rate] [money] NULL CONSTRAINT [DF__TemporaryU__Rate__5BE2A6F2]  DEFAULT (0),
	[Amount] [money] NULL CONSTRAINT [DF__Temporary__Amoun__5CD6CB2B]  DEFAULT (0),
	[Tax] [bit] NOT NULL CONSTRAINT [DF__TemporaryUp__Tax__5DCAEF64]  DEFAULT (0),
	[EditStamp] [timestamp] NOT NULL,
 CONSTRAINT [PK_csCustomerCreditItems] PRIMARY KEY NONCLUSTERED 
(
	[CustomerCreditNo] ASC,
	[No] ASC
)WITH (IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_PaymentMethods]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_PaymentMethods]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_PaymentMethods]
AS
	BEGIN
		SELECT 
			lsPaymentMethods.PaymentMethod 
		FROM 
			lsPaymentMethods 
		ORDER BY 
			lsPaymentMethods.PaymentMethod
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_PaymentMethodDetail]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_PaymentMethodDetail]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_PaymentMethodDetail]
	@PaymentMethod nvarchar (20)
AS
	BEGIN
		SELECT 
			lsPaymentMethods.PaymentMethod,
			lsPaymentMethods.ExternalAccess,
			lsPaymentMethods.Inactive
		FROM 
			lsPaymentMethods
		WHERE 
			lsPaymentMethods.PaymentMethod = @PaymentMethod
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_Vendors]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_Vendors]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_Vendors]
AS
	BEGIN
		SELECT 
			lsVendors.VendorName,
			lsVendors.Company,
			lsVendors.MrMs,
			lsVendors.FirstName,
			lsVendors.MiddleInitial,
			lsVendors.LastName,
			lsVendors.Contact,
			lsVendors.Address1,
			lsVendors.Address2,
			lsVendors.City,
			lsVendors.State,
			lsVendors.Zip,
			lsVendors.Country,
			lsVendors.Phone,
			lsVendors.Fax,
			lsVendors.AltPhone,
			lsVendors.AltContact,
			lsVendors.PrintOnCheckAs,
			lsVendors.AccountNumber,
			lsVendors.DefaultExpenseAccount,
			lsVendors.VendorType,
			lsVendors.Term,
			lsVendors.PMID,
			lsVendors.CreditLimit,
			lsVendors.TaxID,
			lsVendors.Eligible,
			lsVendors.Email,
			lsVendors.OpeningBalance,
			lsVendors.OpeningBalanceDate,
			lsVendors.Balance,
			lsVendors.Inactive 
		FROM 
			lsVendors
		ORDER BY
			lsVendors.VendorName
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_VendorDetail]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_VendorDetail]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_VendorDetail]
	@VendorName nvarchar (50) 
AS
	BEGIN
		SELECT 
			lsVendors.VendorName,
			lsVendors.Company,
			lsVendors.MrMs,
			lsVendors.FirstName,
			lsVendors.MiddleInitial,
			lsVendors.LastName,
			lsVendors.Contact,
			lsVendors.Address1,
			lsVendors.Address2,
			lsVendors.City,
			lsVendors.State,
			lsVendors.Zip,
			lsVendors.Country,
			lsVendors.Phone,
			lsVendors.Fax,
			lsVendors.AltPhone,
			lsVendors.AltContact,
			lsVendors.PrintOnCheckAs,
			lsVendors.AccountNumber,
			lsVendors.DefaultExpenseAccount,
			lsVendors.VendorType,
			lsVendors.Term,
			lsVendors.PMID,
			lsVendors.CreditLimit,
			lsVendors.TaxID,
			lsVendors.Eligible,
			lsVendors.Email,
			lsVendors.OpeningBalance,
			lsVendors.OpeningBalanceDate,
			lsVendors.Balance,
			lsVendors.Inactive 
		FROM 
			lsVendors
		WHERE 
			lsVendors.VendorName = @VendorName
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[ReceivePO]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[ReceivePO]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[ReceivePO] AS
-- selects the PO''s partially or not received
SELECT PORef, Total,CONVERT(varchar,Date,101) AS Date, VendorName, ''<a target="main" href="receivepurchaseorders.asp?direction=idnumber&fields=PORef=''+CONVERT(varchar,PORef)+''">Receive</a>'' as Receive FROM vpPurchaseOrders, lsVendors WHERE ReceivedYN=0 AND Vendor=VendorName' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_insert_Vendor]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_insert_Vendor]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_insert_Vendor]
	@VendorName varchar (50) ,
	@Company varchar (50) ,
	@MrMs varchar (10) ,
	@FirstName varchar (20) ,
	@MiddleInitial varchar (10) ,
	@LastName varchar (20) ,
	@Contact varchar (30) ,
	@Address1 varchar (50) ,
	@Address2 varchar (50) ,
	@City varchar (50) ,
	@State varchar (50) ,
	@Zip varchar (10) ,
	@Country varchar (50) ,
	@Phone varchar (25) ,
	@Fax varchar (25) ,
	@AltPhone varchar (25) ,
	@AltContact varchar (30) ,
	@PrintOnCheckAs varchar (30) ,
	@AccountNumber varchar (50) ,
	@DefaultExpenseAccount varchar (50) ,
	@VendorType varchar (50) ,
	@Term varchar (50) ,
	@CreditLimit money ,
	@TaxID varchar (20) ,
	@Eligible bit ,
	@Email varchar (30) ,
	@OpeningBalance money ,
	@OpeningBalanceDate datetime ,
	@Inactive bit
AS
	BEGIN
		INSERT INTO lsVendors
			(VendorName, 
			Company, 
			MrMs, 
			FirstName, 
			MiddleInitial, 
			LastName, 
			Contact, 
			Address1, 
			Address2, 
			City, 
			State, 
			Zip, 
			Country, 
			Phone, 
			Fax, 
			AltPhone, 
			AltContact, 
			PrintOnCheckAs, 
			AccountNumber, 
			DefaultExpenseAccount, 
			VendorType, 
			Term, 
			CreditLimit, 
			TaxID, 
			Eligible, 
			Email, 
			OpeningBalance, 
			OpeningBalanceDate, 
			Inactive) 
		VALUES 
			(@VendorName, 
			@Company, 
			@MrMs, 
			@FirstName, 
			@MiddleInitial, 
			@LastName, 
			@Contact, 
			@Address1, 
			@Address2, 
			@City, 
			@State, 
			@Zip, 
			@Country, 
			@Phone, 
			@Fax, 
			@AltPhone, 
			@AltContact, 
			@PrintOnCheckAs, 
			@AccountNumber, 
			@DefaultExpenseAccount, 
			@VendorType, 
			@Term, 
			@CreditLimit, 	
			@TaxID, 
			@Eligible, 
			@Email, 
			@OpeningBalance, 
			@OpeningBalanceDate, 
			@Inactive)
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[rptPurchase3]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[rptPurchase3]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[rptPurchase3] @Item int AS
SELECT vpBills.Reference AS TransID, Type, CONVERT(varchar,Date,101) AS Date, 
VendorInvoice AS Num, lsVendors.VendorName AS Name, vpBillItems.Description AS Memo, 
vpBillItems.Quantity AS Qty, vpBillItems.Rate AS Price, 
vpBillItems.Amount FROM vpBills, vpBillItems, lsVendors, lsItems WHERE 
vpBills.Reference=vpBillItems.BillID AND lsItems.ItemName=vpBillItems.Item AND 
lsVendors.VendorName=vpBills.Vendor AND lsItems.ItemName=@Item AND PostedYN = 1 AND Type=''Receiving'' ORDER BY Date

' 
END
GO
/****** Object:  StoredProcedure [dbo].[delBILL]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[delBILL]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE   PROCEDURE [dbo].[delBILL] @BillID varchar(50), @CheckNo int, @CheckAmount float AS
BEGIN TRANSACTION
DELETE FROM GLWorkDetail
-- deletes a bill by posting a reverse transaction to GL
DECLARE @Vendor varchar(50), @PayAmount float, @OrigAmount float, @Account varchar(50), @CheckID int
-- retrieves the fields from the vpBills table
SELECT @CheckID = CheckID, @Account = Account FROM bChecks WHERE CheckNo = @CheckNo
SELECT @Vendor = Vendor, @PayAmount = PayAmount, @OrigAmount = Amount FROM vpBills WHERE Reference = @BillID
UPDATE vpBills SET PayAmount = PayAmount - @CheckAmount, DueAmount = Amount + PayAmount - @CheckAmount WHERE Reference = @BillID
-- gets a new document number
DECLARE @GLID varchar(50)
SELECT @GLID = ''VOID-'' + CONVERT(varchar, @CheckNo) + ''-'' + CONVERT(varchar, @BillID)
-- creates the GL header
INSERT INTO GeneralJournalEntry(Date, EntryNo, TrType, SystemGenerated, PostedYN, TrID) VALUES (CONVERT(varchar, CURRENT_TIMESTAMP), @GLID, 9, 1, 1, @CheckID)
UPDATE lsVendors SET Balance = Balance + @CheckAmount WHERE VendorName = @Vendor
-- fills the GL detail lines
--MODIFIED BY ADI
INSERT INTO GLWorkDetail(GLID, No, Account, Debit, Credit, Memo) VALUES (@GLID, 10, @Account, @CheckAmount, 0, ''CASH'')
INSERT INTO GLWorkDetail(GLID, No,Account, Debit, Credit, Memo) VALUES (@GLID, 20, ''Accounts Payable'', 0, @CheckAmount, ''AP'')
-- posts it to GL
EXEC PostGLWorkDetail @GLID
COMMIT TRANSACTION

' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_ItemFamilyDetail]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_ItemFamilyDetail]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_ItemFamilyDetail]
	@FamilyID nvarchar (50) 
AS
	BEGIN
		SELECT 
			lsItemFamilies.FamilyID,
			lsItemFamilies.Description,
			lsItemFamilies.PictureURL 
		FROM 
			lsItemFamilies
		WHERE 
			lsItemFamilies.FamilyID = @FamilyID
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_ItemFamilies]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_ItemFamilies]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_ItemFamilies]
AS
	BEGIN
		SELECT 
			lsItemFamilies.FamilyID, 
			lsItemFamilies.Description,
			lsItemFamilies.PictureURL
		FROM 
			lsItemFamilies 
		ORDER BY 
			lsItemFamilies.FamilyID
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_insert_Terms]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_insert_Terms]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_insert_Terms]
	@Term varchar (50) ,
	@Standard bit ,
	@DayTillNetDue smallint ,
	@Discount float ,
	@DaysTillDiscountExpires smallint ,
	@DayOfMonthNetDue smallint ,
	@DueNextMonthIfWithinDays smallint ,
	@Discount1 float ,
	@DayDiscountExpires smallint ,
	@Inactive bit 
AS
	BEGIN 
		INSERT INTO [dbo].[lsTerms]
			(Term ,
			Standard ,
			DayTillNetDue ,
			Discount ,
			DaysTillDiscountExpires ,
			DayOfMonthNetDue ,
			DueNextMonthIfWithinDays ,
			Discount1 ,
			DayDiscountExpires ,
			Inactive)
		VALUES 
			(@Term ,
			@Standard ,
			@DayTillNetDue ,
			@Discount ,
			@DaysTillDiscountExpires ,
			@DayOfMonthNetDue ,
			@DueNextMonthIfWithinDays ,
			@Discount1 ,
			@DayDiscountExpires ,
			@Inactive)
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_update_Terms]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_update_Terms]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_update_Terms]
	@OLDTerm varchar (50) ,
	@Term varchar (50) ,
	@Standard bit ,
	@DayTillNetDue smallint ,
	@Discount float ,
	@DaysTillDiscountExpires smallint ,
	@DayOfMonthNetDue smallint ,
	@DueNextMonthIfWithinDays smallint ,
	@Discount1 float ,
	@DayDiscountExpires smallint ,
	@Inactive bit
AS
	BEGIN
		UPDATE 
			[dbo].[lsTerms] 
		SET
			lsTerms.Term = @Term,
			lsTerms.Standard = @Standard,
			lsTerms.DayTillNetDue = @DayTillNetDue,
			lsTerms.Discount = @Discount,
			lsTerms.DaysTillDiscountExpires = @DaysTillDiscountExpires,
			lsTerms.DayOfMonthNetDue = @DayOfMonthNetDue,
			lsTerms.DueNextMonthIfWithinDays = @DueNextMonthIfWithinDays,
			lsTerms.Discount1 = @Discount1,
			lsTerms.DayDiscountExpires = @DayDiscountExpires,
			lsTerms.Inactive = @Inactive 
		WHERE 	
			lsTerms.Term =  @OLDTerm
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_Terms]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_Terms]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_Terms]
AS
	BEGIN
		SELECT 
			lsTerms.Term,
			lsTerms.Standard,
			lsTerms.DayTillNetDue,
			lsTerms.Discount,
			lsTerms.DaysTillDiscountExpires,
			lsTerms.DayOfMonthNetDue,
			lsTerms.DueNextMonthIfWithinDays,
			lsTerms.Discount1,
			lsTerms.DayDiscountExpires,
			lsTerms.Inactive
		FROM 
			lsTerms
		ORDER BY
			lsTerms.Term
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_TermDetail]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_TermDetail]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_TermDetail]
	@Term varchar (50)
AS
	BEGIN
		SELECT 
			Term,
			Standard,
			DayTillNetDue,
			Discount,
			DaysTillDiscountExpires,
			DayOfMonthNetDue,
			DueNextMonthIfWithinDays,
			Discount1,
			DayDiscountExpires,
			Inactive
		FROM 
			lsTerms
		WHERE 
			Term = @Term
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_ItemCategories]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_ItemCategories]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_ItemCategories]
AS
	BEGIN
		SELECT 
			lsItemCategories.CategoryID, 
			lsItemCategories.Description, 
			lsItemCategories.PictureURL, 
			lsItemCategories.familyID 
		FROM 
			lsItemCategories 
		ORDER BY 
			lsItemCategories.CategoryID
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_ItemCategoryDetail]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_ItemCategoryDetail]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_ItemCategoryDetail]
	@CategoryID nvarchar (50) 
AS
	BEGIN
		SELECT 
			lsItemCategories.CategoryID,
			lsItemCategories.Description,
			lsItemCategories.PictureURL,
			lsItemCategories.familyID 
		FROM 	
			lsItemCategories
		WHERE 
			lsItemCategories.CategoryID = @CategoryID
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_Customers]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_Customers]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_Customers]
AS
	BEGIN
		SELECT 
			lsCustomers.Login,
			lsCustomers.Password,
			lsCustomers.CustomerName,
			lsCustomers.Company,
			lsCustomers.MrMs,
			lsCustomers.FirstName,
			lsCustomers.MiddleInitial,
			lsCustomers.LastName,
			lsCustomers.BillingAddress1,
			lsCustomers.BillingAddress2,
			lsCustomers.City,
			lsCustomers.State,
			lsCustomers.Zip,
			lsCustomers.Country,
			lsCustomers.Contact,	
			lsCustomers.Phone,
			lsCustomers.Email,
			lsCustomers.Fax,
			lsCustomers.AltPhone,
			lsCustomers.AltContact,
			lsCustomers.Account,
			lsCustomers.CustomerType,
			lsCustomers.Term,
			lsCustomers.Rep,	
			lsCustomers.CreditLimit,
			lsCustomers.Taxable,
			lsCustomers.TaxItem,
			lsCustomers.ResaleNumber,
			lsCustomers.OpeningBalance,
			lsCustomers.OpeningBalanceDate,
			lsCustomers.Inactive,
			lsCustomers.PasswordCA,
			lsCustomers.Balance,	
			lsCustomers.ExistingCredit 
		FROM 
			lsCustomers
		ORDER BY
			lsCustomers.CustomerName

	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_CustomerDetail]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_CustomerDetail]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_CustomerDetail]
	@CustomerName nvarchar (50) 
AS
	BEGIN
		SELECT 
			lsCustomers.Login,
			lsCustomers.Password,
			lsCustomers.CustomerName,
			lsCustomers.Company,
			lsCustomers.MrMs,
			lsCustomers.FirstName,
			lsCustomers.MiddleInitial,
			lsCustomers.LastName,
			lsCustomers.BillingAddress1,
			lsCustomers.BillingAddress2,
			lsCustomers.City,
			lsCustomers.State,
			lsCustomers.Zip,
			lsCustomers.Country,
			lsCustomers.Contact,
			lsCustomers.Phone,
			lsCustomers.Email,
			lsCustomers.Fax,
			lsCustomers.AltPhone,
			lsCustomers.AltContact,
			lsCustomers.Account,
			lsCustomers.CustomerType,
			lsCustomers.Term,
			lsCustomers.Rep,
			lsCustomers.CreditLimit,
			lsCustomers.Taxable,
			lsCustomers.TaxItem,
			lsCustomers.ResaleNumber,
			lsCustomers.OpeningBalance,
			lsCustomers.OpeningBalanceDate,
			lsCustomers.Inactive,
			lsCustomers.PasswordCA,
			lsCustomers.Balance,
			lsCustomers.ExistingCredit 
		FROM 
			lsCustomers
		WHERE 
			lsCustomers.CustomerName = @CustomerName
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[BillOrders]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[BillOrders]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[BillOrders] AS
DECLARE @A float
-- returns the list of orders ready to be billed, along with the HTML syntax for the fields
SELECT csOrders.OrderNo, csOrders.Total, 
    CONVERT(varchar, 
    csOrders.Total) AS Tot, csOrders.Billed, CASE csOrders.CCNumber WHEN NULL THEN '''' ELSE csOrders.CCNumber END AS CCNumber, CONVERT(varchar, 
    csOrders.CCExpDate, 101) AS CCExpDate, lsCustomers.Zip, 
    ''<input type=text class=edit id=AppautonumberingCode name=AppautonumberingCode  size=8 value="'' + CASE csOrders.ApprovalNumber WHEN NULL THEN '''' ELSE csOrders.ApprovalNumber END+ ''">'' AS ApprovalNumber,
    ''<input type = checkbox id = OKautonumberingCode name = OKautonumberingCode>'' AS OK
FROM csOrders INNER JOIN
    lsCustomers ON 
    csOrders.Customer = lsCustomers.CustomerName
WHERE csOrders.Billed = 0 AND Backordered = 0 ORDER BY Total DESC

' 
END
GO
/****** Object:  StoredProcedure [dbo].[NewBillOrders]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[NewBillOrders]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[NewBillOrders]
AS
	BEGIN
		SELECT 
			csOrders.OrderNo, 
			csOrders.Total, 
			csOrders.Billed, 
			csOrders.CCNumber, 
			csOrders.CCExpDate,
			lsCustomers.Zip, 
			csOrders.ApprovalNumber
		FROM  
			csOrders 
			INNER JOIN 
			lsCustomers 
			ON 
			csOrders.Customer = lsCustomers.CustomerName 
		WHERE 
			csOrders.Billed = 0 
			AND 
			csOrders.Backordered = 0 
		ORDER BY 
			csOrders.Total DESC

	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[postCREDMEM]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[postCREDMEM]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[postCREDMEM] @ID varchar(50) AS
BEGIN TRANSACTION
-- this procedure is actualy a "reverse" invoice, it is identical excepts the credits are posted
-- as debits, and debits are posted as credits
DECLARE @total float, @taxable float, @Cust varchar(50), @SalesTax varchar(50), @Freight float, @Handling float
SELECT @total = Total, @taxable = TaxTotal, @Cust = Customer, @SalesTax = SalesTax, @Freight = Freight, @Handling = Handling FROM csCustomerCredits WHERE CreditNumber = @ID
DELETE FROM GLWorkDetail
UPDATE lsItems SET QuantityOnHand = QuantityOnHand + csCustomerCreditItems.Quantity, TotalValue = Cost * (QuantityOnHand + csCustomerCreditItems.Quantity)
FROM lsItems, csCustomerCreditItems WHERE csCustomerCreditItems.CustomerCreditNo = @ID AND lsItems.ItemName = csCustomerCreditItems.Item AND lsItems.ItemType=1
DECLARE @TaxPercent float
DECLARE @GLID varchar(50)
SELECT @GLID = ''CREDMEM '' + CONVERT(varchar, @ID)
INSERT INTO GeneralJournalEntry(Date,EntryNo, SystemGenerated, PostedYN, TrType, TrID) VALUES (CONVERT(varchar,CURRENT_TIMESTAMP,101), @GLID, 1, 1, 3, @ID)
UPDATE lsCustomers SET Balance = Balance - @total WHERE CustomerName = @Cust
INSERT INTO GLWorkDetail(GLID, Account, Debit, Credit, Memo, No) VALUES(@GLID, ''Accounts Receivable'', 0, @total,''AR'', 10)
DECLARE @Discount float
SELECT @Discount = (SELECT SUM(Amount) FROM csCustomerCreditItems WHERE CreditNumber = @ID) * Discount / 100 FROM csCustomerCredits WHERE CreditNumber = @ID
DECLARE @No int
SELECT @No=20
IF @Discount > 0
BEGIN
 INSERT INTO GLWorkDetail(GLID, Account, Debit, Credit, Memo, No) VALUES(@GLID, ''Discounts'', 0, @Discount, ''Discount'', @No)
 SELECT @No=@No+10
END
DECLARE @Quantity float, @Amount float, @Cost float, @COGSAccount varchar(50), @IncomeAccount varchar(50), @SalesPrice float, @AssetAccount varchar(50)
DECLARE GLDetail CURSOR FOR SELECT csCustomerCreditItems.Quantity, csCustomerCreditItems.Amount, lsItems.Cost, lsItems.COGSAccount, lsItems.IncomeAccount, lsItems.SalesPrice, lsItems.AssetAccount FROM csCustomerCreditItems INNER JOIN lsItems ON csCustomerCreditItems.Item = lsItems.ItemName WHERE CustomerCreditNo = @ID
OPEN GLDetail
FETCH NEXT FROM GLDetail INTO @Quantity, @Amount, @Cost, @COGSAccount, @IncomeAccount, @SalesPrice, @AssetAccount
WHILE @@FETCH_STATUS = 0 BEGIN
 INSERT INTO GLWorkDetail(GLID, Account, Debit, Credit, Memo, No) VALUES(@GLID, @IncomeAccount, @SalesPrice * @Quantity, 0, ''Income Account'', @No)
 SELECT @No=@No+10
 INSERT INTO GLWorkDetail(GLID, Account, Debit, Credit, Memo, No) VALUES(@GLID,@COGSAccount, 0, @Cost * @Quantity, ''COGS Account'', @No)
 SELECT @No=@No+10
 INSERT INTO GLWorkDetail(GLID, Account, Debit, Credit, Memo, No) VALUES(@GLID,@AssetAccount, @Cost * @Quantity, 0, ''Inventory Asset'', @No)
 SELECT @No=@No+10
 FETCH NEXT FROM GLDetail INTO @Quantity, @Amount, @Cost, @COGSAccount, @IncomeAccount, @SalesPrice, @AssetAccount
END
INSERT INTO GLWorkDetail(GLID, Account, Debit, Credit, Memo, No) VALUES(@GLID, ''Sales'', @Handling + @Freight, 0, ''Sales'', @No)
SELECT @No=@No+10
CLOSE GLDetail
DEALLOCATE GLDetail
DECLARE @Account varchar(50)
IF @SalesTax <> "" AND @SalesTax<>"No Tax"
BEGIN
 DECLARE @TotalPerc float
 SELECT @TotalPerc=SUM(TaxPercent) FROM lsTaxGroupDetail WHERE GrpID = @SalesTax
 DECLARE Curs1 CURSOR FOR SELECT Account, TaxPercent FROM lsTaxGroupDetail WHERE GrpID = @SalesTax
 OPEN Curs1
 FETCH NEXT FROM Curs1 INTO @Account, @TaxPercent
 WHILE @@FETCH_STATUS = 0
 BEGIN
  INSERT INTO GLWorkDetail(GLID, Account, Debit, Credit, Memo, No) VALUES(@GLID, @Account, @taxable * @TaxPercent / @TotalPerc, 0, ''Sales Tax'', @No)
  SELECT @No=@No+10
  FETCH NEXT FROM Curs1 INTO @Account, @TaxPercent
 END
 CLOSE Curs1
 DEALLOCATE Curs1
END
EXEC PostGLWorkDetail @GLID
UPDATE csCustomerCredits SET PostedYN = 1 WHERE CreditNumber = @ID
COMMIT TRANSACTION

' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_ShippingMethods]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_ShippingMethods]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_ShippingMethods]
AS
	BEGIN
 		SELECT 
			lsShippingMethods.ShippingMethod,
			lsShippingMethods.AccountNo,
			lsShippingMethods.Inactive 
		FROM 	
			lsShippingMethods
		ORDER BY
			lsShippingMethods.ShippingMethod
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_ShippingMethodDetail]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_ShippingMethodDetail]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_ShippingMethodDetail]
	@ShippingMethod nvarchar (50) 
AS
	BEGIN
		SELECT 
			lsShippingMethods.ShippingMethod,
			lsShippingMethods.AccountNo,	
			lsShippingMethods.Inactive 
		FROM 
			lsShippingMethods
		WHERE 
			lsShippingMethods.ShippingMethod = @ShippingMethod
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_Classes]    Script Date: 06/05/2007 23:16:33 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_Classes]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_Classes]
AS
	BEGIN
		SELECT 
			lsClasses.ClassName 
		FROM 
			lsClasses 
		ORDER BY 
			lsClasses.ClassName
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_ClassDetail]    Script Date: 06/05/2007 23:16:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_ClassDetail]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_ClassDetail]
	@ClassName varchar (50)
AS
	BEGIN
		SELECT 
			lsClasses.Subclass,
			lsClasses.ClassName1,
			lsClasses.ClassName,
			lsClasses.Inactive
		FROM 
			lsClasses
		WHERE
			lsClasses.ClassName = @ClassName
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[rptSales2]    Script Date: 06/05/2007 23:16:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[rptSales2]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[rptSales2] @Cust varchar(50) AS
SELECT csInvoices.InvoiceNo AS TransID, csInvoiceItems.Amount 
FROM csInvoices, csInvoiceItems WHERE 
csInvoices.InvoiceNo=csInvoiceItems.InvoiceNo AND 
csInvoices.Customer=@Cust AND PostedYN = 1

' 
END
GO
/****** Object:  StoredProcedure [dbo].[rptSales1]    Script Date: 06/05/2007 23:16:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[rptSales1]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[rptSales1] @Cust varchar(50) AS
SELECT csInvoices.InvoiceNo AS TransID, ''Invoice'' AS Type, CONVERT(varchar,Date,101) AS Date, 
csInvoices.InvoiceNo AS Num, Customer AS Name, csInvoiceItems.Description AS Memo, 
lsItems.ItemName AS Item, csInvoiceItems.Quantity AS Qty, csInvoiceItems.Rate AS Price, ''../receivables/createinvoices.asp?direction=idnumber'' AS Path,
csInvoiceItems.Amount FROM csInvoices, csInvoiceItems,lsItems WHERE 
csInvoices.InvoiceNo=csInvoiceItems.InvoiceNo AND lsItems.ItemName=csInvoiceItems.Item AND 
csInvoices.Customer=@Cust AND PostedYN = 1' 
END
GO
/****** Object:  StoredProcedure [dbo].[rptSales4]    Script Date: 06/05/2007 23:16:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[rptSales4]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[rptSales4] @Item varchar(50) AS
SELECT csInvoices.InvoiceNo AS TransID, ''Invoice'' AS Type, CONVERT(varchar,Date,101) AS Date, 
csInvoices.InvoiceNo AS Num, Customer AS Name, csInvoiceItems.Description AS Memo, 
csInvoiceItems.Quantity AS Qty, csInvoiceItems.Rate AS Price, 
csInvoiceItems.Amount FROM csInvoices, csInvoiceItems,lsItems WHERE 
csInvoices.InvoiceNo=csInvoiceItems.InvoiceNo AND lsItems.ItemName=csInvoiceItems.Item AND 
lsItems.ItemName=@Item AND PostedYN = 1

' 
END
GO
/****** Object:  StoredProcedure [dbo].[rptSales3]    Script Date: 06/05/2007 23:16:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[rptSales3]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[rptSales3] @Item varchar(50) AS
SELECT csInvoices.InvoiceNo AS TransID, ''Invoice'' AS Type, CONVERT(varchar,Date,101) AS Date, 
csInvoices.InvoiceNo AS Num, Customer AS Name, csInvoiceItems.Description AS Memo, 
csInvoiceItems.Quantity AS Qty, csInvoiceItems.Rate AS Price, ''../Transactions/CustomerSales/CreateInvoices.asp?direction=idnumber'' AS Path,
csInvoiceItems.Amount FROM csInvoices, csInvoiceItems,lsItems WHERE 
csInvoices.InvoiceNo=csInvoiceItems.InvoiceNo AND lsItems.ItemName=csInvoiceItems.Item AND 
lsItems.ItemName=@Item AND PostedYN = 1

' 
END
GO
/****** Object:  StoredProcedure [dbo].[rptProfit2]    Script Date: 06/05/2007 23:16:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[rptProfit2]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[rptProfit2] @Item varchar(50) AS
SELECT csInvoices.InvoiceNo AS TransID, ''Invoice'' AS Type, CONVERT(varchar,Date,101) AS Date, 
csInvoices.InvoiceNo AS Num, Customer AS Name, csInvoiceItems.Description AS Memo, 
csInvoiceItems.Quantity AS Qty, csInvoiceItems.Rate AS Price, lsItems.Cost AS Cost,  csInvoiceItems.Quantity *Cost AS TotalCost, 
csInvoiceItems.Amount,''../receivables/createinvoices.asp?direction=idnumber'' as Path, Amount - Quantity *Cost AS Profit FROM csInvoices, csInvoiceItems, lsItems WHERE 
csInvoices.InvoiceNo=csInvoiceItems.InvoiceNo AND lsItems.ItemName=csInvoiceItems.Item AND lsItems.ItemName=@Item AND PostedYN = 1' 
END
GO
/****** Object:  StoredProcedure [dbo].[rptProfit1]    Script Date: 06/05/2007 23:16:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[rptProfit1]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[rptProfit1] @Cust varchar(50) AS
SELECT csInvoices.InvoiceNo AS TransID, CONVERT(varchar,Date,101) AS Date, 
Customer AS Name, csInvoiceItems.Description AS Memo, 
lsItems.ItemName AS Item, csInvoiceItems.Quantity AS Qty, lsItems.Cost AS Cost,  csInvoiceItems.Quantity *Cost AS TotalCost, csInvoiceItems.Rate AS Price, csInvoiceItems.Quantity * Rate AS TotalPrice,
csInvoiceItems.Amount, ''../receivables/createinvoices.asp?direction=idnumber'' as Path, Amount - Quantity *Cost AS Profit FROM csInvoices , csInvoiceItems, lsItems WHERE 
csInvoices.InvoiceNo=csInvoiceItems.InvoiceNo AND lsItems.ItemName = csInvoiceItems.Item AND 
csInvoices.Customer = @Cust AND PostedYN = 1' 
END
GO
/****** Object:  StoredProcedure [dbo].[NewConvertOrder]    Script Date: 06/05/2007 23:16:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[NewConvertOrder]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'

CREATE PROCEDURE [dbo].[NewConvertOrder] 
	@ID varchar(50) 
AS
	BEGIN
		-- converts an order to an invoice
		DECLARE @IID as varchar(50)
		DECLARE @LID as int
		DECLARE @No as int
		DECLARE @NewNumber varchar(50)
		DECLARE @Item as varchar(50)
		DECLARE @Desc as nvarchar(50)
		DECLARE @Q as float
		DECLARE @Ship as float
		DECLARE @Rate as float
		DECLARE @Amount as float
		DECLARE @Tax as bit
		DECLARE @ItemWeight as float
		DECLARE @Date as smalldatetime

		BEGIN TRANSACTION
		-- gets a new invoice number
		SELECT @LID = 1
		SELECT @NewNumber = @ID
		WHILE (EXISTS(SELECT csInvoices.InvoiceNo FROM csInvoices WHERE csInvoices.InvoiceNo=@NewNumber))
			BEGIN
				SELECT @NewNumber = CONVERT(varchar, @NewNumber + ''-'' +Convert(varchar,@LID))
				SELECT @LID = @LID + 1
				CONTINUE
			END

		-- fills the invoice''s header
		INSERT INTO csInvoices
			(csInvoices.Date, 
			csInvoices.Customer, 
			csInvoices.ShipToID, 
			csInvoices.Class, 
			csInvoices.Memo, 
			csInvoices.Term, 
			csInvoices.InvoiceNo, 
			csInvoices.DueDate, 
			csInvoices.ShipVia, 
			csInvoices.ShipDate, 
			csInvoices.POID,
			csInvoices.CustomerMessage,
			csInvoices.TrackingNumber, 
			csInvoices.Handling, 
			csInvoices.Freight, 
			csInvoices.SalesTax, 
			csInvoices.Discount, 
			csInvoices.Tax, 
			csInvoices.TaxTotal, 
			csInvoices.Total, 
			csInvoices.TotalWeight, 
			csInvoices.ShippingCharge,  
			csInvoices.ApplyYN,  
			csInvoices.PaidYN, 
			csInvoices.PayAmount)
		SELECT 
			csOrders.Date, 
			csOrders.Customer, 
			csOrders.ShipToID, 
			csOrders.Class, 
			csOrders.Memo,
			csOrders.Term, 
			@NewNumber as InvoiceNo, 
			csOrders.DueDate, 
			csOrders.ShipVia, 
			csOrders.ShipDate, 
			csOrders.POID, 
			csOrders.CustomerMessage,
			csOrders.TrackingNumber, 
			csOrders.Handling, 
			csOrders.Freight, 
			csOrders.SalesTax, 
			csOrders.Discount, 
			csOrders.Tax, 
			csOrders.TaxTotal, 
			csOrders.Total, 
			csOrders.TotalWeight, 
			0 AS ShippingCharge, 
			0 AS ApplyYN, 
			0 as PaidYN, 
			0 as PayAmount 
		FROM 
			csOrders 
		WHERE 
			csOrders.OrderNo=@ID
		
		DECLARE 
			Curs 
		CURSOR FOR 
			SELECT 
				* 
			FROM 
				csOrderItems 
			WHERE 
				OrderNo=@ID

		OPEN Curs

		FETCH NEXT FROM Curs INTO @IID, @No, @Item, @Desc, @Q, @Ship, @Rate,@Amount,@ItemWeight,@Date

		--inserts the order''s line items
		WHILE @@FETCH_STATUS = 0 
			BEGIN
		 		INSERT INTO csInvoiceItems
					(csInvoiceItems.InvoiceNo,
					csInvoiceItems.No,
					csInvoiceItems.Item,
					csInvoiceItems.Description,
					csInvoiceItems.Quantity,
					csInvoiceItems.Rate,
					csInvoiceItems.Amount,
					csInvoiceItems.ItemWeight,
					csInvoiceItems.ShippedDate) 
				VALUES
					(@NewNumber,
					@No,
					@Item,
					@Desc,
					@Ship,
					@Rate,
					@Amount,
					@ItemWeight,
					@Date)

		 		FETCH NEXT FROM Curs INTO @IID, @No, @Item, @Desc, @Q, @Ship, @Rate,@Amount,@ItemWeight,@Date 
			END
		CLOSE Curs
		DEALLOCATE Curs

		-- updates the tracking table
		INSERT INTO csOrderTracking 
			(csOrderTracking.OrderNo,
			csOrderTracking.InvoiceNo)	
		VALUES
			(@ID,
			@NewNumber);

		-- marks the order as being invoiced.
		UPDATE 
			csOrders 
		SET 
			csOrders.Invoiced = 1 
		WHERE 
			csOrders.OrderNo = @ID

		--NOTE: the invoice will NOT be posted to GL

		COMMIT TRANSACTION
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[ConvertOrder]    Script Date: 06/05/2007 23:16:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[ConvertOrder]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[ConvertOrder] @ID varchar(50) AS
-- converts an order to an invoice
DECLARE @IID as varchar(50)
DECLARE @LID as int
DECLARE @No as int
DECLARE @NewNumber varchar(50)
DECLARE @Item as varchar(50)
DECLARE @Desc as nvarchar(50)
DECLARE @Q as float
DECLARE @Ship as float
DECLARE @Rate as float
DECLARE @Amount as float
DECLARE @Tax as bit
DECLARE @ItemWeight as float
DECLARE @Date as smalldatetime
BEGIN TRANSACTION
-- gets a new invoice number
SELECT @LID = 1
SELECT @NewNumber = @ID
WHILE (EXISTS(SELECT InvoiceNo FROM csInvoices WHERE InvoiceNo=@NewNumber))
BEGIN
 SELECT @NewNumber = CONVERT(varchar, @NewNumber + ''-'' +Convert(varchar,@LID))
 SELECT @LID = @LID + 1
 CONTINUE
END
-- fills the invoice''s header
INSERT INTO csInvoices(Date, Customer, ShipToID, Class, Memo, Term, InvoiceNo, DueDate, ShipVia, ShipDate, POID,CustomerMessage,
TrackingNumber, Handling, Freight, SalesTax, Discount, Tax, TaxTotal, Total, TotalWeight, ShippingCharge,  ApplyYN,  PaidYN, PayAmount)
SELECT Date, Customer, ShipToID, Class, Memo,Term, @NewNumber as InvoiceNo, DueDate, ShipVia, ShipDate, POID, CustomerMessage,
TrackingNumber, Handling, Freight, SalesTax, Discount, Tax, TaxTotal, Total, TotalWeight, 0 AS ShippingCharge, 0 AS ApplyYN, 0 as PaidYN, 0 as PayAmount from csOrders WHERE csOrders.OrderNo=@ID
DECLARE Curs CURSOR FOR SELECT * FROM csOrderItems WHERE OrderNo=@ID
OPEN Curs
FETCH NEXT FROM Curs INTO @IID, @No, @Item, @Desc, @Q, @Ship, @Rate,@Amount,@ItemWeight,@Date
--inserts the order''s line items
WHILE @@FETCH_STATUS = 0 BEGIN
 INSERT INTO csInvoiceItems(InvoiceNo,No,Item,Description,Quantity,Rate,Amount,ItemWeight,ShippedDate) values(@NewNumber,@No,@Item,@Desc,@Ship,@Rate,@Amount,@ItemWeight,@Date)
 FETCH NEXT FROM Curs INTO @IID, @No, @Item, @Desc, @Q, @Ship, @Rate,@Amount,@ItemWeight,@Date 
END
CLOSE Curs
DEALLOCATE Curs
-- updates the tracking table
INSERT INTO csOrderTracking VALUES(@ID,@NewNumber);
-- marks the order as being invoiced.
UPDATE csOrders SET Invoiced = 1 WHERE OrderNo = @ID
--NOTE: the invoice will NOT be posted to GL
COMMIT TRANSACTION

' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_InvoiceItems]    Script Date: 06/05/2007 23:16:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_InvoiceItems]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_InvoiceItems]
	@InvoiceNo nvarchar (50) 
AS
	BEGIN
		SELECT 
			InvoiceNo,
			No,
			Item,	
			Description,
			Quantity,
			Rate,
			Amount,
			ItemWeight,
			Shipped,
			ShippedDate,
			TrackingNumber 
		FROM 
			csInvoiceItems
		WHERE 
			InvoiceNo = @InvoiceNo 
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_CustomerTypes]    Script Date: 06/05/2007 23:16:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_CustomerTypes]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_CustomerTypes]
AS
	BEGIN
		SELECT 
			lsCustomerTypes.CustomerType,
			lsCustomerTypes.Inactive 
		FROM 
			lsCustomerTypes
		ORDER BY
			lsCustomerTypes.CustomerType
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_CustomerTypeDetail]    Script Date: 06/05/2007 23:16:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_CustomerTypeDetail]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_CustomerTypeDetail]
	@CustomerType nvarchar (50) 
AS
	BEGIN
		SELECT 
			CustomerType,
			Inactive 
		FROM 
			lsCustomerTypes
		WHERE 	
			CustomerType = @CustomerType
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_TimeTrackingDetail]    Script Date: 06/05/2007 23:16:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_TimeTrackingDetail]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_TimeTrackingDetail]
	@Reference varchar (50)
AS
	BEGIN
		SELECT 
			TimeTracking.Customer,
			TimeTracking.ServiceItem,
			TimeTracking.Employee,
			TimeTracking.Class,
			TimeTracking.Date,
			TimeTracking.Duration,
			TimeTracking.Reference,
			TimeTracking.Memo 
		FROM 
			TimeTracking
		WHERE
			TimeTracking.Reference = @Reference
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_TimeTracking]    Script Date: 06/05/2007 23:16:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_TimeTracking]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_TimeTracking]
AS
	BEGIN
		SELECT 
			TimeTracking.Reference, 
			TimeTracking.Date, 
			TimeTracking.Memo 
		FROM 
			TimeTracking 
		ORDER BY 
			TimeTracking.Date
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_CustomerCredits]    Script Date: 06/05/2007 23:16:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_CustomerCredits]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_CustomerCredits]
AS
	BEGIN
		SELECT 
			csCustomerCredits.CreditNumber, 
			csCustomerCredits.Date, 
			csCustomerCredits.Total, 
			csCustomerCredits.Memo 
		FROM 
			csCustomerCredits 
		ORDER BY 
			csCustomerCredits.Date
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_CustomerCreditDetail]    Script Date: 06/05/2007 23:16:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_CustomerCreditDetail]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_CustomerCreditDetail]
	@CreditNumber nvarchar (20) 
AS
	BEGIN
		SELECT 
			csCustomerCredits.Customer,
			csCustomerCredits.Class, 
			csCustomerCredits.Memo,
			csCustomerCredits.BillTo,
			csCustomerCredits.Date,
			csCustomerCredits.POID,
			csCustomerCredits.CreditNumber,
			csCustomerCredits.CustomerMessage,
			csCustomerCredits.Discount,
			csCustomerCredits.Handling,
			csCustomerCredits.Freight,
			csCustomerCredits.SalesTax,
			csCustomerCredits.Tax,
			csCustomerCredits.TaxTotal,
			csCustomerCredits.Total,
			csCustomerCredits.PostedYN
		FROM 
			csCustomerCredits
		WHERE 
			csCustomerCredits.CreditNumber = @CreditNumber
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[PayEmployees]    Script Date: 06/05/2007 23:16:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[PayEmployees]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[PayEmployees] @Empl varchar(50), @Amount float, @CheckNo int, @Date datetime, @Account varchar(50) AS
BEGIN TRANSACTION
-- updates the employees'' commission and the BillTo info
UPDATE lsEmployees SET Commission = Commission - @Amount WHERE EmployeeName = @Empl
DECLARE @BillTo varchar(255)
SELECT @BillTo = Address1 + '', '' + City + '' '' + State + '', '' + Zip FROM lsEmployees WHERE EmployeeName = @Empl
INSERT INTO EMPChecks(CheckNo, Payee, Account, Address, Date, Amount) VALUES(@CheckNo, @Empl, @Account, @BillTo, @Date, @Amount)
COMMIT TRANSACTION

' 
END
GO
/****** Object:  StoredProcedure [dbo].[addCommission]    Script Date: 06/05/2007 23:16:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[addCommission]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[addCommission] @EmpName varchar(50), @Amount float AS
BEGIN TRANSACTION
-- increases the Refferal field, and sets the commission for the employee
UPDATE lsEmployees SET Refferal=Refferal+1, Commission=Commission+CommissionRate*@Amount/100 WHERE CommissionYN=1 AND EmployeeName=@EmpName
SELECT @Amount = @Amount * CommissionRate / 100 FROM lsEmployees WHERE EmployeeName = @EmpName
DECLARE @A float
SELECT @A=Commission FROM lsEmployees WHERE CommissionYN=1 AND EmployeeName=@EmpName
DELETE FROM GLWorkDetail
DECLARE @GLID varchar(50), @G int
-- gets a new document number
SELECT @GLID = ''SALESCOMM-0''
SELECT @G = 1
WHILE (EXISTS(SELECT EntryNo FROM GeneralJournalEntry WHERE EntryNo=@GLID))
BEGIN
 SELECT @GLID = ''SALESCOMM-''+CONVERT(varchar,@G)
 SELECT @G = @G + 1
END
-- filling the GL header
INSERT INTO GeneralJournalEntry(Date, EntryNo, SystemGenerated, PostedYN, TrType, TrID) VALUES(CONVERT(varchar, CURRENT_TIMESTAMP, 101), @GLID, 1, 1, 0, @GLID)
-- GL scheme:
-- Account  Debit  Credit
-- Accounts Payable   X
-- Income      X
INSERT INTO GLWorkDetail(GLID, Account, Debit, Credit, Memo, No) VALUES(@GLID, ''Accounts Payable'', 0, @Amount, ''AP'', 10)
INSERT INTO GLWorkDetail(GLID, Account, Debit, Credit, Memo, No) VALUES(@GLID, ''Sales'', @Amount, 0, ''Sales'', 20)
INSERT INTO Commissions(EmpName,Date,Amount,PaidYN) VALUES (@EmpName, CURRENT_TIMESTAMP, @A, 0)
-- post it to GL
EXEC PostGLWorkDetail @GLID
COMMIT TRANSACTION

' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_Company]    Script Date: 06/05/2007 23:16:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_Company]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_Company]
AS
	BEGIN
		SELECT TOP 1 
			Company.CompanyName, 
			Company.CompanyName, 
			Company.LegalName, 
			Company.Address1, 
			Company.Address2, 
			Company.City, 
			Company.State, 
			Company.Zip, 
			Company.Country, 
			Company.Phone, 
			Company.Fax, 
			Company.email, 
			Company.website, 
			Company.FirstFiscalMonth, 
			Company.PictureURL, 
			Company.ConfirmDeletion, 
			Company.UseAN, 
			Company.DefaultCT, 
			Company.DefaultIT, 
			Company.DefaultSM, 
			Company.AgingReportUse, 
			Company.TaxFreight, 
			Company.DefaultSalesTax, 
			Company.ChargeHandling, 
			Company.HandlingAsPercent, 
			Company.HandlingAmount, 
			Company.CurrencySymbol 
		FROM 
			Company 
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_update_Company]    Script Date: 06/05/2007 23:16:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_update_Company]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_update_Company]
	@CompanyName varchar (50) ,
	@LegalName varchar (50) ,
	@Address1 varchar (50) ,
	@Address2 varchar (50) ,
	@City varchar (50) ,
	@State varchar (50) ,
	@Zip varchar (10) ,
	@Country varchar (50) ,
	@Phone varchar (25) ,
	@Fax varchar (25) ,
	@email varchar (50) ,
	@website varchar (50) ,
	@FirstFiscalMonth varchar (50) ,
	@PictureURL char (10) ,
	@ConfirmDeletion bit ,
	@UseAN bit ,
	@DefaultCT int ,
	@DefaultIT int ,
	@DefaultSM varchar (50) ,
	@AgingReportUse bit ,
	@TaxFreight bit ,
	@DefaultSalesTax varchar (50) ,
	@ChargeHandling bit ,
	@HandlingAsPercent bit ,
	@HandlingAmount float ,
	@CurrencySymbol varchar (10)
AS
	BEGIN
		UPDATE 
			Company 
		SET 
			CompanyName = @CompanyName, 
			LegalName = @LegalName, 
			Address1 = @Address1, 
			Address2 = @Address2, 
			City = @City, 
			State = @State, 
			Zip = @Zip, 
			Country = @Country, 
			Phone = @Phone, 
			Fax = @Fax, 
			email = @email, 
			website = @website, 
			FirstFiscalMonth = @FirstFiscalMonth, 
			PictureURL = @PictureURL, 
			ConfirmDeletion = @ConfirmDeletion, 
			UseAN = @UseAN, 
			DefaultCT = @DefaultCT, 
			DefaultSM = @DefaultSM, 
			DefaultIT = @DefaultIT, 
			AgingReportUse = @AgingReportUse, 
			TaxFreight = @TaxFreight, 
			DefaultSalesTax = @DefaultSalesTax, 
			ChargeHandling = @ChargeHandling, 
			HandlingAsPercent = @HandlingAsPercent, 
			HandlingAmount = @HandlingAmount, 
			CurrencySymbol = @CurrencySymbol
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_get_CompanyUseAccountNumber]    Script Date: 06/05/2007 23:16:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_get_CompanyUseAccountNumber]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_get_CompanyUseAccountNumber]
AS
	BEGIN
		SELECT TOP 1 
			ISNULL(Company.UseAN, 1) AS UseAN
		FROM 
			Company
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[rptTaxes]    Script Date: 06/05/2007 23:16:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[rptTaxes]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[rptTaxes] AS
SELECT TaxID,lsTaxes.Description,AccountName,TaxPercent FROM lsTaxes,lsAccounts WHERE lsTaxes.Account=lsAccounts.AccountName

' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_TaxDetail]    Script Date: 06/05/2007 23:16:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_TaxDetail]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_TaxDetail]
	@TaxID nvarchar (10) 
AS
	BEGIN
		SELECT 
			lsTaxes.TaxID,
			lsTaxes.Description,
			lsTaxes.TaxPercent,
			lsTaxes.Account,
			lsTaxes.Inactive 
		FROM 
			lsTaxes
		WHERE 
			lsTaxes.TaxID = @TaxID
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_Taxes]    Script Date: 06/05/2007 23:16:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_Taxes]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_Taxes]
AS
	BEGIN
		SELECT 
			lsTaxes.TaxID,
			lsTaxes.Description,
			lsTaxes.TaxPercent,
			lsTaxes.Account,
			lsTaxes.Inactive 
		FROM 
			lsTaxes
		ORDER BY
			lsTaxes.TaxID

	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_TaxGroupDetail]    Script Date: 06/05/2007 23:16:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_TaxGroupDetail]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_TaxGroupDetail]
	@TaxGroupID varchar (10)
AS
	BEGIN
		SELECT 
			lsTaxGroups.TaxGroupID,
			lsTaxGroups.TaxGroupName,
			lsTaxGroups.TotalPercent,
			lsTaxGroups.Inactive,
			lsTaxGroups.IsDefault 
		FROM 
			lsTaxGroups
		WHERE 
			lsTaxGroups.TaxGroupID = @TaxGroupID
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_TaxGroups]    Script Date: 06/05/2007 23:16:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_TaxGroups]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_TaxGroups]
AS
	BEGIN
		SELECT 	
			lsTaxGroups.TaxGroupID,
			lsTaxGroups.TaxGroupName,
			lsTaxGroups.TotalPercent,
			lsTaxGroups.Inactive,
			lsTaxGroups.IsDefault 
		FROM 
			lsTaxGroups
		ORDER BY
			lsTaxGroups.TaxGroupID
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[rptSalesTax]    Script Date: 06/05/2007 23:16:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[rptSalesTax]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[rptSalesTax] @Grp varchar(50) AS
SELECT DISTINCT InvoiceNo, Convert(varchar,Date,101) as Date, Total-TaxTotal AS Amount, (Total-TaxTotal)*lsTaxGroups.TotalPercent/100 AS Payment
FROM csInvoices,lsTaxGroups WHERE SalesTax=@Grp AND lsTaxGroups.TaxGroupID=@Grp AND PostedYN = 1

' 
END
GO
/****** Object:  StoredProcedure [dbo].[rptOpenPO]    Script Date: 06/05/2007 23:16:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[rptOpenPO]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[rptOpenPO] @BegDate DATETIME, @EndDate DATETIME AS
SELECT PORef AS TransID, CONVERT(varchar,Date,101) AS Date, PORef AS Number, 
  Vendor, CASE (SELECT COUNT(vpPurchaseOrderDetails.Item) 
  FROM vpPurchaseOrderDetails WHERE vpPurchaseOrderDetails.PORef=vpPurchaseOrders.PORef) 
  WHEN 1 THEN (SELECT lsAccounts.AccountName FROM lsAccounts,lsItems, 
  vpPurchaseOrderDetails WHERE vpPurchaseOrderDetails.PORef=vpPurchaseOrders.PORef AND 
  lsItems.ItemName=vpPurchaseOrderDetails.Item AND 
  lsAccounts.AccountName=lsItems.AssetAccount) ELSE ''-Split-'' END AS Account, 
  ''Open'' AS Status, Total FROM vpPurchaseOrders WHERE vpPurchaseOrders.Date BETWEEN CONVERT(DATETIME,@BegDate,101) AND 
  CONVERT(DATETIME,@EndDate,101) AND vpPurchaseOrders.ReceivedYN=0 ORDER BY Date

' 
END
GO
/****** Object:  StoredProcedure [dbo].[rptPurchase4]    Script Date: 06/05/2007 23:16:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[rptPurchase4]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[rptPurchase4] @Vend varchar(50) AS
SELECT vpPurchaseOrders.PORef AS TransID, vpPurchaseOrderDetails.Amount FROM 
vpPurchaseOrders, vpPurchaseOrderDetails WHERE 
vpPurchaseOrderDetails.PORef=vpPurchaseOrders.PORef
AND vpPurchaseOrders.Vendor=@Vend AND ReceivedYN = 1 

' 
END
GO
/****** Object:  StoredProcedure [dbo].[rptPurchase2]    Script Date: 06/05/2007 23:16:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[rptPurchase2]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[rptPurchase2] @Vend varchar(50) AS
SELECT
vpPurchaseOrders.PORef AS TransID, CONVERT(varchar,Date,101) AS Date, ''Receiving'' AS Type, 
VendorInvoice AS Num, Vendor AS Name, lsitems.ItemName AS Memo, 
Quantity AS Qty, Rate AS Price, ''../payables/enterpurchaseorders.asp?direction=idnumber'' AS Path,
Amount FROM vpPurchaseOrders, vpPurchaseOrderDetails, lsItems WHERE 
vpPurchaseOrders.PORef=vpPurchaseOrderDetails.PORef AND vpPurchaseOrderDetails.Item=lsItems.ItemName AND
Vendor=@Vend AND ReceivedYN = 1' 
END
GO
/****** Object:  StoredProcedure [dbo].[rptPurchase1]    Script Date: 06/05/2007 23:16:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[rptPurchase1]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[rptPurchase1] @Item varchar(50) AS
SELECT
vpPurchaseOrders.PORef AS TransID,CONVERT(varchar,Date,101) AS Date,  ''Receiving'' AS Type, 
VendorInvoice AS Num, Vendor AS Name, Description AS Memo, 
Quantity AS Qty, Rate AS Price, ''../payables/enterpurchaseorders.asp?direction=idnumber'' AS Path,
Amount FROM vpPurchaseOrders, vpPurchaseOrderDetails WHERE 
vpPurchaseOrders.PORef=vpPurchaseOrderDetails.PORef AND Item=@Item AND ReceivedYN = 1' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_PurchaseOrderItems]    Script Date: 06/05/2007 23:16:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_PurchaseOrderItems]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_PurchaseOrderItems]
	@PORef nvarchar (50)
AS
	BEGIN	
		SELECT 
			vpPurchaseOrderDetails.Id,
			vpPurchaseOrderDetails.No,
			vpPurchaseOrderDetails.POref,
			vpPurchaseOrderDetails.Item,
			vpPurchaseOrderDetails.Description,
			vpPurchaseOrderDetails.Project,
			vpPurchaseOrderDetails.Quantity,	
			vpPurchaseOrderDetails.Rate,
			vpPurchaseOrderDetails.Amount
		FROM 
			vpPurchaseOrderDetails
		WHERE 
			vpPurchaseOrderDetails.PORef = @PORef
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_insert_PurchaseOrderItems]    Script Date: 06/05/2007 23:16:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_insert_PurchaseOrderItems]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_insert_PurchaseOrderItems]
	@PORef varchar (50) ,
	@No int ,
	@Item varchar (50) ,
	@Description nvarchar (255) ,
	@Quantity float ,
	@Rate money ,
	@Amount money ,
	@Project varchar (50)
AS
	BEGIN
		INSERT INTO vpPurchaseOrderDetails
			(PORef,
  			No,
  			Item,
  			Description,
  			Quantity,
  			Rate,
  			Amount,
  			Project)
		VALUES 
			(@PORef,
  			@No,
  			@Item,
  			@Description,
  			@Quantity,
  			@Rate,
  			@Amount,
  			@Project)
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_update_PurchaseOrderDetail]    Script Date: 06/05/2007 23:16:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_update_PurchaseOrderDetail]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_update_PurchaseOrderDetail]
	@PORef nvarchar (50),
	@ReceivedQty float ,
	@ID int 
AS
	BEGIN	
		UPDATE 
			vpPurchaseOrderDetails 
		SET 
			vpPurchaseOrderDetails.ReceivedQty = @ReceivedQty
		WHERE 
			vpPurchaseOrderDetails.PORef = @PORef
			AND
			vpPurchaseOrderDetails.ID = @ID
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_OrderItems]    Script Date: 06/05/2007 23:16:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_OrderItems]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_OrderItems]
	@OrderNo nvarchar (50) 
AS
	BEGIN
		SELECT 
			csOrderItems.OrderNo,
			csOrderItems.No,
			csOrderItems.Item,
			csOrderItems.Description,
			csOrderItems.Quantity,
			csOrderItems.Ship,
			csOrderItems.Rate,
			csOrderItems.Amount,
			csOrderItems.ItemWeight,
			csOrderItems.ShipDate 	
		FROM 
			csOrderItems
		WHERE 
			csOrderItems.OrderNo = @OrderNo 
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_CustomerCreditItems]    Script Date: 06/05/2007 23:16:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_CustomerCreditItems]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_CustomerCreditItems]
	@CreditNumber nvarchar (50) 
AS
	BEGIN
		SELECT 
			csCustomerCreditItems.CustomerCreditNo,
			csCustomerCreditItems.No,
			csCustomerCreditItems.Item,
			csCustomerCreditItems.Description,
			csCustomerCreditItems.Quantity,
			csCustomerCreditItems.Rate,
			csCustomerCreditItems.Amount,
			csCustomerCreditItems.Tax 
		FROM 
			csCustomerCreditItems
		WHERE 
			csCustomerCreditItems.CustomerCreditNo = @CreditNumber 
		ORDER BY
			csCustomerCreditItems.No
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_Invoices]    Script Date: 06/05/2007 23:16:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_Invoices]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_Invoices]
AS
	BEGIN
		SELECT 
			csInvoices.Date,
			csInvoices.Customer,
			csInvoices.ShipToID,
			csInvoices.Class,
			csInvoices.Memo,
			csInvoices.Term,
			csInvoices.InvoiceNo,
			csInvoices.DueDate,
			csInvoices.ShipVia,
			csInvoices.ShipDate,
			csInvoices.POID,
			csInvoices.CustomerMessage,
			csInvoices.TrackingNumber,
			csInvoices.Handling,
			csInvoices.Freight,
			csInvoices.Discount,
			csInvoices.SalesTax,
			csInvoices.Tax,
			csInvoices.TaxTotal,
			csInvoices.Total,
			csInvoices.TotalWeight,
			csInvoices.ShippingCharge,
			csInvoices.ApplyYN,
			csInvoices.PaidYN,
			csInvoices.PayAmount,
			csInvoices.PostedYN 
		FROM 
			csInvoices
		ORDER BY
			csInvoices.InvoiceNo
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_InvoiceDetail]    Script Date: 06/05/2007 23:16:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_InvoiceDetail]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_InvoiceDetail]
	@InvoiceNo nvarchar (20)
AS
	BEGIN
		SELECT 
			csInvoices.Date,
			csInvoices.Customer,
			csInvoices.ShipToID,
			csInvoices.Class,
			csInvoices.Memo,
			csInvoices.Term,
			csInvoices.InvoiceNo,
			csInvoices.DueDate,
			csInvoices.ShipVia,
			csInvoices.ShipDate,
			csInvoices.POID,
			csInvoices.CustomerMessage,
			csInvoices.TrackingNumber,
			csInvoices.Handling,
			csInvoices.Freight,
			csInvoices.Discount,
			csInvoices.SalesTax,
			csInvoices.Tax,
			csInvoices.TaxTotal,
			csInvoices.Total,
			csInvoices.TotalWeight,
			csInvoices.ShippingCharge,
			csInvoices.ApplyYN,
			csInvoices.PaidYN,
			csInvoices.PayAmount,
			csInvoices.PostedYN 
		FROM 
			csInvoices
		WHERE
			csInvoices.InvoiceNo = @InvoiceNo

	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_CustomerPaymentInvoices]    Script Date: 06/05/2007 23:16:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_CustomerPaymentInvoices]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_CustomerPaymentInvoices]
	@CustomerName nvarchar (50) 
AS
	BEGIN
		SELECT 
			csInvoices.InvoiceNo,
			csInvoices.Date,
			''Invoice'' AS Type, 
			STR(csInvoices.Total - csInvoices.PayAmount,10,2) AS Amount, 
			STR(csInvoices.PayAmount,10,2) AS PayAmount 
		FROM 
			csInvoices 
		WHERE 
			csInvoices.PayAmount < csInvoices.Total 
			AND 
			csInvoices.PostedYN = 1 
			AND 
			csInvoices.Customer = @CustomerName
		ORDER BY
			csInvoices.Date,
			csInvoices.InvoiceNo
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_CustomerPaymentItems]    Script Date: 06/05/2007 23:16:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_CustomerPaymentItems]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_CustomerPaymentItems]
	@Reference nvarchar (50)
AS
	BEGIN	
		SELECT 
			csInvoices.InvoiceNo , 
			csInvoices.Date,
			''Invoice'' AS Type, 
			STR(csInvoices.Total,10,2) AS TotalAmount, 
			STR(csCustomerPaymentDetails.textboxAmount,10,2) AS Amount 
		FROM 
			csInvoices, 
			csCustomerPaymentDetails 
		WHERE 
			csInvoices.PostedYN = 1 
			AND 
			csCustomerPaymentDetails.Reference = @Reference 
			AND 	
			csInvoices.InvoiceNo = csCustomerPaymentDetails.FID
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[rptARAgingDetail]    Script Date: 06/05/2007 23:16:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[rptARAgingDetail]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[rptARAgingDetail] @CustID varchar(50) AS
SELECT InvoiceNo AS TransID, ''Invoice'' AS Type, CONVERT(varchar,Date,101) AS Date, 
InvoiceNo AS Num,CONVERT(varchar,DueDate,101) AS DueDate,DATEDIFF(day,DueDate,getdate()) AS Aging, ''../receivables/createinvoices.asp?direction=idnumber'' AS Path,
Total AS OpeningBalance FROM csInvoices WHERE 
Customer=@CustID AND PostedYN = 1 AND PaidYN = 0 ORDER BY Aging DESC' 
END
GO
/****** Object:  StoredProcedure [dbo].[rptARRegister]    Script Date: 06/05/2007 23:16:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[rptARRegister]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[rptARRegister] AS
SELECT InvoiceNo AS TransID, CONVERT(varchar,csInvoices.Date, 101) AS Date, 
 InvoiceNo AS Number, ''INV'' AS Type, Customer, 
 Memo AS Description, CASE WHEN (PayAmount=Total) THEN ''Paid'' ELSE CONVERT(varchar,DueDate,101) END AS DueDate, 
 STR(Total,20,2) AS AmtChrg, STR(PayAmount,10,2) AS AmtPaid, ''../receivables/createinvoices.asp?direction=idnumber'' AS Path FROM csInvoices WHERE 
 PostedYN = 1
UNION SELECT GeneralJournalEntry.EntryNo AS TransID, 
CONVERT(varchar, GeneralJournalEntry.Date, 101) AS Date, GeneralJournalEntry.EntryNo AS 
Number, ''GENJRNL'' AS Type, '''' AS Customer, CASE (SELECT COUNT(GeneralJournalDetail.Account) 
FROM GeneralJournalDetail WHERE  GeneralJournalEntry.EntryNo = GeneralJournalDetail.EntryNo) WHEN 2 THEN 
(SELECT lsAccounts.AccountName FROM lsAccounts, GeneralJournalDetail WHERE 
GeneralJournalEntry.EntryNo = GeneralJournalDetail.EntryNo AND 
lsAccounts.AccountName = GeneralJournalDetail.Account AND 
GeneralJournalDetail.Account <>''Accounts Receivable'') ELSE ''split'' END AS Account, 
GeneralJournalDetail.Memo, STR(GeneralJournalDetail.Credit,20,2) AS AmtChrg, 
STR(GeneralJournalDetail.Debit,20,2) AS AmtPaid, ''../ledger/makejournalentries.asp?direction=idnumber'' as Path FROM GeneralJournalEntry, GeneralJournalDetail 
WHERE GeneralJournalEntry.EntryNo = GeneralJournalDetail.EntryNo AND 
GeneralJournalDetail.Account  = ''Accounts Receivable'' AND PostedYN = 1 AND SystemGenerated = 0 ORDER BY DueDate ASC' 
END
GO
/****** Object:  StoredProcedure [dbo].[rptOpenInvoices]    Script Date: 06/05/2007 23:16:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[rptOpenInvoices]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[rptOpenInvoices] AS
SELECT InvoiceNo AS TransID, CONVERT(varchar,Date,101) AS Date, InvoiceNo, Customer, Memo, 
CONVERT(varchar,DueDate,101) AS DueDate,Total, ''../receivables/createinvoices.asp?direction=idnumber'' AS Path FROM csInvoices
WHERE PaidYN = 0 AND PostedYN = 1 ORDER BY Date' 
END
GO
/****** Object:  StoredProcedure [dbo].[addCUSTPMT]    Script Date: 06/05/2007 23:16:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[addCUSTPMT]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[addCUSTPMT] @InvID varchar(50), @Amount float, @MAINID varchar(50) AS
BEGIN TRANSACTION
DECLARE @ToPay float
-- updates the sum to be paid
SELECT @ToPay = (Total - PayAmount) FROM csInvoices WHERE InvoiceNo = @InvID
-- inserts the item line into the csCustomerPaymentDetails table
-- @MainID is the payment''s reference while the @InvID represents the invoice number
insert into csCustomerPaymentDetails (Reference, FID, textboxAmount, ToPay) VALUES (@MAINID, @InvID, @Amount, @ToPay)
COMMIT TRANSACTION

' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_InventoryAdjustments]    Script Date: 06/05/2007 23:16:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_InventoryAdjustments]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_InventoryAdjustments]

AS
	BEGIN
		SELECT 
			InventoryAdjustments.Date, 
			InventoryAdjustments.RefNo, 
			InventoryAdjustments.TotalValue, 
			InventoryAdjustments.Memo 
		FROM 
			InventoryAdjustments 
		ORDER BY 
			InventoryAdjustments.Date,
			InventoryAdjustments.RefNo
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_InventoryAdjustmentDetail]    Script Date: 06/05/2007 23:16:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_InventoryAdjustmentDetail]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_InventoryAdjustmentDetail]
	@RefNo nvarchar (50)
AS
	BEGIN
		SELECT 
			InventoryAdjustments.Date,
			InventoryAdjustments.AdjustmentAccount,
			InventoryAdjustments.Memo,
			InventoryAdjustments.Customer,
			InventoryAdjustments.RefNo,
			InventoryAdjustments.TotalValue,
			InventoryAdjustments.PostedYN 
		FROM 
			InventoryAdjustments
		WHERE 
			InventoryAdjustments.RefNo = @RefNo
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_get_NewDocNumber]    Script Date: 06/05/2007 23:16:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_get_NewDocNumber]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_get_NewDocNumber]
	@Type varchar (50)
AS
	BEGIN
		DECLARE @NewNo varchar(20)
		-- gets the next available document number for different types of transactions. These
		-- values are read from the DocNumbers table.
		IF @Type=''INV'' 
			BEGIN
			 	SELECT 
					@NewNo = convert(varchar, CASE WHEN ((SELECT MAX(Invoices) + 1 FROM DocNumbers) IS NULL) THEN 1000 ELSE (SELECT MAX(Invoices) + 1 FROM DocNumbers) END)
			END
		ELSE IF @Type=''ORD'' 
			BEGIN
			 	SELECT 
					@NewNo = convert(varchar, CASE WHEN ((SELECT MAX(Orders) + 1 FROM DocNumbers) IS NULL) THEN 1000 ELSE (SELECT MAX(Orders) + 1 FROM DocNumbers) END)
			END
		ELSE IF @Type=''BP'' 
			BEGIN
				SELECT 
					@NewNo = convert(varchar, CASE WHEN ((SELECT MAX(BillPmt) + 1 FROM DocNumbers) IS NULL) THEN 1000 ELSE (SELECT MAX(BillPmt) + 1 FROM DocNumbers) END)
			END
		ELSE IF @Type=''CP'' 
			BEGIN
			 	SELECT 
					@NewNo = convert(varchar, CASE WHEN ((SELECT MAX(CustPmt) + 1 FROM DocNumbers) IS NULL) THEN 1000 ELSE (SELECT MAX(CustPmt) + 1 FROM DocNumbers) END)
			END
		ELSE IF @Type=''CC'' 
			BEGIN
			 	SELECT 
					@NewNo = convert(varchar, CASE WHEN ((SELECT MAX(CustCredits) + 1 FROM DocNumbers) IS NULL) THEN 1000 ELSE (SELECT MAX(CustCredits) + 1 FROM DocNumbers) END)
			END
		ELSE IF @Type=''CHECK'' 
			BEGIN
			 	SELECT 
					@NewNo = convert(varchar, CASE WHEN ((SELECT MAX(CheckNo) + 1 FROM DocNumbers) IS NULL) THEN 1000 ELSE (SELECT MAX(CheckNo) + 1 FROM DocNumbers) END)
			END
		ELSE IF @Type=''TF'' 
			BEGIN
			 	SELECT 
					@NewNo = convert(varchar, CASE WHEN ((SELECT MAX(Transfers) + 1 FROM DocNumbers) IS NULL) THEN 1000 ELSE (SELECT MAX(Transfers) + 1 FROM DocNumbers) END)
			END
		ELSE IF @Type=''BILL'' 
			BEGIN
			 	SELECT 
					@NewNo = convert(varchar, CASE WHEN ((SELECT MAX(Vouchers) + 1 FROM DocNumbers) IS NULL) THEN 1000 ELSE (SELECT MAX(Vouchers) + 1 FROM DocNumbers) END)
			END
		ELSE IF @Type=''INVADJ'' 
			BEGIN
			 	SELECT 
					@NewNo = convert(varchar, CASE WHEN ((SELECT MAX(Adjustment) + 1 FROM DocNumbers) IS NULL) THEN 1000 ELSE (SELECT MAX(Adjustment) + 1 FROM DocNumbers) END)
			END
		ELSE IF @Type=''TT'' 
			BEGIN
			 	SELECT 
					@NewNo = convert(varchar, CASE WHEN ((SELECT MAX(TimeTracking) + 1 FROM DocNumbers) IS NULL) THEN 1000 ELSE (SELECT MAX(TimeTracking) + 1 FROM DocNumbers) END)
			END
		ELSE 
			BEGIN
				SELECT @NewNo = ''1000'' 
			END

		SELECT 
			@NewNo 
		AS 
			NewNo
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_update_NewDocNumber]    Script Date: 06/05/2007 23:16:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_update_NewDocNumber]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_update_NewDocNumber]
	@Type varchar (50),
	@NewNo varchar(20)
AS
	BEGIN
		BEGIN TRANSACTION
		IF @Type=''INV'' 
			BEGIN
				UPDATE 
					DocNumbers 
				SET 
					DocNumbers.Invoices = @NewNo
			END
		ELSE IF @Type=''ORD'' 
			BEGIN
				UPDATE 
					DocNumbers 
				SET 
					DocNumbers.Orders = @NewNo
			END
		ELSE IF @Type=''BP'' 
			BEGIN
				UPDATE 
					DocNumbers 
				SET 
					DocNumbers.BillPmt = @NewNo
			END
		ELSE IF @Type=''CP'' 
			BEGIN
			 	UPDATE 	
					DocNumbers 
				SET 
					DocNumbers.CustPmt = @NewNo
			END
		ELSE IF @Type=''CC'' 
			BEGIN
			 	UPDATE 
					DocNumbers 
				SET 
					DocNumbers.CustCredits = @NewNo
			END
		ELSE IF @Type=''CHECK'' 
			BEGIN
			 	UPDATE 
					DocNumbers 
				SET 
					DocNumbers.CheckNo = @NewNo
			END
		ELSE IF @Type=''TF'' 
			BEGIN
			 	UPDATE 
					DocNumbers 
				SET 
					DocNumbers.Transfers = @NewNo
			END
		ELSE IF @Type=''BILL'' 
			BEGIN
			 	UPDATE 	
					DocNumbers 
				SET 
					DocNumbers.Vouchers = @NewNo
			END
		ELSE IF @Type=''INVADJ'' 
			BEGIN
			 	UPDATE 
					DocNumbers 
				SET 
					DocNumbers.Adjustment = @NewNo
			END
		ELSE IF @Type=''TT'' 
			BEGIN
			 	UPDATE 
					DocNumbers 
				SET 
					DocNumbers.TimeTracking = @NewNo
			END
		COMMIT TRANSACTION
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_DocNumbers]    Script Date: 06/05/2007 23:16:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_DocNumbers]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_DocNumbers]
AS
	BEGIN
		SELECT TOP 1 
			DocNumbers.CompanyID,
			DocNumbers.CheckNo,
			DocNumbers.Vouchers,
			DocNumbers.Orders,
			DocNumbers.BillPmt,
			DocNumbers.Invoices,
			DocNumbers.CustCredits,
			DocNumbers.CustPmt,
			DocNumbers.Adjustment,
			DocNumbers.TimeTracking,
			DocNumbers.Transfers 
		FROM 
			DocNumbers
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_VendorTypes]    Script Date: 06/05/2007 23:16:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_VendorTypes]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_VendorTypes]
AS
	BEGIN
		SELECT 
			lsVendorTypes.VendorType,
			lsVendorTypes.Inactive 
		FROM 
			lsVendorTypes
		ORDER BY
			lsVendorTypes.VendorType
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_VendorTypeDetail]    Script Date: 06/05/2007 23:16:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_VendorTypeDetail]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_VendorTypeDetail]
	@VendorType nvarchar (30)
AS
	BEGIN
		SELECT 
			lsVendorTypes.VendorType,
			lsVendorTypes.Inactive
		FROM 
			lsVendorTypes
		WHERE 
			lsVendorTypes.VendorType = @VendorType	
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[rptCheckRegister]    Script Date: 06/05/2007 23:16:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[rptCheckRegister]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[rptCheckRegister] @Account varchar(50) AS
SELECT CONVERT(varchar,CheckID) AS TransID, CONVERT(varchar,Date,101) AS Date, ''Check'' AS Type, Payee AS Name, CONVERT(varchar,CheckNo) AS CheckNo, CONVERT(varchar, Amount) AS Amount, ''../payables/printchecks.asp?direction=idnumber'' AS Path FROM bChecks WHERE Account = @Account
UNION SELECT GeneralJournalEntry.EntryNo AS TransID, CONVERT(varchar,Date,101) AS Date, ''Transfer'' as TYPE, '''' AS Name, '''' AS CheckNo, CONVERT(varchar, -Credit + Debit) AS Amount, ''../ledger/makejournalentries.asp?direction=idnumber'' AS Path FROM GeneralJournalEntry INNER JOIN GeneralJournalDetail ON GeneralJournalEntry.EntryNo = GeneralJournalDetail.EntryNo WHERE Account = @Account AND GeneralJournalEntry.TrType = 6' 
END
GO
/****** Object:  StoredProcedure [dbo].[postJournal]    Script Date: 06/05/2007 23:16:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[postJournal]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[postJournal] @ID varchar(50) AS
BEGIN TRANSACTION
UPDATE GeneralJournalEntry SET SystemGenerated = 0, PostedYN = 1, TrType = 8, TrID = @ID WHERE EntryNo = @ID
COMMIT TRANSACTION

' 
END
GO
/****** Object:  StoredProcedure [dbo].[addInventoryPart]    Script Date: 06/05/2007 23:16:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[addInventoryPart]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[addInventoryPart] @itemname varchar(50),@totalvalue float,@newqty float, @assetaccount varchar(50) AS
BEGIN TRANSACTION
IF @totalvalue<>0 BEGIN
 -- if the quantity on hand is not posted as 0, then create a GL record
 DELETE FROM GLWorkDetail
 
 DECLARE @GLID varchar(50)
 SELECT @GLID = ''OPBAL-''+@itemname
 INSERT INTO GeneralJournalEntry(Date, EntryNo, SystemGenerated, PostedYN, TrType, TrID) VALUES(CONVERT(varchar, CURRENT_TIMESTAMP, 101), @GLID, 1, 1, 8, @GLID)
 INSERT INTO GLWorkDetail(GLID, Account, Debit, Credit, Memo, No) VALUES(@GLID, ''Opening Balance'', 0, @totalvalue, ''Opening Balance Equity'', 10)
 INSERT INTO GLWorkDetail(GLID, Account, Debit, Credit, Memo, No) VALUES(@GLID, @assetaccount, @totalvalue, 0, ''Inventory Asset'', 20)
 EXEC PostGLWorkDetail @GLID 
END
 
COMMIT TRANSACTION

' 
END
GO
/****** Object:  StoredProcedure [dbo].[addAccount]    Script Date: 06/05/2007 23:16:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[addAccount]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'

CREATE PROCEDURE [dbo].[addAccount] @accountname varchar(50) AS
DECLARE @openingbalance float , @date datetime
BEGIN TRANSACTION
-- If the opening balance amount is different than 0, post it to GL
SELECT @date=Date, @openingbalance=OpeningBalance FROM lsAccounts WHERE AccountName = @accountname
DELETE FROM GLWorkDetail
-- Get a new document number
DECLARE @GLID varchar(50)
SELECT @GLID = ''OPBAL-'' + @accountname
IF @openingbalance<>0
BEGIN
 INSERT INTO GeneralJournalEntry(Date, EntryNo, SystemGenerated, PostedYN, TrType, TrID)
 VALUES(CONVERT(varchar,CURRENT_TIMESTAMP,101), @GLID, 1, 1, 8, @GLID)
 IF @openingbalance>0
 BEGIN
  -- adds the opening balance as debit
  INSERT INTO GLWorkDetail(GLID,Account,Debit,Credit,Memo, No) VALUES(@GLID, @accountname, @openingbalance, 0, '''', 10)
  -- credits the ''Opening Balance'' account
  INSERT INTO GLWorkDetail(GLID,Account, Debit, Credit, Memo, No) VALUES(@GLID, ''Opening Balance'', 0, @openingbalance, '''', 20)
 END
 ELSE
 BEGIN 
  -- adds the opening balance as credit
  INSERT INTO GLWorkDetail(GLID, Account, Debit, Credit, Memo, No) VALUES(@GLID, @accountname, 0, @openingbalance, '''', 10)
  -- debits the ''Opening Balance'' account
  INSERT INTO GLWorkDetail(GLID, Account, Debit, Credit, Memo, No) VALUES(@GLID, ''Opening Balance'', @openingbalance, 0, '''',20) 
 END
 -- Post it to GL
 EXEC PostGLWorkDetail @GLID
END
COMMIT TRANSACTION

' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_insert_GeneralJournalEntry]    Script Date: 06/05/2007 23:16:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_insert_GeneralJournalEntry]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_insert_GeneralJournalEntry]
	@EntryNo varchar (20),
	@Date datetime

AS
	BEGIN
		INSERT INTO GeneralJournalEntry
			(EntryNo, 
			Date, 
			SystemGenerated, 
			PostedYN) 
		VALUES 
			(@EntryNo, 
			@Date,
			0, 
			0)
	END
RETURN
' 
END
GO
/****** Object:  View [dbo].[GetGLTrans]    Script Date: 06/05/2007 23:16:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[GetGLTrans]'))
EXEC dbo.sp_executesql @statement = N'CREATE VIEW [dbo].[GetGLTrans]
AS
SELECT GeneralJournalEntry.EntryNo AS ID, CONVERT(varchar, 
    GeneralJournalEntry.Date, 101) AS Date, 
    GeneralJournalEntry.TrType, GeneralJournalEntry.TrID, 
    GeneralJournalDetail.Account, GeneralJournalDetail.Debit, 
    GeneralJournalDetail.Credit, GeneralJournalDetail.EntryNo, 
    GeneralJournalDetail.Memo
FROM GeneralJournalEntry INNER JOIN
    GeneralJournalDetail ON 
    GeneralJournalEntry.EntryNo = GeneralJournalDetail.EntryNo
' 
GO
/****** Object:  StoredProcedure [dbo].[sp_select_GeneralJournalEntry]    Script Date: 06/05/2007 23:16:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_GeneralJournalEntry]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_GeneralJournalEntry]

AS
	BEGIN
		SELECT 
			GeneralJournalEntry.Date, 
			GeneralJournalEntry.EntryNo 
		FROM 
			GeneralJournalEntry 
		ORDER BY 
			GeneralJournalEntry.Date	
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_GeneralJournalEntryDetail]    Script Date: 06/05/2007 23:16:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_GeneralJournalEntryDetail]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_GeneralJournalEntryDetail]
	@EntryNo nvarchar (20)
AS
	BEGIN
		SELECT 
			GeneralJournalEntry.Date, 
			GeneralJournalEntry.EntryNo, 
			GeneralJournalEntry.PostedYN 
		FROM 
			GeneralJournalEntry 
		WHERE
			GeneralJournalEntry.EntryNo = @EntryNo
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[GetAccounts]    Script Date: 06/05/2007 23:16:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[GetAccounts]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[GetAccounts] AS
-- retrieves a preformated Accounts list
SELECT ''Edit'' AS Edit, AccountNumber, AccountName,  
    lsAccountTypes.Description, 
    (CASE BalanceType WHEN 1 THEN Balance * - 1 ELSE
     Balance END) AS Balance
FROM lsAccounts, lsAccountTypes
WHERE lsAccounts.AccountType = lsAccountTypes.Description
ORDER BY AccountNumber

' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_AccountTypeDetail]    Script Date: 06/05/2007 23:16:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_AccountTypeDetail]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_AccountTypeDetail]
	@Description varchar (50)
AS
	BEGIN
		SELECT 
			lsAccountTypes.Description 
		FROM 	
			lsAccountTypes
		WHERE 
			lsAccountTypes.Description = @Description
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_AccountTypes]    Script Date: 06/05/2007 23:16:35 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_AccountTypes]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_AccountTypes]
AS
	BEGIN
 		SELECT 
			lsAccountTypes.Description 
		FROM 
			lsAccountTypes
		ORDER BY
			lsAccountTypes.Description 
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[UpdateBankRec]    Script Date: 06/05/2007 23:16:35 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[UpdateBankRec]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[UpdateBankRec] @ID varchar(50), @Type varchar(20) AS
if @Type=''CustPmt''
 UPDATE csCustomerPayments SET ClearedYN = 1 WHERE Reference = @ID
else if @Type=''VendPmt''
 UPDATE vpBillPayments SET ClearedYN = 1 WHERE Reference = @ID
else if @Type=''TransferTo''
 UPDATE bTransferFunds SET ClearedYN = 1 WHERE Reference = @ID
else if @Type=''TransferFrom''
 UPDATE bTransferFunds SET ClearedYN = 1 WHERE Reference = @ID

' 
END
GO
/****** Object:  StoredProcedure [dbo].[GetBankRecCredits]    Script Date: 06/05/2007 23:16:35 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[GetBankRecCredits]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[GetBankRecCredits] @defAccount varchar(50) AS
-- selects the credit transaction for reconciliation
SELECT Reference AS IID, CONVERT(varchar,Date,101) AS Date,''CustPmt'' AS Type, Reference, PaymentAmount AS Amount, ClearedYN FROM csCustomerPayments WHERE ClearedYN=0 AND Account=@defAccount
UNION SELECT Reference AS IID, CONVERT(varchar,Date,101) AS Date,''TransferTo'' AS Type, Reference, Amount, ClearedYN FROM bTransferFunds WHERE ClearedYN=0 AND PostedYN = 1 AND ToAccount=@defAccount
ORDER BY Date

' 
END
GO
/****** Object:  StoredProcedure [dbo].[GetBankRec]    Script Date: 06/05/2007 23:16:35 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[GetBankRec]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[GetBankRec] @defAccount varchar(50)  AS
-- retrieves the transactions not marked as being cleared
SELECT Reference AS IID, CONVERT(varchar,Date,101) AS Date,''CustPmt'' AS Type, Reference, PaymentAmount AS Amount, ClearedYN FROM csCustomerPayments WHERE ClearedYN=0 AND Account=@defAccount
UNION SELECT Reference AS IID, CONVERT(varchar,Date,101) AS Date,''TransferTo'' AS Type, Reference, Amount, ClearedYN FROM bTransferFunds WHERE ClearedYN=0 AND PostedYN = 1 AND ToAccount=@defAccount
UNION SELECT Reference AS IID, CONVERT(varchar,Date,101) AS Date,''VendPmt'' AS Type, Reference, Amount, ClearedYN FROM vpBillPayments WHERE ClearedYN=0 AND Account=@defAccount 
UNION SELECT Reference AS IID, CONVERT(varchar,Date,101) AS Date,''TransferFrom'' AS Type, Reference, Amount, ClearedYN FROM bTransferFunds WHERE ClearedYN=0 AND PostedYN = 0 AND FromAccount= @defAccount

' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_insert_CustomerPayments]    Script Date: 06/05/2007 23:16:35 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_insert_CustomerPayments]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_insert_CustomerPayments]
	@Customer varchar (50) ,
	@CheckNo varchar (20) ,
	@CreditCardNo varchar (30) ,
	@PaymentAmount money ,
	@CardExpires datetime ,
	@Date datetime ,
	@NameOnCard nvarchar (30) ,
	@PaymentMethod varchar (50) ,
	@CardZipCode nvarchar (20) ,
	@Memo varchar (50) ,
	@CardApproved bit ,
	@Reference varchar (50) ,
	@ApplyExistingCredits bit ,
	@Apply money ,
	@TotalToApply money ,
	@TotalApplied money ,
	@UnappliedAmount money ,
	@Account varchar (50) 
AS
	BEGIN
		INSERT INTO csCustomerPayments
			(Customer, 
			CheckNo, 
			CreditCardNo, 
			PaymentAmount, 
			CardExpires, 
			Date, 
			NameOnCard, 
			PaymentMethod, 
			CardZipCode, 
			Memo, 
			CardApproved, 
			Reference, 
			ApplyExistingCredits, 
			Apply, 	
			TotalToApply, 
			TotalApplied, 
			UnappliedAmount, 
			Account) 
		VALUES 
			(@Customer, 
			@CheckNo, 
			@CreditCardNo, 
			@PaymentAmount, 
			@CardExpires, 
			@Date, 
			@NameOnCard, 
			@PaymentMethod, 
			@CardZipCode, 
			@Memo, 
			@CardApproved, 
			@Reference, 
			@ApplyExistingCredits, 
			@Apply, 
			@TotalToApply, 
			@TotalApplied, 
			@UnappliedAmount, 
			@Account)
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_CustomerPaymentDetail]    Script Date: 06/05/2007 23:16:35 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_CustomerPaymentDetail]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_CustomerPaymentDetail]
	@Reference nvarchar (50)
AS
	BEGIN	
		SELECT 
			Reference,
			Customer,
			PaymentAmount,
			Date,
			PaymentMethod,
			Memo,
			CheckNo,
			CreditCardNo,
			CardExpires,
			NameOnCard,
			CardZipCode,
			CardApproved,
			UndepFunds,
			DepositTo,
			Account,
			ApplyExistingCredits,
			Apply,
			TotalToApply,
			TotalApplied,
			UnappliedAmount,
			Deposit,
			PayAmount,
			ReceivedYN,
			ClearedYN,
			PostedYN 
		FROM 
			csCustomerPayments
		WHERE 
			Reference = @Reference
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_CustomerPayments]    Script Date: 06/05/2007 23:16:35 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_CustomerPayments]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_CustomerPayments]

AS
	BEGIN	
		SELECT 
			csCustomerPayments.Reference, 
			csCustomerPayments.Date, 
			csCustomerPayments.PaymentAmount , 
			csCustomerPayments.Memo 
		FROM 
			csCustomerPayments 
		ORDER BY 
			csCustomerPayments.Date
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_update_CustomerPayments]    Script Date: 06/05/2007 23:16:35 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_update_CustomerPayments]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_update_CustomerPayments]
	@Reference varchar (50) ,
	@Amount money 
AS
	BEGIN
		UPDATE 
			csCustomerPayments 
		SET 
			csCustomerPayments.PaymentAmount = PaymentAmount + @Amount, 
			csCustomerPayments.TotalApplied = TotalApplied + @Amount, 
			csCustomerPayments.PostedYN = 1 
		WHERE 
			csCustomerPayments.Reference = @Reference
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_Projects]    Script Date: 06/05/2007 23:16:35 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_Projects]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_Projects]
AS
	BEGIN
		SELECT 
			lsProjects.Customer,
			lsProjects.ProjectName,
			lsProjects.Description,
			lsProjects.ProjectManager,
			lsProjects.StartDate,
			lsProjects.EndDate,
			lsProjects.Inactive 
		FROM 
			lsProjects
		ORDER BY
			lsProjects.ProjectName
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_ProjectDetail]    Script Date: 06/05/2007 23:16:35 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_ProjectDetail]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_ProjectDetail]
	@ProjectName nvarchar (50) 
AS
	BEGIN 
		SELECT 
			Customer,
			ProjectName,
			Description,
			ProjectManager,
			StartDate,
			EndDate,
			Inactive 
		FROM 
			lsProjects
		WHERE 
			ProjectName = @ProjectName
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[rptProjects]    Script Date: 06/05/2007 23:16:35 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[rptProjects]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[rptProjects] AS
SELECT ProjectName, Customer as CustomerName, ProjectManager, CONVERT(varchar, StartDate, 101) as StartDate, CONVERT(varchar, EndDate, 101) as EndDate FROM lsProjects ORDER BY ProjectName

' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_CustomerMessages]    Script Date: 06/05/2007 23:16:35 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_CustomerMessages]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_CustomerMessages]
AS
	BEGIN
		SELECT 
			lsCustomerMessages.CustomerMessage 
		FROM 
			lsCustomerMessages 
		ORDER BY 
			lsCustomerMessages.CustomerMessage
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_CustomerMessageDetail]    Script Date: 06/05/2007 23:16:35 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_CustomerMessageDetail]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_CustomerMessageDetail]
	@CustomerMessage varchar (50)
AS
	BEGIN
		SELECT 	
			lsCustomerMessages.CustomerMessage, 
			lsCustomerMessages.Inactive
		FROM 
			lsCustomerMessages
		WHERE 
			lsCustomerMessages.CustomerMessage = @CustomerMessage
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_insert_Memorized]    Script Date: 06/05/2007 23:16:35 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_insert_Memorized]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_insert_Memorized]
	@Name varchar (50) 
AS
	BEGIN
		INSERT INTO lsMemorized
			(Name) 
		VALUES 
			(@Name)
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_Memorized]    Script Date: 06/05/2007 23:16:35 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_Memorized]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_Memorized]
AS
	BEGIN
		SELECT 
			lsMemorized.TrType, 
			lsMemorized.Name, 
			lsMemorized.TransID 
		FROM 
			lsMemorized 
		ORDER BY 
			lsMemorized.Name
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[GetNewEmpCheckID]    Script Date: 06/05/2007 23:16:35 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[GetNewEmpCheckID]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[GetNewEmpCheckID] AS
BEGIN TRANSACTION
-- selects the @@IDENTITY as being the last available CheckID
INSERT INTO EmpChecks(CheckNo) VALUES(0)
SELECT @@IDENTITY AS NewCID
COMMIT TRANSACTION

' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_update_Accounts]    Script Date: 06/05/2007 23:16:35 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_update_Accounts]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_update_Accounts]
	@AccountNumber varchar (10),
	@AccountName varchar (50),
	@AccountType varchar (50),
	@AccountName1 varchar (50),
	@Subaccount bit,
	@Description varchar (50),
	@OpeningBalance money,
	@Date datetime,
	@Inactive bit,
	@BalanceType smallint 
AS 
	BEGIN
		UPDATE 
			lsAccounts 
		SET 
			lsAccounts.AccountNumber = @AccountNumber, 
			lsAccounts.AccountType = @AccountType, 
			lsAccounts.Subaccount = @Subaccount, 
			lsAccounts.AccountName1 = @AccountName1, 
			lsAccounts.Description = @Description, 
			lsAccounts.OpeningBalance = @OpeningBalance, 
			lsAccounts.Date =  @Date, 
			lsAccounts.Inactive = @Inactive, 
			lsAccounts.BalanceType = @BalanceType  
		WHERE 
			lsAccounts.AccountName = @AccountName
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_AccountDetail]    Script Date: 06/05/2007 23:16:35 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_AccountDetail]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_AccountDetail]
	@AccountName nvarchar (50) 
AS
	BEGIN
		SELECT 
			lsAccounts.AccountNumber, 
			lsAccounts.AccountName, 
			lsAccounts.AccountType, 
			lsAccounts.Subaccount, 
			lsAccounts.AccountName1, 
			lsAccounts.Description, 
			lsAccounts.OpeningBalance, 
			lsAccounts.Date,
			lsAccounts.Inactive,
			lsAccounts.Balance,
			lsAccounts.BalanceType,
			lsAccounts.IsDefault
		FROM 
			lsAccounts
		WHERE 
			lsAccounts.AccountName = @AccountName
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[PostCOA]    Script Date: 06/05/2007 23:16:35 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[PostCOA]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[PostCOA] @Account varchar(50), @Debit float, @Credit float  AS
-- updates the account''s balance. The amount is added if Debit<>0 or substracted if Credit<>0
IF @Debit <> 0 
 UPDATE lsAccounts SET Balance = Balance + @Debit WHERE AccountName = @Account
IF @Credit <> 0 
 UPDATE lsAccounts SET Balance = Balance - @Credit WHERE AccountName = @Account

' 
END
GO
/****** Object:  StoredProcedure [dbo].[rptCOA]    Script Date: 06/05/2007 23:16:35 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[rptCOA]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[rptCOA] AS
SELECT AccountNumber, AccountName, AccountType AS TypeAccount, CASE BalanceType WHEN 1 THEN
     Balance * - 1 ELSE Balance END AS Balance FROM lsAccounts ORDER BY AccountNumber,TypeAccount,AccountName

' 
END
GO
/****** Object:  View [dbo].[GetOpBalances]    Script Date: 06/05/2007 23:16:35 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[GetOpBalances]'))
EXEC dbo.sp_executesql @statement = N'CREATE VIEW [dbo].[GetOpBalances]
AS
SELECT ''<input type=text class=edit name=balance'' + CONVERT(varchar,
     OpBalID) + '' value='' + CONVERT(varchar, OpeningBalance) 
    + '' onblur=validateCurrency(this,20)>'' AS Edit, 
    AccountNumber + '' - '' + AccountName AS Account, 
    AccountType AS Type, AccountName, Balance, BalanceType, 
    OpeningBalance, AccountNumber, OpBalID, Modified
FROM lsAccounts
WHERE (BalanceType <> 0) AND 
    (AccountName <> ''Opening Balance'') AND 
    (NOT EXISTS
        (SELECT Account
      FROM GeneralJournalDetail
      WHERE GeneralJournalDetail.Account = lsAccounts.AccountName))
' 
GO
/****** Object:  StoredProcedure [dbo].[sp_insert_BillExpenses]    Script Date: 06/05/2007 23:16:35 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_insert_BillExpenses]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_insert_BillExpenses]
	@Reference varchar (20),
	@Account varchar (50),
	@Amount money,
	@Memo varchar (50),
	@Project varchar (50)
AS
	BEGIN
		DECLARE @No integer

		SELECT @No = (SELECT 
					ISNULL(MAX(vpBillExpenses.No),0)+10 
				FROM 
					vpBillExpenses 
				WHERE 
					vpBillExpenses.Reference = @Reference)

		INSERT INTO vpBillExpenses 
			(Reference, 
			No, 
			Account, 
			Amount, 
			Memo, 
			Project) 
		VALUES 
			(@Reference,
			@No,
			@Account, 
			@Amount, 
			@Memo, 
			@Project) 
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_BillExpenses]    Script Date: 06/05/2007 23:16:35 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_BillExpenses]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_BillExpenses]
	@Reference varchar (20)
AS
	BEGIN
		SELECT 
			vpBillExpenses.No,
			vpBillExpenses.BillID,
			vpBillExpenses.Account,
			vpBillExpenses.Amount,
			vpBillExpenses.Memo,
			vpBillExpenses.Project
		FROM
			vpBillExpenses
		WHERE
			vpBillExpenses.Reference = @Reference
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_TransferFunds]    Script Date: 06/05/2007 23:16:35 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_TransferFunds]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_TransferFunds]

AS
	BEGIN
		SELECT 
			bTransferFunds.Reference, 
			bTransferFunds.Date, 
			bTransferFunds.Amount,  
			bTransferFunds.Memo 
		FROM 
			bTransferFunds 
		ORDER BY 
			bTransferFunds.Date
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_TransferFundDetail]    Script Date: 06/05/2007 23:16:35 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_TransferFundDetail]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_TransferFundDetail]
	@Reference nvarchar (50)
AS
	BEGIN
		SELECT 
			bTransferFunds.FromAccount,
			bTransferFunds.ToAccount,
			bTransferFunds.Reference,
			bTransferFunds.Date,
			bTransferFunds.Memo,
			bTransferFunds.Amount,
			bTransferFunds.PostedYN
		FROM 
			bTransferFunds
		WHERE 
			bTransferFunds.Reference = @Reference
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_update_TransferFund]    Script Date: 06/05/2007 23:16:35 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_update_TransferFund]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_update_TransferFund]
	@Reference nvarchar (50),
	@Date datetime ,
	@Amount money ,
	@Memo nvarchar (50)
AS
	BEGIN
		UPDATE 
			bTransferFunds 
		SET 
			Date = @Date, 
			Amount = @Amount, 
			Memo = @Memo 
		WHERE 
			Reference = @Reference	
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[GetBankRecDebits]    Script Date: 06/05/2007 23:16:35 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[GetBankRecDebits]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[GetBankRecDebits] @defAccount varchar(50) AS
-- selects the debit transaction for reconciliation
SELECT Reference AS IID, CONVERT(varchar,Date,101) AS Date,''VendPmt'' AS Type, Reference, Amount, ClearedYN FROM vpBillPayments WHERE ClearedYN=0 AND Account=@defAccount 
UNION SELECT Reference AS IID, CONVERT(varchar,Date,101) AS Date,''TransferFrom'' AS Type, Reference, Amount, ClearedYN FROM bTransferFunds WHERE ClearedYN=0 AND PostedYN = 0 AND FromAccount= @defAccount

' 
END
GO
/****** Object:  StoredProcedure [dbo].[PickOrders]    Script Date: 06/05/2007 23:16:35 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[PickOrders]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[PickOrders] AS
-- retrieves a preformated list of orders for picking
SELECT csOrders.OrderNo, csOrders.Total, csOrders.Customer as CustomerName,
    CONVERT(varchar, csOrders.Total) AS Tot, CONVERT(varchar, csOrders.Date,101) AS Date, csOrders.Billed, 
    ''<input type = checkbox id = OKautonumbering name = OKautonumbering>'' AS OK
FROM csOrders 
WHERE csOrders.Billed = 1 AND csOrders.Picked = 0 AND Backordered = 0 ORDER BY Total DESC

' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_update_PickOrders]    Script Date: 06/05/2007 23:16:35 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_update_PickOrders]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_update_PickOrders]
	@OrderNo varchar (50)
AS
	BEGIN
		UPDATE
			csOrders
		SET	
			csOrders.Picked = 1,
			csOrders.Printed = 1
		WHERE
			csOrders.OrderNo = @OrderNo
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[NewPickOrders]    Script Date: 06/05/2007 23:16:35 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[NewPickOrders]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[NewPickOrders]
AS
	BEGIN
		-- retrieves a preformated list of orders for picking
		SELECT 
			csOrders.OrderNo, 
			csOrders.Total, 
			csOrders.Customer AS CustomerName,
			csOrders.Date, 
			csOrders.Billed
		FROM 
			csOrders 
		WHERE 
			csOrders.Billed = 1 
			AND 
			csOrders.Picked = 0 
			AND 
			csOrders.Backordered = 0 
		ORDER BY 
			Total DESC
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[NewShipOrders]    Script Date: 06/05/2007 23:16:35 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[NewShipOrders]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[NewShipOrders]
AS
	BEGIN
		SELECT 
			csOrders.OrderNo, 
			csOrders.Total,
		    	csOrders.Date,
		    	csOrders.TrackingNumber
		FROM 
			csOrders 
		WHERE 
			csOrders.Billed = 1 
			AND 
			csOrders.Picked = 1 
			AND 
			csOrders.Printed = 1 
			AND 
			csOrders.Backordered = 0 
			AND 
			csOrders.Shipped = 0 
		ORDER BY 
			Total DESC
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_update_ShipOrders]    Script Date: 06/05/2007 23:16:35 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_update_ShipOrders]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_update_ShipOrders]
	@OrderNo varchar (50),
	@TrackingNumber varchar (50)
AS
	BEGIN
		UPDATE
			csOrders
		SET	
			csOrders.Shipped = 1,
			csOrders.ShipDate = CONVERT(DATETIME, @@DBTS),
			csOrders.TrackingNumber = @TrackingNumber
		WHERE
			csOrders.OrderNo = @OrderNo
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[NewAutoShipOrders]    Script Date: 06/05/2007 23:16:35 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[NewAutoShipOrders]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[NewAutoShipOrders]
AS
	BEGIN
		SELECT 
			csOrders.OrderNo, 
			csOrders.Total, 
			csOrders.Date, 
			csOrders.Customer
		FROM  
			csOrders 
		WHERE 
			csOrders.Billed = 0 
			AND 
			csOrders.Backordered = 0 
		ORDER BY 
			csOrders.Total DESC
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[AutoShipOrders]    Script Date: 06/05/2007 23:16:35 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[AutoShipOrders]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[AutoShipOrders] AS
-- selects the orders ready for shipping
SELECT csOrders.OrderNo, 
    ''<p align=center><input type=text class=edit id=ONautonumbering name=ONautonumbering  size="30" value=""></p>'' AS ORDN,
    ''<p align=center><input type=text id=TNautonumbering name=TNautonumbering value="" size=30></p>'' AS TN
FROM csOrders 
WHERE csOrders.Billed = 1 AND csOrders.Picked = 1 AND csOrders.Printed = 1 AND Backordered = 0 AND csOrders.Shipped = 0 ORDER BY Total DESC

' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_InvoiceShippedOrders]    Script Date: 06/05/2007 23:16:35 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_InvoiceShippedOrders]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_InvoiceShippedOrders]
AS
	BEGIN
		SELECT 
			csOrders.OrderNo, 
			csOrders.Total,
		    	csOrders.Date,
		    	csOrders.ShipDate
		FROM 
			csOrders 
		WHERE 
			csOrders.Billed = 1 
			AND 
			csOrders.Picked = 1 
			AND 
			csOrders.Printed = 1 
			AND 
			csOrders.Invoiced = 0 
			AND 
			csOrders.Shipped = 1
		ORDER BY 
			csOrders.OrderNo
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_update_BillOrders]    Script Date: 06/05/2007 23:16:35 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_update_BillOrders]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_update_BillOrders]
	@OrderNo varchar (50),
	@ApprovalNumber varchar (12)
AS
	BEGIN
		UPDATE
			csOrders
		SET	
			csOrders.Billed = 1,
			csOrders.ApprovalNumber = @ApprovalNumber
		WHERE
			csOrders.OrderNo = @OrderNo
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[ShipOrders]    Script Date: 06/05/2007 23:16:35 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[ShipOrders]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[ShipOrders] AS
-- selects the orders ready for shipping
SELECT csOrders.OrderNo, csOrders.Total,
    CONVERT(varchar, csOrders.Total) AS Tot, CONVERT(varchar, Date, 101) AS Date,
    ''<input type=text class=edit id=TNautonumbering name=TNautonumbering  size="15" value="'' + CASE WHEN (csOrders.TrackingNumber IS NULL) THEN '''' ELSE csOrders.TrackingNumber END+ ''">'' AS TrackingNumber,
    ''<input type = checkbox id = OKautonumbering name = OKautonumbering>'' AS OK
FROM csOrders 
WHERE csOrders.Billed = 1 AND csOrders.Picked = 1 AND csOrders.Printed = 1 AND Backordered = 0 AND csOrders.Shipped = 0 ORDER BY Total DESC

' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_Orders]    Script Date: 06/05/2007 23:16:35 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_Orders]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_Orders]

AS
	BEGIN
		SELECT 
			csOrders.Date,
			csOrders.OrderNo,		
			csOrders.Total,
			csOrders.Memo
		FROM 
			csOrders
		WHERE 
			csOrders.Picked=0 
			AND 
			csOrders.Billed=0 
			AND 
			csOrders.Printed=0 
			AND 
			csOrders.Shipped=0 
			AND 
			csOrders.Backordered=0 
		ORDER BY 
			csOrders.Date,
			csOrders.OrderNo
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_OrderDetail]    Script Date: 06/05/2007 23:16:35 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_OrderDetail]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_OrderDetail]
	@OrderNo nvarchar (50) 
AS
	BEGIN
		SELECT 
			csOrders.Date,
			csOrders.Customer,
			csOrders.ShipToID,
			csOrders.Class,
			csOrders.Memo,
			csOrders.Term,
			csOrders.OrderNo,
			csOrders.DueDate,
			csOrders.ShipVia,
			csOrders.ShipDate,
			csOrders.POID,
			csOrders.CustomerMessage,
			csOrders.Discount,
			csOrders.Freight,
			csOrders.SalesTax,
			csOrders.Tax,
			csOrders.TaxTotal,
			csOrders.Total,
			csOrders.TotalWeight,
			csOrders.ShippingCharge,
			csOrders.Handling,
			csOrders.ApplyYN,
			csOrders.Picked,	
			csOrders.Billed,
			csOrders.Printed,
			csOrders.Shipped,
			csOrders.Backordered,
			csOrders.Invoiced,
			csOrders.TrackingNumber,
			csOrders.CCType,	
			csOrders.CCName,
			csOrders.CCNumber,
			csOrders.CCExpDate,
			csOrders.ApprovalNumber,
			csOrders.PostedYN 
		FROM 
			csOrders
		WHERE 
			csOrders.OrderNo = @OrderNo
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_BillPayments]    Script Date: 06/05/2007 23:16:35 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_BillPayments]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_BillPayments]
AS
	BEGIN
		SELECT 	
			vpBillPayments.Date, 
			vpBillPayments.Account, 
			vpBillPayments.Amount, 
			vpBillPayments.CheckNo, 
			vpBillPayments.Memo 
		FROM 
			vpBillPayments 
		ORDER BY 
			vpBillPayments.Date
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[GetVendorPurchases]    Script Date: 06/05/2007 23:16:35 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[GetVendorPurchases]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[GetVendorPurchases] @VenID varchar(50) AS
-- gets the list of posted purchase transactions
SELECT Reference AS TransID, CONVERT(varchar,Date,101) AS Date, ''Voucher'' AS Type, Reference, Memo, Amount, ''..\payables\entervouchers.asp?direction=idnumber'' AS Path FROM vpBills WHERE Type=''VOUCHER'' AND Vendor = @VenID AND PostedYN = 1
UNION
SELECT PORef AS TransID, CONVERT(varchar,Date,101) AS Date, ''Receiving'' AS Type, VendorInvoice as Reference, Memo, Total AS Amount, ''..\payables\enterpurchaseorders.asp?direction=idnumber'' AS Path FROM vpPurchaseOrders WHERE Vendor = @VenID AND ReceivedYN = 1
ORDER BY Date' 
END
GO
/****** Object:  StoredProcedure [dbo].[ClosedPO]    Script Date: 06/05/2007 23:16:35 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[ClosedPO]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[ClosedPO] AS
-- returns the POs marked as closed (received)
SELECT PORef, CONVERT(varchar,Total) as Total,CONVERT(varchar,Date,101) AS Date,Vendor FROM vpPurchaseOrders WHERE ReceivedYN=1

' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_update_PurchaseOrder]    Script Date: 06/05/2007 23:16:35 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_update_PurchaseOrder]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_update_PurchaseOrder]
	@PORef nvarchar (50),
	@DueDate datetime,
	@Term varchar (50),
	@VendorInvoice varchar (20)
AS
	BEGIN	
		UPDATE 
			vpPurchaseOrders 
		SET 
			vpPurchaseOrders.DueDate = @DueDate, 
			vpPurchaseOrders.Term = @Term,
			vpPurchaseOrders.VendorInvoice = @VendorInvoice
		WHERE 
			vpPurchaseOrders.PORef = @PORef
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_PurchaseOrders]    Script Date: 06/05/2007 23:16:35 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_PurchaseOrders]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_PurchaseOrders]

AS
	BEGIN	
		SELECT 
			vpPurchaseOrders.PORef, 
			vpPurchaseOrders.Total,
			vpPurchaseOrders.Date, 
			vpPurchaseOrders.Vendor
		FROM 
			vpPurchaseOrders
		WHERE 
			vpPurchaseOrders.ReceivedYN = 0 
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_PurchaseOrderDetail]    Script Date: 06/05/2007 23:16:35 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_PurchaseOrderDetail]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_PurchaseOrderDetail]
	@PORef nvarchar (50)
AS
	BEGIN	
		SELECT 
			vpPurchaseOrders.Vendor,
			vpPurchaseOrders.Class,
			vpPurchaseOrders.Memo,
			vpPurchaseOrders.BillTo,
			vpPurchaseOrders.Date,
			vpPurchaseOrders.DueDate,
			vpPurchaseOrders.PORef,
			vpPurchaseOrders.ShipTo,
			vpPurchaseOrders.ShipToD,
			vpPurchaseOrders.ReceiveBy,
			vpPurchaseOrders.ShipVia,
			vpPurchaseOrders.Term,
			vpPurchaseOrders.VendorInvoice,
			vpPurchaseOrders.VendorMessage,
			vpPurchaseOrders.TrackingNumber,
			vpPurchaseOrders.Discount,
			vpPurchaseOrders.Freight,
			vpPurchaseOrders.OtherCharges,
			vpPurchaseOrders.ShippingCharge,
			vpPurchaseOrders.Total,
			vpPurchaseOrders.ReceivedYN 
		FROM 
			vpPurchaseOrders
		WHERE 
			vpPurchaseOrders.PORef = @PORef
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_ItemDetail]    Script Date: 06/05/2007 23:16:35 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_ItemDetail]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_ItemDetail]
	@ItemName nvarchar (50) 
AS
	BEGIN
		SELECT 
			lsItems.ItemName,	
			lsItems.Subitem,
			lsItems.PurchaseDescription,
			lsItems.Cost,
			lsItems.COGSAccount,
			lsItems.PrefferedVendor,
			lsItems.IncomeAccount,
			lsItems.SalesPrice,
			lsItems.CategoryID,
			lsItems.ItemWeight,
			lsItems.SalesDescription,
			lsItems.AssetAccount,
			lsItems.QuantityOnHand,
			lsItems.TotalValue,
			lsItems.ReorderPoint,
			lsItems.PictureURL,
			lsItems.ItemName1,
			lsItems.ItemType,
			lsItems.Taxable,
			lsItems.Inactive 
		FROM 
			lsItems
		WHERE 
			lsItems.ItemName = @ItemName
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_Items]    Script Date: 06/05/2007 23:16:35 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_Items]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_Items]
AS
	BEGIN
		SELECT 
			lsItems.ItemName, 
			lsItems.SalesDescription, 
			lsItems.QuantityOnHand, 
			lsItems.SalesPrice 
		FROM 
			lsItems 
		WHERE 
			lsItems.ItemType=1 
		ORDER BY 
			lsItems.ItemName
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_GeneralJournalDetail]    Script Date: 06/05/2007 23:16:35 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_GeneralJournalDetail]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_GeneralJournalDetail]
	@EntryNo nvarchar (20)
AS
	BEGIN
		SELECT 
			GeneralJournalDetail.No,
			GeneralJournalDetail.Account,
			GeneralJournalDetail.Memo,
			GeneralJournalDetail.Debit,
			GeneralJournalDetail.Credit 
		FROM 
			GeneralJournalDetail
		WHERE 
			GeneralJournalDetail.EntryNo = @EntryNo
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_insert_GeneralJournalDetail]    Script Date: 06/05/2007 23:16:35 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_insert_GeneralJournalDetail]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_insert_GeneralJournalDetail]
	@EntryNo varchar (50) ,
	@Account varchar (50) ,
	@Debit money ,
	@Credit money ,
	@Memo varchar (50)
AS
	BEGIN
		DECLARE @No integer

		SELECT @No = (SELECT 
					ISNULL(MAX(GeneralJournalDetail.No),0)+10 
				FROM 
					GeneralJournalDetail 
				WHERE 
					GeneralJournalDetail.EntryNo = @EntryNo)

		INSERT INTO GeneralJournalDetail
			(EntryNo,
  			No,
  			Account,
  			Debit,
  			Credit,
  			Memo)
		VALUES 
			(@EntryNo ,
  			@No,
  			@Account,
  			@Debit,
  			@Credit,
  			@Memo)
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_EmployeeCommission]    Script Date: 06/05/2007 23:16:35 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_EmployeeCommission]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_EmployeeCommission]
	@EmpName nvarchar (50)
AS
	BEGIN
		SELECT 
			Commissions.ID, 
			Commissions.Date, 
			Commissions.Amount 
		FROM 
			Commissions 
		WHERE 
			Commissions.PaidYN = 0 
			AND 
			Commissions.EmpName = @EmpName
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_InventoryAdjustmentItem]    Script Date: 06/05/2007 23:16:35 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_InventoryAdjustmentItem]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_InventoryAdjustmentItem]
	@RefNo nvarchar (50)
AS
	BEGIN 
		SELECT 
			Item,
			Description,
			CurrentQty,
			CurrentValue,
			NewQty,
			NewValue,
			QtyDifference,
			ValueDifference
		FROM 
			InventoryAdjustmentDetail
		WHERE 
			RefNo = @RefNo
	END
RETURN
' 
END
GO
/****** Object:  View [dbo].[qrySumGLWorkDetail]    Script Date: 06/05/2007 23:16:35 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[qrySumGLWorkDetail]'))
EXEC dbo.sp_executesql @statement = N'CREATE VIEW [dbo].[qrySumGLWorkDetail]
AS
SELECT 
    Account, SUM(Debit) AS SumOfDebit, SUM(Credit) 
    AS SumOfCredit, Memo, No
FROM GLWorkDetail
GROUP BY No, Account, Memo
' 
GO
/****** Object:  StoredProcedure [dbo].[rptOpenBills]    Script Date: 06/05/2007 23:16:35 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[rptOpenBills]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[rptOpenBills] @BegDate DATETIME, @EndDate DATETIME AS
SELECT CASE Type WHEN ''Voucher'' THEN Reference ELSE PORef END AS TransID, CONVERT(varchar,vpBills.Date,101) AS Date, VendorInvoice AS Number, 
Vendor, CONVERT(varchar,vpBills.DueDate,101) 
AS DateDue, vpBills.DueAmount as Due, CASE Type WHEN ''Voucher'' THEN ''../payables/entervouchers.asp?direction=idnumber''
ELSE ''../payables/enterpurchaseorders.asp?direction=idnumber'' END AS Path FROM vpBills WHERE 
vpBills.Date BETWEEN CONVERT(DATETIME,@BegDate,101) AND
CONVERT(DATETIME,@EndDate,101) AND PostedYN = 1 AND vpBills.DueAmount > 0 ORDER BY CASE (SELECT AgingReportUse FROM Company) WHEN 1 THEN Date ELSE DueDate END' 
END
GO
/****** Object:  StoredProcedure [dbo].[rptAPRegister]    Script Date: 06/05/2007 23:16:35 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[rptAPRegister]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[rptAPRegister] @BegDate DATETIME, @EndDate DATETIME AS 
SELECT CASE Type WHEN ''Voucher'' THEN Reference ELSE PORef END AS TransID, Type, CONVERT(varchar,Date,101) AS Date, VendorInvoice AS Number, 
Vendor, CASE Type WHEN ''Voucher'' THEN ''../payables/entervouchers.asp?direction=idnumber'' ELSE ''../payables/enterpurchaseorders.asp?direction=idnumber'' END AS Path, CASE DueAmount WHEN 0 THEN ''Paid'' ELSE CONVERT(varchar, DueDate, 101) END AS DueDate, CASE DueAmount WHEN 0 THEN Amount ELSE DueAmount END AS Amount FROM vpBills WHERE vpBills.PostedYN = 1 AND Date >= @BegDate AND Date <= @EndDate ORDER BY CASE (SELECT AgingReportUse FROM Company) WHEN 1 THEN Date ELSE DueDate END' 
END
GO
/****** Object:  StoredProcedure [dbo].[rptAPAgingDetail]    Script Date: 06/05/2007 23:16:35 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[rptAPAgingDetail]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[rptAPAgingDetail] @VenID varchar(50) AS
SELECT CASE Type WHEN ''Voucher'' THEN Reference ELSE PORef END AS TransID, Type, CONVERT(varchar,Date,101) AS Date, 
Reference AS Num,CONVERT(varchar,DueDate,101) AS DueDate,
DATEDIFF(day,DueDate,getdate()) AS Aging, DueAmount AS OpeningBalance,
CASE Type WHEN ''Voucher'' THEN ''../payables/entervouchers.asp?direction=idnumber'' ELSE ''../payables/enterpurchaseorders.asp?direction=idnumber'' END as Path FROM vpBills WHERE vpBills.Vendor=@VenID AND DueAmount > 0.01 AND vpBills.PostedYN = 1 ORDER BY CASE (SELECT AgingReportUse FROM Company) WHEN 1 THEN Date ELSE DueDate END' 
END
GO
/****** Object:  StoredProcedure [dbo].[addBill]    Script Date: 06/05/2007 23:16:35 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[addBill]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[addBill] @Reference varchar(50) AS
BEGIN TRANSACTION
-- sets the amount due to equal the Amount. When you will pay this bill, the amount being paid 
-- will be sustracted from DueAmount
UPDATE vpBills SET DueAmount = Amount WHERE Reference = @Reference
COMMIT TRANSACTION

' 
END
GO
/****** Object:  View [dbo].[PayMany]    Script Date: 06/05/2007 23:16:35 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[PayMany]'))
EXEC dbo.sp_executesql @statement = N'CREATE VIEW [dbo].[PayMany]
AS
SELECT Vendor, DueAmount AS Amount
FROM vpBills
WHERE (DueAmount > 0.01) AND (PostedYN = 1)

' 
GO
/****** Object:  StoredProcedure [dbo].[sp_update_Bills]    Script Date: 06/05/2007 23:16:35 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_update_Bills]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_update_Bills]
	@Date datetime,
	@Vendor varchar (50),
	@Reference varchar (20),
	@Term varchar (50),
	@DueDate datetime,
	@VendorInvoice nvarchar (20),
	@Freight money,
	@Discount money,
	@OtherCharges money,
	@Amount money,
	@Memo nvarchar (50) 
AS
	BEGIN
		UPDATE    
			vpBills
		SET              
			vpBills.Vendor = @Vendor, 
			vpBills.Date = @Date, 
			vpBills.DueDate = @DueDate, 
			vpBills.Term = @Term, 
			vpBills.Memo = @Memo, 
			vpBills.VendorInvoice = @VendorInvoice, 
			vpBills.Discount = @Discount, 
			vpBills.Freight = @Freight, 
			vpBills.OtherCharges = @OtherCharges, 
			vpBills.Amount = @Amount 
		WHERE 
			vpBills.Reference = @Reference
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_VendorPaymentBills]    Script Date: 06/05/2007 23:16:35 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_VendorPaymentBills]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_VendorPaymentBills]
	@Vendor nvarchar (50) 
AS
	BEGIN
		SELECT 
			vpBills.Reference,
			vpBills.DueDate,
			vpBills.Type, 
			vpBills.VendorInvoice,
			vpBills.DueAmount
		FROM 
			vpBills 
		WHERE 
			vpBills.DueAmount > 0.01 
			AND 
			vpBills.PostedYN = 1 
			AND 
			vpBills.Vendor = @Vendor
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_insert_Bills]    Script Date: 06/05/2007 23:16:35 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_insert_Bills]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_insert_Bills]
	@Date datetime,
	@Vendor varchar (50),
	@Reference varchar (20),
	@Type varchar (20),
	@Term varchar (50),
	@DueDate datetime,
	@VendorInvoice nvarchar (20),
	@Freight money,
	@Discount money,
	@OtherCharges money,
	@Amount money,
	@Memo nvarchar (50)
AS
	BEGIN
		INSERT INTO vpBills
			(Vendor, 
			Date, 
			Reference, 
			DueDate, 
			Term, 
			Memo, 
			VendorInvoice, 
			Discount, 
			Freight, 
			OtherCharges, 
			Amount, 
			Type) 
		VALUES 
			(@Vendor, 
			@Date, 
			@Reference, 
			@DueDate, 
			@Term, 
			@Memo, 
			@VendorInvoice, 
			@Discount, 
			@Freight, 
			@OtherCharges, 
			@Amount, 
			@Type)
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_Bills]    Script Date: 06/05/2007 23:16:35 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_Bills]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_Bills]
AS
	BEGIN
		SELECT 
			vpBills.Date, 
			vpBills.Reference, 	
			vpBills.Amount, 
			vpBills.Memo, 
			vpBills.PostedYN
		FROM 
			vpBills 
		WHERE 
			vpBills.Type = ''Voucher'' 
		ORDER BY 
			vpBills.Date
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_BillDetails]    Script Date: 06/05/2007 23:16:35 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_BillDetails]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_BillDetails]
	@Reference varchar (20)
AS
	BEGIN
		SELECT 
			vpBills.Date,
			vpBills.Vendor,
			vpBills.Reference,
			vpBills.Type,
			vpBills.Term,
			vpBills.DueDate,
			vpBills.VendorInvoice,
			vpBills.Freight,
			vpBills.Discount,
			vpBills.OtherCharges,
			vpBills.Amount,
			vpBills.Memo,
			vpBills.PORef,
			vpBills.PostedYN 
		FROM
			vpBills
		WHERE
			vpBills.Reference = @Reference
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[GetNewCheckID]    Script Date: 06/05/2007 23:16:36 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[GetNewCheckID]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[GetNewCheckID] AS
BEGIN TRANSACTION
-- selects the @@IDENTITY as being the last check ID
INSERT INTO bChecks(CheckNo) VALUES(0)
SELECT @@IDENTITY AS NewCID
COMMIT TRANSACTION

' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_CheckDetail]    Script Date: 06/05/2007 23:16:36 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_CheckDetail]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_CheckDetail]
	@CheckID int
AS
	BEGIN
		SELECT 
			bChecks.Account,
			bChecks.Payee,
			bChecks.Date,
			bChecks.Address,
			bChecks.CheckNo, 
			bChecks.CheckID,
			bChecks.Amount,
			bChecks.Memo,
			bChecks.VoidedYN 
		FROM 
			bChecks
		WHERE
			bChecks.CheckId = @CheckId
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_Checks]    Script Date: 06/05/2007 23:16:36 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_Checks]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_Checks]
	@Voided char (1)
AS
	IF @Voided = ''N''
		BEGIN
			SELECT 
				bChecks.CheckID, 
				bChecks.Date,
				bChecks.CheckNo,
				bChecks.CheckID,
				bChecks.Amount, 
				bChecks.Memo 
			FROM 
				bChecks 
			ORDER BY 
				bChecks.Date
		END
	IF @Voided = ''Y''
		BEGIN
			SELECT 
				bChecks.CheckID, 
				bChecks.Date,
				bChecks.CheckNo,
				bChecks.Amount, 
				bChecks.Memo 
			FROM 
				bChecks 
			WHERE
				bChecks.VoidedYN = 1
			ORDER BY 
				bChecks.Date
		END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_get_NewCheckID]    Script Date: 06/05/2007 23:16:36 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_get_NewCheckID]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_get_NewCheckID]
	@NewCheckID int OUT
AS
	BEGIN
		BEGIN TRANSACTION
			INSERT INTO bChecks(CheckNo) VALUES(0)
		COMMIT TRANSACTION
		
		SET @NewCheckID = 
			(SELECT 
				MAX(CheckID) AS NewCID 
			FROM 
				bChecks)
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_update_Users]    Script Date: 06/05/2007 23:16:36 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_update_Users]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_update_Users]
	@UserName varchar (20),
	@Password varchar (20)
AS 
	BEGIN
		UPDATE 
			Users 
		SET 
			Password = @Password 
		WHERE 
			Username = @UserName
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_insert_Accounts]    Script Date: 06/05/2007 23:16:36 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_insert_Accounts]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_insert_Accounts]
	@UserName varchar (20),
	@Password varchar (20)
AS 
	BEGIN
		INSERT INTO Users
			(Username, 
			Password) 
		VALUES 
			(@Username, 
			@Password)
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_UserDetail]    Script Date: 06/05/2007 23:16:36 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_UserDetail]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_UserDetail]
	@Username varchar (20)
AS
	BEGIN
		SELECT 
			Users.LoginID,
			Users.Username,
			Users.Password,
			Users.GroupLevel 
		FROM 
			Users
		WHERE 
			Users.Username = @Username
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_Users]    Script Date: 06/05/2007 23:16:36 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_Users]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_Users]
AS
	BEGIN
		SELECT
			Users.UserName,
			Users.Password
		FROM
			Users
		ORDER BY
			Users.UserName
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_CustomerShipToForCustomer]    Script Date: 06/05/2007 23:16:36 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_CustomerShipToForCustomer]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_CustomerShipToForCustomer]
	@CustomerName nvarchar (50) 
AS
	BEGIN
		SELECT 
			lsCustomersShipTo.CustomerName,
			lsCustomersShipTo.ShipingAddressID,
			lsCustomersShipTo.ShippingAddress,
			lsCustomersShipTo.City,
			lsCustomersShipTo.State,
			lsCustomersShipTo.Zip,
			lsCustomersShipTo.Country 
		FROM 
			lsCustomersShipTo
		WHERE 
			lsCustomersShipTo.CustomerName = @CustomerName 

	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_CustomerShipToDetail]    Script Date: 06/05/2007 23:16:36 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_CustomerShipToDetail]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_CustomerShipToDetail]
	@CustomerName nvarchar (50), 
	@ShipingAddressID int 
AS
	BEGIN
		SELECT 
			lsCustomersShipTo.CustomerName,
			lsCustomersShipTo.ShipingAddressID,
			lsCustomersShipTo.ShippingAddress,
			lsCustomersShipTo.City,
			lsCustomersShipTo.State,
			lsCustomersShipTo.Zip,
			lsCustomersShipTo.Country 
		FROM 
			lsCustomersShipTo
		WHERE 
			lsCustomersShipTo.CustomerName = @CustomerName 
			AND 
			lsCustomersShipTo.ShipingAddressID = @ShipingAddressID
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_CustomersShipTo]    Script Date: 06/05/2007 23:16:36 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_CustomersShipTo]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_CustomersShipTo]

AS
	BEGIN
		SELECT 
			lsCustomersShipTo.CustomerName,
			lsCustomersShipTo.ShipingAddressID,
			lsCustomersShipTo.ShippingAddress,
			lsCustomersShipTo.City,
			lsCustomersShipTo.State,
			lsCustomersShipTo.Zip,
			lsCustomersShipTo.Country 
		FROM 
			lsCustomersShipTo
		ORDER BY
			lsCustomersShipTo.CustomerName,
			lsCustomersShipTo.ShipingAddressID
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_CustomerShipToForDropDown]    Script Date: 06/05/2007 23:16:36 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_CustomerShipToForDropDown]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_CustomerShipToForDropDown]
	@CustomerName varchar (50)
AS
	BEGIN
		SELECT
			lsCustomersShipTo.ShipingAddressID,
			lsCustomersShipTo.ShippingAddress
		FROM
			lsCustomersShipTo
		WHERE
			lsCustomersShipTo.CustomerName = @CustomerName
		ORDER BY
			lsCustomersShipTo.ShipingAddressID
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_CheckItems]    Script Date: 06/05/2007 23:16:36 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_CheckItems]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_CheckItems]
	@CheckID int
AS
	BEGIN
		SELECT 
			bCheckDetails.InvRef,
			bCheckDetails.InvDate,
			bCheckDetails.InvOrigAmount,
			bCheckDetails.Amount
		FROM 
			bCheckDetails
		WHERE
			bCheckDetails.CheckID = @CheckID
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[NewInvoiceShippedOrder]    Script Date: 06/05/2007 23:16:36 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[NewInvoiceShippedOrder]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[NewInvoiceShippedOrder]
	@OrderNo varchar(50)
AS
	BEGIN
		DECLARE @A int
		SELECT @A = 0
		-- invoice the order, if it is not already invoiced
		IF EXISTS(SELECT OrderNo FROM csOrderTracking WHERE OrderNo = @OrderNo)
	 		SELECT @A = 1
		IF @A = 0
			BEGIN
	 			EXEC NewConvertOrder @OrderNo
			END
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[InvoiceShippedOrder]    Script Date: 06/05/2007 23:16:36 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[InvoiceShippedOrder]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[InvoiceShippedOrder] @OrderNo varchar(50) AS
DECLARE @A int
SELECT @A = 0
-- invoice the order, if it is not already invoiced
IF EXISTS(SELECT OrderNo FROM csOrderTracking WHERE OrderNo = @OrderNo)
 SELECT @A = 1
IF @A = 0
BEGIN
 EXEC ConvertOrder @OrderNo
END

' 
END
GO
/****** Object:  StoredProcedure [dbo].[voidCheck]    Script Date: 06/05/2007 23:16:36 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[voidCheck]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[voidCheck] @CheckID int AS
BEGIN TRANSACTION
-- voids a check by posting a "reversed" bill. The posting routine follows the postBill procedure except
-- the credits are debits and viceversa
DECLARE @CheckNo int 
SELECT @CheckNo = CheckNo FROM bChecks WHERE CheckID = @CheckID
DECLARE @Amount int, @BillID varchar(50)
DECLARE C CURSOR FOR SELECT Amount, BillID FROM bCheckDetails WHERE CheckID = @CheckID
OPEN C
FETCH NEXT FROM C INTO @Amount, @BillID
WHILE @@FETCH_STATUS=0
BEGIN
 EXEC delBILL @BillID, @CheckNo, @Amount
 FETCH NEXT FROM C INTO @Amount, @BillID
END
CLOSE C
DEALLOCATE C
UPDATE bChecks SET VoidedYN = 1 WHERE CheckID = @CheckID
COMMIT TRANSACTION

' 
END
GO
/****** Object:  StoredProcedure [dbo].[GLTransDetail]    Script Date: 06/05/2007 23:16:36 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[GLTransDetail]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[GLTransDetail] @Account varchar(50) AS
-- this procedure simplifies the parsing of the GL. It uses the GetGLTrans view which lists all the transactions where @Account account is involved.
SELECT TrID AS TransID, 
ID, 
CASE TrType WHEN 1 THEN ''Voucher'' WHEN 2 THEN ''Receiving'' WHEN 3 THEN ''Cust Credit'' WHEN 4 THEN ''Invoice'' WHEN 5 THEN ''Bill Pmt'' WHEN 6 THEN ''Transfer'' WHEN 7 THEN ''Inv Adjust'' WHEN 8 THEN ''Journal Entry'' WHEN 9 THEN ''Void Check'' WHEN 10 THEN ''Cust Pmt'' ELSE '''' END AS Type,
CONVERT(varchar, Date, 101) AS Date,
CASE TrType WHEN 1 THEN (SELECT Reference FROM vpBills WHERE Reference = TrID) WHEN 2 THEN (SELECT Reference FROM vpBills WHERE Reference = TrID) WHEN 3 THEN (SELECT CreditNumber FROM csCustomerCredits WHERE CreditNumber = TrID) WHEN 4 THEN (SELECT InvoiceNo FROM csInvoices WHERE InvoiceNo = TrID) WHEN 5 THEN '''' WHEN 6 THEN (SELECT Reference FROM bTransferFunds WHERE Reference=TrID) WHEN 7 THEN (SELECT RefNo FROM InventoryAdjustments WHERE RefNo=TrID) WHEN 8 THEN EntryNo WHEN 9 THEN (SELECT CheckNo FROM bChecks WHERE CheckID = TrID) WHEN 10 THEN (SELECT Reference FROM csCustomerPayments WHERE Reference = TrID) END AS Num,
Memo,
CASE TrType WHEN 1 THEN ''Accounts Payable'' WHEN 2 THEN ''Accounts Payable'' WHEN 3 THEN ''Accounts Receivable'' WHEN 4 THEN ''Accounts Receivable'' WHEN 5 THEN ''Accounts Payable'' WHEN 6 THEN '''' WHEN 7 THEN '''' WHEN 8 THEN '''' WHEN 9 THEN ''Accounts Payable'' WHEN 10 THEN ''Accounts Receivable'' END AS Split,
CASE TrType WHEN 1 THEN ''../payables/entervouchers.asp?direction=idnumber'' WHEN 2 THEN ''../payables/enterpurchaseorders.asp?direction=idnumber'' WHEN 3 THEN ''../receivables/customercredits.asp?direction=idnumber'' WHEN 4 THEN ''../receivables/createinvoices.asp?direction=idnumber'' WHEN 5 THEN '''' WHEN 6 THEN ''../ledger/transferfunds.asp?direction=idnumber'' WHEN 7 THEN ''../ledger/inventoryadjustment.asp?direction=idnumber'' WHEN 8 THEN ''../ledger/makejournalentries.asp?direction=idnumber'' WHEN 9 THEN ''../payables/printchecks.asp?direction=idnumber'' WHEN 10 THEN ''../receivables/customerpayments.asp?direction=idnumber'' ELSE '''' END AS Path,
EntryNo AS Reference,
CONVERT(varchar, CONVERT(money,CASE (SELECT AccountType FROM lsAccounts WHERE AccountName = @Account) WHEN ''Bank'' THEN (CASE Debit When 0 THEN -1 * Credit ELSE Debit END) WHEN ''Accounts Receivable'' THEN (CASE Debit When 0 THEN -1 * Credit ELSE Debit END) WHEN ''Other Current Asset'' THEN (CASE Debit When 0 THEN -1 * Credit ELSE Debit END) WHEN ''Fixed Asset'' THEN (CASE Debit When 0 THEN -1 * Credit ELSE Debit END) WHEN ''Credit Card'' THEN (CASE Debit When 0 THEN -1 * Credit ELSE Debit END) WHEN ''Other Asset'' THEN (CASE Debit When 0 THEN -1 * Credit ELSE Debit END) WHEN ''Income'' THEN (CASE Debit When 0 THEN Credit ELSE -1 * Debit END) WHEN ''Other Income'' THEN (CASE Debit When 0 THEN Credit ELSE -1 * Debit END) WHEN ''Expense'' THEN (CASE Debit When 0 THEN -1 * Credit ELSE Debit END) WHEN ''Cost of Goods Sold'' THEN (CASE Debit When 0 THEN -1 * Credit ELSE Debit END) WHEN ''Other Expense'' THEN (CASE Debit When 0 THEN -1 * Credit ELSE Debit END) WHEN ''Accounts Payable'' THEN (CASE Debit When 0 THEN Credit ELSE -1 * Debit END) WHEN ''Other Current Liability'' THEN (CASE Debit When 0 THEN Credit ELSE -1 * Debit END) WHEN ''Long Term Liability'' THEN (CASE Debit When 0 THEN Credit ELSE -1 * Debit END) WHEN ''Equity'' THEN (CASE Debit When 0 THEN Credit ELSE -1 * Debit END) ELSE 0 END)) AS Amount
FROM GetGLTrans WHERE Account = @Account' 
END
GO
/****** Object:  StoredProcedure [dbo].[PostGLWorkDetail]    Script Date: 06/05/2007 23:16:36 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[PostGLWorkDetail]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[PostGLWorkDetail] @GLID varchar(50) AS
  DECLARE @Account varchar(50), @Debit float, @Credit float, @Memo varchar(255), @No int
  DECLARE @GLWorkDebitAmount float, @GLWorkCreditAmount float
  -- this is the GL posting routine. It checks whether the detail lines are similar, or nulls
  -- the values are read from the working table GLWorkDetail and inserted into the
  -- GeneralJournalDetail table
  DECLARE GL1 CURSOR FOR SELECT Account, SumOfDebit, SumOfCredit, Memo, No FROM qrySumGLWorkDetail
  OPEN GL1
  FETCH NEXT FROM GL1 INTO @Account, @Debit, @Credit, @Memo, @No
  WHILE @@FETCH_STATUS = 0
  BEGIN
 IF @Debit <> @Credit 
 BEGIN
  If @Debit > 0 AND @Credit > 0 
  BEGIN
   SELECT @GLWorkDebitAmount = @Debit
   SELECT @GLWorkCreditAmount = 0
   INSERT INTO GeneralJournalDetail(EntryNo, Account, Debit, Credit, Memo, No) VALUES (@GLID ,@Account, @GLWorkDebitAmount, @GLWorkCreditAmount, @Memo, @No)
   -- posts the Debit
   EXEC PostCOA @Account, @GLWorkDebitAmount, @GLWorkCreditAmount
                
   SELECT @GLWorkDebitAmount = 0
   SELECT @GLWorkCreditAmount = @Credit
    
   INSERT INTO GeneralJournalDetail(EntryNo, Account, Debit, Credit, Memo, No) VALUES (@GLID, @Account, @GLWorkDebitAmount, @GLWorkCreditAmount, @Memo, @No)
   -- posts the Credit
   EXEC PostCOA @Account, @GLWorkDebitAmount, @GLWorkCreditAmount
  END
  ELSE
  BEGIN
   If @Debit > @Credit 
   BEGIN
    SELECT @GLWorkDebitAmount = @Debit - @Credit
    SELECT @GLWorkCreditAmount = 0
   END
   ELSE
   BEGIN
    SELECT @GLWorkDebitAmount = 0
    SELECT @GLWorkCreditAmount = @Credit - @Debit
   END
      
   INSERT INTO GeneralJournalDetail(EntryNo, Account, Debit, Credit, Memo, No) VALUES(@GLID, @Account, @GLWorkDebitAmount, @GLWorkCreditAmount, @Memo, @No)
   -- posts the Debit if it is greater than the credit, or the Credit if it is greater than the debit
   EXEC PostCOA @Account, @GLWorkDebitAmount, @GLWorkCreditAmount
  END
 END
  FETCH NEXT FROM GL1 INTO @Account, @Debit, @Credit, @Memo, @No
  END
CLOSE GL1
DEALLOCATE GL1

' 
END
GO
/****** Object:  StoredProcedure [dbo].[vpPayMany]    Script Date: 06/05/2007 23:16:36 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[vpPayMany]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[vpPayMany] AS
-- retrieves a consistent list of payments by vendor
SELECT Vendor as IID, Vendor, Sum(Amount) as Amount from PayMany GROUP BY Vendor

' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_select_PayMany]    Script Date: 06/05/2007 23:16:36 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_select_PayMany]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_select_PayMany]
AS
	BEGIN
		SELECT 
			PayMany.Vendor,
			SUM(PayMany.Amount) AS Amount 
		FROM 
			PayMany 
		GROUP BY 
			PayMany.Vendor
		ORDER BY 
			PayMany.Vendor
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[addOpBal]    Script Date: 06/05/2007 23:16:36 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[addOpBal]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[addOpBal] AS
DECLARE
 @ident varchar(50),
 @AccID varchar(50), 
 @AccType varchar(50),
 @OpBal float
BEGIN TRANSACTION
-- GetOpBalances returns the list of accounts and their opening balances as typed in the Enter
-- Opening Balance form.
DECLARE Curs CURSOR FOR SELECT AccountName, BalanceType, OpeningBalance FROM GetOpBalances WHERE Modified=1
-- gets a new document number for this transaction
DECLARE @NewID int
DECLARE @NewNumber varchar(50)
SELECT @NewID = 1
SELECT @NewNumber = ''ACCOPBAL-1''
OPEN Curs
DECLARE @No int
SELECT @No = 10
FETCH NEXT FROM Curs INTO @AccID, @AccType, @OpBal
WHILE @@FETCH_STATUS = 0 BEGIN
 DELETE FROM GLWorkDetail
 WHILE EXISTS(SELECT EntryNo FROM GeneralJournalEntry WHERE EntryNo=@NewNumber)
 BEGIN
  SELECT @NewID = @NewID + 1
  SELECT @NewNumber = ''ACCOPBAL-'' + CONVERT(varchar,@NewID)
 END
 -- creates the GL header
 INSERT INTO GeneralJournalEntry(Date, EntryNo, SystemGenerated, PostedYN, TrType, TrID) 
       VALUES(CONVERT(varchar,CURRENT_TIMESTAMP,101), @NewNumber, 1, 1, 8, @NewNumber)
 -- for every record in GetOpBalances, post the transaction to GL
 IF @AccType=1 -- debit
 BEGIN 
  INSERT INTO GLWorkDetail(GLID, Account, Debit, Credit, Memo, No) VALUES (@NewNumber, @AccID, 0, @OpBal, ''Beg Bal Credit'', @No)
  SELECT @No = @No + 10
  INSERT INTO GLWorkDetail(GLID, Account, Debit, Credit, Memo, No) VALUES (@NewNumber, ''Opening Balance'', @OpBal, 0, ''Beg Bal Credit'', @No)
  SELECT @No = @No + 10
 END
 ELSE IF @AccType=2 -- credit
 BEGIN
  INSERT INTO GLWorkDetail(GLID, Account, Debit,Credit,Memo, No) VALUES (@NewNumber,@AccID,@OpBal, 0, ''Beg Bal Debit'', @No)
  SELECT @No = @No + 10
  INSERT INTO GLWorkDetail(GLID, Account, Debit,Credit,Memo, No) VALUES (@NewNumber,''Opening Balance'',0,@OpBal, ''Beg Bal Debit'', @No)
  SELECT @No = @No + 10
 END
 
 -- posts it to GL
 EXEC PostGLWorkDetail @NewNumber
 
 FETCH NEXT FROM Curs INTO @AccID, @AccType, @OpBal
END
CLOSE Curs
DEALLOCATE Curs
UPDATE lsAccounts SET Modified=0
COMMIT TRANSACTION

' 
END
GO
/****** Object:  StoredProcedure [dbo].[NewSplitPO]    Script Date: 06/05/2007 23:16:36 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[NewSplitPO]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[NewSplitPO] 
	@TransID varchar(50) 
AS
	BEGIN
		DECLARE @a float,
 		@IDD varchar(50),
 		@NewRef nvarchar(20),
 		@PORef nvarchar(20),
 		@Date datetime,
 		@DueDate datetime,
 		@Vendor varchar(50),
 		@Class varchar(50),
 		@Memo nvarchar(50),
 		@BillTo nvarchar(150),
 		@ShipTo nvarchar(150),
 		@ReceiveBy datetime,
 		@VendorMessage nvarchar(50),
 		@ShipVia varchar(50),
 		@TrackingNumber nvarchar(50),
 		@VendorInvoice nvarchar(20),
 		@Total float,
 		@Term varchar(50),
 		@ID int,
 		@No int,
 		@Item varchar(50),
 		@Quantity float,
 		@ReceivedQty float,
 		@Rate float,
 		@Freight float,
 		@Discount float,
 		@OtherCharges float,
 		@Amount float,
 		@Description nvarchar(255),
 		@Project varchar(50)
		
		BEGIN TRANSACTION
		DECLARE @DiscAmount float, @DC varchar(50)
		
		-- gets a new document number
		SELECT @IDD = ''REC-'' + @TransID

		SELECT 
			@Date = Date, 
			@DueDate = DueDate, 
			@Term = Term, 
			@VendorInvoice = VendorInvoice, 
			@PORef = PORef, 
			@Total = Total, 
			@Vendor = Vendor, 
			@Freight = Freight, 
			@Discount = Discount, 
			@OtherCharges = OtherCharges 
		FROM 
			vpPurchaseOrders 
		WHERE 
			PORef = @TransID

		SELECT 
			@a = SUM(Quantity-ReceivedQty) 
		FROM 
			vpPurchaseOrderDetails 
		WHERE 
			vpPurchaseOrderDetails.PORef = @TransID
		
		IF @a=0
			BEGIN
 				-- The PO was fully received --
 				DELETE FROM GLWorkDetail
 
				-- Update the Received flag --
 				UPDATE 
					vpPurchaseOrders 
				SET 
					ReceivedYN=1 
				WHERE 
					vpPurchaseOrders.PORef = @TransID
 
				UPDATE 
					lsVendors 
				SET 
					Balance = Balance + @Total 
				WHERE 
					VendorName = @Vendor

 				INSERT INTO GeneralJournalEntry
					(Date, 
					EntryNo, 
					TrType, 
					TrID, 
					PostedYN, 
					SystemGenerated) 
				VALUES 
					(CONVERT(varchar, CURRENT_TIMESTAMP), 
					@IDD, 
					2, 
					@TransID, 
					1, 
					1)

 				SELECT 
					@DiscAmount = 
						(SELECT 
							SUM(Amount) 
						FROM 
							vpPurchaseOrderDetails 
						WHERE 
							PORef = @TransID) * @Discount / 100
 
				INSERT INTO GLWorkDetail
					(GLID, 
					Account, 
					Debit, 
					Credit, 
					Memo, 
					No) 
				VALUES 
					(@IDD, 
					''Freight Expense'', 
					@Freight, 
					0, 
					''Freight'', 
					10)

 				INSERT INTO GLWorkDetail
					(GLID, 
					Account, 
					Debit, 
					Credit, 
					Memo, 
					No) 
				VALUES 
					(@IDD, 
					''Accounts Payable'', 
					0, 
					@Total, 
					''AP'', 
					20)

 				INSERT INTO GLWorkDetail
					(GLID, 
					Account, 
					Debit, 
					Credit, 
					Memo, 
					No) 
				VALUES 
					(@IDD, 
					''Discounts'', 
					0, 
					@DiscAmount, 
					''Discount'', 
					30)

 				INSERT INTO GLWorkDetail
					(GLID, 
					Account, 
					Debit, 
					Credit, 
					Memo, 
					No) 
				VALUES 
					(@IDD, 
					''Other Expense'', 
					@OtherCharges, 
					0, 
					''Charge'', 
					40)

 				INSERT INTO vpBills
					(Date, 
					Vendor, 
					Reference, 
					Type, 
					Term, 
					DueDate, 
					VendorInvoice, 
					Freight, 
					Discount, 
					OtherCharges, 
					Amount, 
					Memo, 
					PayAmount, 
					DueAmount, 
					PostedYN, 
					PORef) 
				VALUES
					(CONVERT(varchar, @Date, 101), 
					@Vendor, 
					@PORef, 
					''Receiving'', 
					@Term, 
					@DueDate, 
					@VendorInvoice, 
					@Freight, 
					@Discount, 
					@OtherCharges, 
					@Total, 
					@Memo, 
					0, 
					@Total, 
					1, 
					@TransID)
 				
				DECLARE @BID int
 				SELECT @BID = 50

 				DECLARE @AssetAccount varchar(50)

 				DECLARE Curs1 CURSOR FOR 
							SELECT 
								Item, 
								Quantity, 
								ReceivedQty, 
								Rate, 
								AssetAccount 
							FROM 
								vpPurchaseOrderDetails 
								INNER JOIN 
								lsItems 
								ON 
								vpPurchaseOrderDetails.Item = lsItems.ItemName 
							WHERE PORef=@TransID
 				OPEN Curs1
 				FETCH NEXT FROM Curs1 INTO @Item, @Quantity, @ReceivedQty, @Rate, @AssetAccount
 				WHILE @@FETCH_STATUS = 0
 					BEGIN
  						UPDATE 
							lsItems 
						SET 
							QuantityOnHand = QuantityOnHand + @ReceivedQty 
						WHERE 
							ItemName = @Item

  						INSERT INTO GLWorkDetail
							(GLID, 
							Account, 
							Debit, 
							Credit, 	
							Memo, 
							No) 
						VALUES 
							(@IDD, 
							@AssetAccount, 
							@Rate * @Quantity, 
							0, 
							''INV Asset'', 
							@BID)
  						SELECT @BID = @BID + 1
  						FETCH NEXT FROM Curs1 INTO @Item, @Quantity, @ReceivedQty, @Rate, @AssetAccount
 					END
 				CLOSE Curs1
 				DEALLOCATE Curs1
 				EXEC PostGLWorkDetail @IDD
			END
		ELSE
			BEGIN
 				-- The PO must be split, the items were partially received --
 				DELETE FROM GLWorkDetail
 				-- Insert a new row representing the new PO --
 				SELECT 
					@PORef = PORef, 
					@Date = Date, 
					@Class = Class, 
					@Memo = Memo, 
					@Term = Term, 
					@BillTo = BillTo,
					@ShipTo = ShipTo,
					@ReceiveBy = ReceiveBy,
					@VendorMessage = VendorMessage, 
					@ShipVia = ShipVia, 
					@TrackingNumber = TrackingNumber, 
					@VendorInvoice = VendorInvoice 
				FROM 
					vpPurchaseOrders 
				WHERE 
					PORef = @TransID

 				INSERT INTO vpPurchaseOrders
					(PORef, 
					Date, 
					Vendor, 
					Class, 
					Memo, 
					Term, 
					BillTo, 
					ShipTo, 
					ReceiveBy, 
					VendorMessage, 	
					ShipVia, 
					TrackingNumber, 
					Freight, 
					Discount, 
					OtherCharges, 
					Total, 
					ReceivedYN ) 
				VALUES 
					(@PORef+''-1'',
					@Date,
					@Vendor,
					@Class,
					@Memo,
					@Term, 
					@BillTo,
					@ShipTo, 
					@ReceiveBy,
					@VendorMessage,
					@ShipVia,
					@TrackingNumber, 
					0, 
					@Discount, 
					0, 
					@Total,
					0)

 				-- Post the received items --
 				INSERT INTO GeneralJournalEntry
					(Date, 
					EntryNo, 
					TrType, 
					TrID, 
					PostedYN, 
					SystemGenerated) 
				VALUES 
					(CONVERT(varchar, CURRENT_TIMESTAMP), 
					@IDD, 	
					2, 
					@TransID, 	
					1, 
					1)

 				DECLARE Curs1 CURSOR FOR 
					SELECT 
						ID, 
						PORef, 
						No, 
						Item, 
						Quantity, 
						ReceivedQty, 
						Rate, 
						Amount, 
						Description, 
						Project, 
						AssetAccount 
					FROM 
						vpPurchaseOrderDetails 
						INNER JOIN 
						lsItems 
						ON 
						vpPurchaseOrderDetails.Item = lsItems.ItemName 
					WHERE 
						PORef = @TransID
 				SELECT @BID = 10 
 				OPEN Curs1
 				FETCH NEXT FROM Curs1 INTO @ID, @PORef, @No, @Item, @Quantity, @ReceivedQty, @Rate, @Amount, @Description, @Project, @AssetAccount
 				WHILE @@FETCH_STATUS = 0
 					BEGIN
  						IF @Quantity - @ReceivedQty<>0
  							BEGIN
   								-- the received qty is different then the ordered qty --
   								INSERT INTO vpPurchaseOrderDetails
									(PORef, 
									No, 
									Item, 
									Quantity, 
									ReceivedQty, 
									Rate, 
									Amount, 
									Description, 
									Project) 
								VALUES
									(@PORef+''-1'', 
									@No, 
									@Item, 
									@Quantity - @ReceivedQty, 
									0, 
									@Rate, 
									@Rate * (@Quantity - @ReceivedQty), 
									@Description, 
									@Project)
   								
								UPDATE 
									vpPurchaseOrderDetails 
								SET 
									Quantity = ReceivedQty, Amount = Rate * ReceivedQty 
								WHERE 
									ID=@ID

   								INSERT INTO GLWorkDetail
									(GLID, 
									Account, 
									Debit, 
									Credit, 
									Memo, 
									No) 
								VALUES 
									(@IDD, 
									@AssetAccount, 
									@Rate * @ReceivedQty, 
									0, 
									''INV Asset'', 
									@BID)
   								SELECT @BID = @BID + 10
  							END
  						ELSE
  							BEGIN
   								INSERT INTO GLWorkDetail
									(GLID, 
									Account, 
									Debit, 
									Credit, 
									Memo, 
									No) 
								VALUES 
									(@IDD, 
									@AssetAccount, 
									@Rate * @ReceivedQty, 
									0, 
									''INV Asset'', 
									@BID)
   								SELECT @BID = @BID + 10
  							END

  						UPDATE 
							lsItems 
						SET 
							QuantityOnHand = QuantityOnHand + @ReceivedQty 
						WHERE 
							ItemName = @Item
  					
						FETCH NEXT FROM Curs1 INTO @ID, @PORef, @No, @Item, @Quantity, @ReceivedQty, @Rate, @Amount, @Description, @Project, @AssetAccount
 					END
 				CLOSE Curs1
 				DEALLOCATE Curs1
 			
				DECLARE @SumOld float, @DSC float
 
				SELECT 
					@SumOld = SUM(Amount), 
					@DSC = SUM(Amount) * @Discount / 100 
				FROM 
					vpPurchaseOrderDetails 
				WHERE 
					PORef = @TransID
 
 				UPDATE 
					vpPurchaseOrders 
				SET 
					ReceivedYN = 1, 
					Total = @SumOld + Freight + OtherCharges - @DSC 
				WHERE 
					vpPurchaseOrders.PORef = @TransID

 				SELECT 
					@SumOld = SUM(Amount), 
					@DSC = SUM(Amount) * @Discount / 100 
				FROM 
					vpPurchaseOrderDetails 
				WHERE 
					PORef=@PORef+''-1''

 				UPDATE 
					vpPurchaseOrders 
				SET 
					Total = @SumOld - @DSC 	
				WHERE 
					vpPurchaseOrders.PORef = @PORef+''-1''

 				SELECT 
					@SumOld = Total 
				FROM 
					vpPurchaseOrders 
				WHERE 
					PORef = @TransID

 				INSERT INTO GLWorkDetail
					(GLID, 
					Account, 
					Debit, 
					Credit, 
					Memo, 
					No) 
				VALUES 
					(@IDD, 
					''Freight Expense'', 
					@Freight, 
					0, 
					''Freight'', 
					@BID)

 				INSERT INTO GLWorkDetail
					(GLID, 
					Account, 
					Debit, 
					Credit, 
					Memo, 
					No) 
				VALUES 
					(@IDD, 
					''Accounts Payable'', 
					0, 
					@SumOld, 
					''AP'', 
					@BID+10) 

 				INSERT INTO GLWorkDetail
					(GLID, 
					Account, 
					Debit, 
					Credit, 
					Memo, 
					No) 
				VALUES 
					(@IDD, 
					''Discounts'', 
					0, 
					@DSC, 
					''Discount'', 
					@BID+20) 

 				INSERT INTO GLWorkDetail
					(GLID, 
					Account, 
					Debit, 
					Credit, 
					Memo, 
					No) 
				VALUES 
					(@IDD, 
					''Other Expense'', 
					@OtherCharges, 
					0, 
					''Charge'',
					@BID+30) 
 
 				UPDATE 
					lsVendors 
				SET 
					Balance = Balance + @SumOld 
				WHERE 
					VendorName = @Vendor
 			
				-- posts it to GL
 				EXEC PostGLWorkDetail @IDD

 				SELECT 
					@Date = Date, 
					@DueDate = DueDate, 
					@Term = Term, 
					@VendorInvoice = VendorInvoice, 
					@PORef = PORef, 
					@Total = Total, 
					@Vendor = Vendor, 
					@Freight = Freight, 
					@Discount = Discount, 
					@OtherCharges = OtherCharges 
				FROM 
					vpPurchaseOrders 
				WHERE 
					PORef = @TransID

 				INSERT INTO vpBills
					(Date, 
					Vendor, 
					Reference, 
					Type, 
					Term, 
					DueDate, 
					VendorInvoice, 
					Freight, 
					Discount, 
					OtherCharges, 
					Amount, 
					Memo, 
					PayAmount, 
					DueAmount, 
					PostedYN, 
					PORef) 
				VALUES
					(CONVERT(varchar, @Date, 101), 
					@Vendor, 
					@PORef, 
					''Receiving'', 
					@Term, 
					@DueDate, 
					@VendorInvoice, 
					@Freight, 
					@Discount, 
					@OtherCharges, 
					@Total, 
					@Memo, 
					0, 
					@Total, 
					1, 
					@TransID)
			END
		COMMIT TRANSACTION
	END
RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[postBillPayment]    Script Date: 06/05/2007 23:16:36 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[postBillPayment]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'

CREATE    PROCEDURE [dbo].[postBillPayment] @AccNoTF int, @BillID varchar(50), @Account varchar(50), @Amount float, @CheckNo int, @Date datetime, @NewCheckID int, @Total float AS
BEGIN TRANSACTION
DELETE FROM GLWorkDetail
DECLARE @Vendor varchar(50), @PayAmount float, @OrigAmount float, @Reference varchar(50), @InvDate datetime
DECLARE @VenAddr varchar(255), @VenName varchar(50), @VenCity varchar(255), @VenState varchar(25), @VenZip varchar(25)
-- retrieves the fields from the vpBills table
SELECT @InvDate = Date, @Vendor = Vendor, @PayAmount = PayAmount, @OrigAmount = Amount, @Reference = IsNull(VendorInvoice,'''') FROM vpBills WHERE Reference = @BillID
-- gets a new document number
DECLARE @GLID varchar(50)
SELECT @GLID = ''BILLPMT-''+@BillID
-- updates the bill''s payed amount
UPDATE vpBills SET PayAmount = PayAmount + @Amount, DueAmount = Amount - PayAmount - @Amount WHERE Reference = @BillID
-- creates the GL header
DECLARE @IsExist int
Select @IsExist = Count(EntryNo) From GeneralJournalEntry Where EntryNo = ''BILLPMT-''+@BillID
If @IsExist=0
INSERT INTO GeneralJournalEntry(Date, EntryNo, SystemGenerated, PostedYN, TrType, TrID) VALUES (CONVERT(varchar, CURRENT_TIMESTAMP), @GLID, 1, 1, 5, 0)
-- updates the vendor''s balance
UPDATE lsVendors SET Balance = Balance - @Amount WHERE VendorName = @Vendor
-- fills the GL detail lines with the cash amount and the payable amount
INSERT INTO GLWorkDetail(GLID, Account, Debit, Credit, Memo, No) VALUES (@GLID, @Account, 0, @Amount, @VenName, 10)
INSERT INTO GLWorkDetail(GLID, Account, Debit, Credit, Memo, No) VALUES (@GLID, ''Accounts Payable'', @Amount, 0, @VenName, 20)
IF (@AccNoTF=1)
begin
declare @accname varchar(50)
SELECT     @accname=AccountName
FROM         lsAccounts
WHERE     (AccountNumber = @Account)
end
-- creates the payment detail line
IF (@AccNoTF=0)
INSERT INTO vpBillPayments(Reference, Account, Vendor, Date, CheckNo, Amount) VALUES(@BillID, @Account, @Vendor, CONVERT(varchar, CURRENT_TIMESTAMP), @NewCheckID, @Amount)
ELSE
INSERT INTO vpBillPayments(Reference, Account, Vendor, Date, CheckNo, Amount) VALUES(@BillID, @accname, @Vendor, CONVERT(varchar, CURRENT_TIMESTAMP), @NewCheckID, @Amount)
SELECT @VenAddr = Address1, @VenCity = City, @VenState = State, @VenZip = Zip FROM lsVendors WHERE VendorName = @Vendor
-- updates the check''s info
IF (@AccNoTF=0)
UPDATE bChecks SET CheckNo = @CheckNo, Account = @Account, Payee = @Vendor, Address = @VenAddr + '', '' + @VenCity + '' '' + @VenState + '' '' + @VenZip, Date = @Date, Amount = @Total WHERE CheckID = @NewCheckID
ELSE 
UPDATE bChecks SET CheckNo = @CheckNo, Account = @accname, Payee = @Vendor, Address = @VenAddr + '', '' + @VenCity + '' '' + @VenState + '' '' + @VenZip, Date = @Date, Amount = @Total WHERE CheckID = @NewCheckID
INSERT INTO bCheckDetails(CheckID, InvDate, InvRef, InvOrigAmount, Amount, BillID) VALUES(@NewCheckID, @InvDate, @Reference, @OrigAmount, @Amount, @BillID)
UPDATE GeneralJournalEntry SET SystemGenerated = 1, PostedYN = 1, TrType = 2, TrID = @GLID WHERE EntryNo = @GLID
-- posts it to GL
If @IsExist=0
EXEC PostGLWorkDetail @GLID
COMMIT TRANSACTION


' 
END
GO
/****** Object:  StoredProcedure [dbo].[postBILL]    Script Date: 06/05/2007 23:16:36 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[postBILL]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'

CREATE PROCEDURE [dbo].[postBILL] @Reference varchar(50) AS
BEGIN TRANSACTION
DELETE FROM GLWorkDetail
DECLARE @Vendor varchar(50), @Amount float, @Account varchar(50), @ExpAmount float, @GLID varchar(50), @D float, @Freight float, @Charges float, @NewNo int
SELECT @Vendor = Vendor, @Amount = Amount, @D = Discount, @Freight = Freight, @Charges = OtherCharges FROM vpBills WHERE Reference = @Reference
UPDATE lsVendors SET Balance = Balance + @Amount WHERE VendorName = @Vendor
-- creates the GL header
DECLARE @IsExist int
Select @IsExist = Count(EntryNo) From GeneralJournalEntry Where EntryNo = ''VOUCHER '' + @Reference
If @IsExist=0
	INSERT INTO GeneralJournalEntry(Date, EntryNo, SystemGenerated, PostedYN, TrType, TrID) VALUES (CONVERT(varchar, CURRENT_TIMESTAMP, 101), ''VOUCHER '' + @Reference, 1, 1, 1, @Reference)
-- gets a new document number
SELECT @GLID = ''VOUCHER '' + @Reference
-- fills the GL detail lines
INSERT INTO GLWorkDetail(GLID, Account, Debit, Credit, Memo, No) VALUES (@GLID, ''Accounts Payable'', 0, @Amount, ''AP'', 10)
SELECT @NewNo = 20
DECLARE Expenses CURSOR FOR SELECT Account, Amount FROM vpBillExpenses WHERE Reference = @Reference
OPEN Expenses
FETCH NEXT FROM Expenses INTO @Account, @ExpAmount 
WHILE @@FETCH_STATUS = 0
BEGIN
 -- for each bill detail line, post to GL work table
 INSERT INTO GLWorkDetail(GLID, Account, Debit, Credit, Memo, No) VALUES (@GLID, @Account, @ExpAmount, 0, ''Expense'', @NewNo)
 SELECT @NewNo = @NewNo + 10
 FETCH NEXT FROM Expenses INTO @Account, @ExpAmount 
END
CLOSE Expenses
DEALLOCATE Expenses
DECLARE @Discount float
-- applies discounts, if any
SELECT @Discount = (SELECT SUM(Amount) FROM vpBillExpenses WHERE Reference = @Reference) * @D / 100
-- Freight --
-- applies freight charges, if any
INSERT INTO GLWorkDetail(GLID, Account, Debit, Credit, Memo, No) VALUES (@GLID, ''Freight Expense'', @Freight, 0, ''Freight'', @NewNo)
SELECT @NewNo = @NewNo + 10
-- Misc Charges --
-- applies misc charges, if any
INSERT INTO GLWorkDetail(GLID, Account, Debit, Credit, Memo, No) VALUES (@GLID, ''Other Expense'', @Charges, 0, ''Charge'', @NewNo)
SELECT @NewNo = @NewNo + 10
-- Discount --
INSERT INTO GLWorkDetail(GLID, Account, Debit, Credit, Memo, No) VALUES (@GLID, ''Discounts'', 0, @Discount, ''Discount'', @NewNo)
SELECT @NewNo = @NewNo + 10
-- posts it to GL
If @IsExist=0
	EXEC PostGLWorkDetail @GLID
UPDATE vpBills SET PostedYN = 1, PORef = @Reference WHERE Reference = @Reference
COMMIT TRANSACTION


' 
END
GO
/****** Object:  StoredProcedure [dbo].[addVendor]    Script Date: 06/05/2007 23:16:36 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[addVendor]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[addVendor] @vendorid varchar(50),@opbaldate datetime, @openingbalance float, @defexpaccount varchar(50)  AS
BEGIN TRANSACTION
IF @openingbalance<>0 BEGIN
 -- if the opening balance is not 0, the creates a bill for this vendor
 UPDATE lsVendors SET Balance=Balance + @openingbalance
 FROM lsVendors WHERE VendorName=@vendorid
 DECLARE @GLID varchar(50), @NewID varchar(50)
 -- gets a new document number
 SELECT @NewID = MAX(Vouchers)+1 FROM DocNumbers
 WHILE EXISTS(SELECT Reference FROM vpBills WHERE Reference = @NewID)
 BEGIN
  SELECT @NewID = @NewID+Convert(varchar,1)
 END
 -- creates the bill
 INSERT INTO vpBills(Reference, Vendor, Date, DueDate, Amount, Memo, PostedYN) VALUES (@NewID, @vendorid, CONVERT(varchar, @opbaldate,101),CONVERT(varchar,@opbaldate,101),@openingbalance,''Opening Balance'', 1)
 INSERT INTO vpBillExpenses(Reference, Account, Amount, Memo) VALUES (@NewID, @defexpaccount, @openingbalance, ''Opening Balance'') 
 
 DELETE FROM GLWorkDetail
 SELECT @GLID = ''BILL-''+@NewID
 -- creates the GL header
 INSERT INTO GeneralJournalEntry(Date, EntryNo, SystemGenerated, PostedYN, TrType, TrID) VALUES(CONVERT(varchar, CURRENT_TIMESTAMP, 101), @GLID, 1, 1, 1, @NewID)
 -- fills the GL detail line
 INSERT INTO GLWorkDetail(GLID, Account, Debit, Credit, Memo, No) VALUES(@GLID, ''Accounts Payable'', @openingbalance, 0, ''AP'', 10)
DECLARE @No int
 SELECT @No = (IsNull(Max(No), 0)+10) FROM GLWorkDetail WHERE GLID = @GLID
 INSERT INTO GLWorkDetail(GLID, Account, Debit, Credit, Memo, No) VALUES(@GLID, @defexpaccount, 0, @openingbalance, ''Exp Acc'', @No)
 -- posts it to GL
 EXEC PostGLWorkDetail @GLID
END
COMMIT TRANSACTION


' 
END
GO
/****** Object:  StoredProcedure [dbo].[SplitPO]    Script Date: 06/05/2007 23:16:36 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[SplitPO]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[SplitPO] @TransID varchar(50) AS
DECLARE @a float,
 @IDD varchar(50),
 @NewRef nvarchar(20),
 @PORef nvarchar(20),
 @Date datetime,
 @DueDate datetime,
 @Vendor varchar(50),
 @Class varchar(50),
 @Memo nvarchar(50),
 @BillTo nvarchar(150),
 @ShipTo nvarchar(150),
 @ReceiveBy datetime,
 @VendorMessage nvarchar(50),
 @ShipVia varchar(50),
 @TrackingNumber nvarchar(50),
 @VendorInvoice nvarchar(20),
 @Total float,
 @Term varchar(50),
 @ID int,
 @No int,
 @Item varchar(50),
 @Quantity float,
 @ReceivedQty float,
 @Rate float,
 @Freight float,
 @Discount float,
 @OtherCharges float,
 @Amount float,
 @Description nvarchar(255),
 @Project varchar(50)
BEGIN TRANSACTION
DECLARE @DiscAmount float, @DC varchar(50)
-- gets a new document number
SELECT @IDD = ''REC-'' + @TransID
SELECT @Date = Date, @DueDate = DueDate, @Term = Term, @VendorInvoice = VendorInvoice, @PORef = PORef, @Total = Total, @Vendor = Vendor, @Freight = Freight, @Discount = Discount, @OtherCharges = OtherCharges FROM vpPurchaseOrders WHERE PORef = @TransID
Select @a = SUM(Quantity-ReceivedQty) FROM vpPurchaseOrderDetails WHERE vpPurchaseOrderDetails.PORef = @TransID
IF @a=0
BEGIN
 -- The PO was fully received --
 DELETE FROM GLWorkDetail
 -- Update the Received flag --
 UPDATE vpPurchaseOrders SET ReceivedYN=1 WHERE vpPurchaseOrders.PORef = @TransID
 UPDATE lsVendors SET Balance = Balance + @Total WHERE VendorName = @Vendor
 INSERT INTO GeneralJournalEntry(Date, EntryNo, TrType, TrID, PostedYN, SystemGenerated) VALUES (CONVERT(varchar, CURRENT_TIMESTAMP), @IDD, 2, @TransID, 1, 1)
 SELECT @DiscAmount = (SELECT SUM(Amount) FROM vpPurchaseOrderDetails WHERE PORef = @TransID) * @Discount / 100
 INSERT INTO GLWorkDetail(GLID, Account, Debit, Credit, Memo, No) VALUES (@IDD, ''Freight Expense'', @Freight, 0, ''Freight'', 10)
 INSERT INTO GLWorkDetail(GLID, Account, Debit, Credit, Memo, No) VALUES (@IDD, ''Accounts Payable'', 0, @Total, ''AP'', 20)
 INSERT INTO GLWorkDetail(GLID, Account, Debit, Credit, Memo, No) VALUES (@IDD, ''Discounts'', 0, @DiscAmount, ''Discount'', 30)
 INSERT INTO GLWorkDetail(GLID, Account, Debit, Credit, Memo, No) VALUES (@IDD, ''Other Expense'', @OtherCharges, 0, ''Charge'', 40)
 INSERT INTO vpBills(Date, Vendor, Reference, Type, Term, DueDate, VendorInvoice, Freight, Discount, OtherCharges, Amount, Memo, PayAmount, DueAmount, PostedYN, PORef) VALUES(CONVERT(varchar, @Date, 101), @Vendor, @PORef, ''Receiving'', @Term, @DueDate, @VendorInvoice, @Freight, @Discount, @OtherCharges, @Total, @Memo, 0, @Total, 1, @TransID)
 DECLARE @BID int
 SELECT @BID = 50
 DECLARE @AssetAccount varchar(50)
 DECLARE Curs1 CURSOR FOR SELECT Item, Quantity, ReceivedQty, Rate, AssetAccount FROM vpPurchaseOrderDetails INNER JOIN lsItems ON vpPurchaseOrderDetails.Item = lsItems.ItemName WHERE PORef=@TransID
 OPEN Curs1
 FETCH NEXT FROM Curs1 INTO @Item, @Quantity, @ReceivedQty, @Rate, @AssetAccount
 WHILE @@FETCH_STATUS = 0
 BEGIN
  UPDATE lsItems SET QuantityOnHand = QuantityOnHand + @ReceivedQty WHERE ItemName = @Item
  INSERT INTO GLWorkDetail(GLID, Account, Debit, Credit, Memo, No) VALUES (@IDD, @AssetAccount , @Rate * @Quantity, 0, ''INV Asset'', @BID)
  SELECT @BID = @BID + 1
  FETCH NEXT FROM Curs1 INTO @Item, @Quantity, @ReceivedQty, @Rate, @AssetAccount
 END
 CLOSE Curs1
 DEALLOCATE Curs1
 EXEC PostGLWorkDetail @IDD
END
ELSE
BEGIN
 -- The PO must be split, the items were partially received --
 DELETE FROM GLWorkDetail
 -- Insert a new row representing the new PO --
 SELECT @PORef = PORef, @Date=Date, @Class = Class, @Memo=Memo, @BillTo =BillTo,@ShipTo=ShipTo,@ReceiveBy=ReceiveBy,@VendorMessage=VendorMessage, @ShipVia=ShipVia, @TrackingNumber=TrackingNumber, @VendorInvoice = VendorInvoice FROM vpPurchaseOrders WHERE PORef=@TransID
 INSERT INTO vpPurchaseOrders(PORef, Date, Vendor, Class, Memo, BillTo, ShipTo, ReceiveBy, VendorMessage, ShipVia, TrackingNumber, Freight, Discount, OtherCharges, Total, ReceivedYN ) VALUES (@PORef+''-1'',@Date,@Vendor,@Class,@Memo,@BillTo,@ShipTo, @ReceiveBy,@VendorMessage,@ShipVia,@TrackingNumber, 0, @Discount, 0, @Total,0)
 -- Post the received items --
 
 INSERT INTO GeneralJournalEntry(Date, EntryNo, TrType, TrID, PostedYN, SystemGenerated) VALUES (CONVERT(varchar, CURRENT_TIMESTAMP), @IDD, 2, @TransID, 1, 1)
 DECLARE Curs1 CURSOR FOR SELECT ID, PORef, No, Item, Quantity, ReceivedQty, Rate, Amount, Description, Project, AssetAccount FROM vpPurchaseOrderDetails INNER JOIN lsItems ON vpPurchaseOrderDetails.Item = lsItems.ItemName WHERE PORef = @TransID
 SELECT @BID = 10 
 OPEN Curs1
 FETCH NEXT FROM Curs1 INTO @ID, @PORef, @No, @Item, @Quantity, @ReceivedQty, @Rate, @Amount, @Description, @Project, @AssetAccount
 WHILE @@FETCH_STATUS = 0
 BEGIN
  IF @Quantity - @ReceivedQty<>0
  BEGIN
   -- the received qty is different then the ordered qty --
   INSERT INTO vpPurchaseOrderDetails(PORef, No, Item, Quantity, ReceivedQty, Rate, Amount, Description, Project) VALUES(@PORef+''-1'', @No, @Item, @Quantity - @ReceivedQty, 0, @Rate, @Rate * (@Quantity - @ReceivedQty), @Description, @Project)
   UPDATE vpPurchaseOrderDetails SET Quantity = ReceivedQty, Amount = Rate * ReceivedQty WHERE ID=@ID
   INSERT INTO GLWorkDetail(GLID, Account, Debit, Credit, Memo, No) VALUES (@IDD, @AssetAccount, @Rate * @ReceivedQty, 0, ''INV Asset'', @BID)
   SELECT @BID = @BID + 10
  END
  ELSE
  BEGIN
   INSERT INTO GLWorkDetail(GLID, Account, Debit, Credit, Memo, No) VALUES (@IDD, @AssetAccount, @Rate * @ReceivedQty, 0, ''INV Asset'', @BID)
   SELECT @BID = @BID + 10
  END
  UPDATE lsItems SET QuantityOnHand = QuantityOnHand + @ReceivedQty WHERE ItemName = @Item
  FETCH NEXT FROM Curs1 INTO @ID, @PORef, @No, @Item, @Quantity, @ReceivedQty, @Rate, @Amount, @Description, @Project, @AssetAccount
 END
 CLOSE Curs1
 DEALLOCATE Curs1
 DECLARE @SumOld float, @DSC float
 SELECT @SumOld = SUM(Amount), @DSC = SUM(Amount) * @Discount / 100 FROM vpPurchaseOrderDetails WHERE PORef = @TransID
 
 UPDATE vpPurchaseOrders SET ReceivedYN = 1, Total = @SumOld + Freight + OtherCharges - @DSC WHERE vpPurchaseOrders.PORef = @TransID
 SELECT @SumOld = SUM(Amount), @DSC = SUM(Amount) * @Discount / 100 FROM vpPurchaseOrderDetails WHERE PORef=@PORef+''-1''
 UPDATE vpPurchaseOrders SET Total = @SumOld - @DSC WHERE vpPurchaseOrders.PORef = @PORef+''-1''
 SELECT @SumOld = Total FROM vpPurchaseOrders WHERE PORef = @TransID
 INSERT INTO GLWorkDetail(GLID, Account, Debit, Credit, Memo, No) VALUES (@IDD, ''Freight Expense'', @Freight, 0, ''Freight'', @BID)
 INSERT INTO GLWorkDetail(GLID, Account, Debit, Credit, Memo, No) VALUES (@IDD, ''Accounts Payable'', 0, @SumOld, ''AP'', @BID+10) 
 INSERT INTO GLWorkDetail(GLID, Account, Debit, Credit, Memo, No) VALUES (@IDD, ''Discounts'', 0, @DSC, ''Discount'', @BID+20) 
 INSERT INTO GLWorkDetail(GLID, Account, Debit, Credit, Memo, No) VALUES (@IDD, ''Other Expense'', @OtherCharges, 0, ''Charge'',@BID+30) 
 
 UPDATE lsVendors SET Balance = Balance + @SumOld WHERE VendorName = @Vendor
 -- posts it to GL
 EXEC PostGLWorkDetail @IDD
 SELECT @Date = Date, @DueDate = DueDate, @Term = Term, @VendorInvoice = VendorInvoice, @PORef = PORef, @Total = Total, @Vendor = Vendor, @Freight = Freight, @Discount = Discount, @OtherCharges = OtherCharges FROM vpPurchaseOrders WHERE PORef = @TransID
 INSERT INTO vpBills(Date, Vendor, Reference, Type, Term, DueDate, VendorInvoice, Freight, Discount, OtherCharges, Amount, Memo, PayAmount, DueAmount, PostedYN, PORef) VALUES(CONVERT(varchar, @Date, 101), @Vendor, @PORef, ''Receiving'', @Term, @DueDate, @VendorInvoice, @Freight, @Discount, @OtherCharges, @Total, @Memo, 0, @Total, 1, @TransID)
END
COMMIT TRANSACTION

' 
END
GO
/****** Object:  StoredProcedure [dbo].[postINV]    Script Date: 06/05/2007 23:16:36 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[postINV]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE  PROCEDURE [dbo].[postINV] @InvoiceNo varchar(50) AS
BEGIN TRANSACTION
-- posts an invoice to GL
DELETE FROM GLWorkDetail
DECLARE @total float, @taxable float, @SalesTax varchar(50), @Cust varchar(50), @Freight float, @Handling float
SELECT @total = Total, @taxable = TaxTotal, @SalesTax = SalesTax, @Cust = Customer, @Handling = Handling, @Freight = Freight FROM csInvoices WHERE InvoiceNo = @InvoiceNo
-- adds the salesman''s commission, if applicable
DECLARE @Rep varchar(50)
SELECT @Rep = Rep FROM lsCustomers WHERE CustomerName = @Cust
IF @Rep<>''''
BEGIN
 EXEC addCommission @Rep, @total
END
COMMIT TRANSACTION
BEGIN TRANSACTION
DELETE FROM GLWorkDetail
-- updates the inventory
UPDATE lsItems SET QuantityOnHand = QuantityOnHand - csInvoiceItems.Quantity, TotalValue = Cost * (QuantityOnHand - csInvoiceItems.Quantity)
FROM lsItems, csInvoiceItems WHERE csInvoiceItems.InvoiceNo = @InvoiceNo AND lsItems.ItemName = csInvoiceItems.Item AND lsItems.ItemType=1
--modified by ADI 2002/10/10
DECLARE @TaxPercent float
-- gets a new document number
DECLARE @GLID varchar(50)
SELECT @GLID = ''INV '' + CONVERT(varchar, @InvoiceNo)
INSERT INTO GeneralJournalEntry(Date,EntryNo, SystemGenerated, PostedYN, TrType, TrID) VALUES (CONVERT(varchar,CURRENT_TIMESTAMP,101), @GLID, 1, 1, 4, @InvoiceNo)
-- increases the customer''s balance
UPDATE lsCustomers SET Balance = Balance + @total WHERE CustomerName = @Cust
-- debits the Account Receivable account
INSERT INTO GLWorkDetail(GLID, Account, Debit, Credit, Memo, No) VALUES(@GLID, ''Accounts Receivable'',@total,0,''AR'', 10)
DECLARE @Discount float
-- applies the discount, if any
SELECT @Discount = (SELECT SUM(Amount) FROM csInvoiceItems WHERE InvoiceNo = @InvoiceNo) * Discount / 100 FROM csInvoices WHERE InvoiceNo = @InvoiceNo
DECLARE @No int
SELECT @No=20
IF @Discount > 0
BEGIN
 INSERT INTO GLWorkDetail(GLID, Account, Debit, Credit, Memo, No) VALUES(@GLID, ''Dicounts'', @Discount, 0, ''Discount'', @No)
 SELECT @No = @No + 10
END
DECLARE @Quantity float, @Amount float, @Cost float, @COGSAccount varchar(50), @IncomeAccount varchar(50), @SalesPrice float, @AssetAccount varchar(50)
DECLARE GLDetail CURSOR FOR SELECT csInvoiceItems.Quantity, csInvoiceItems.Amount, lsItems.Cost, lsItems.COGSAccount, lsItems.IncomeAccount, lsItems.SalesPrice, lsItems.AssetAccount FROM csInvoiceItems INNER JOIN lsItems ON csInvoiceItems.Item = lsItems.ItemName WHERE InvoiceNo = @InvoiceNo
OPEN GLDetail
FETCH NEXT FROM GLDetail INTO @Quantity, @Amount, @Cost, @COGSAccount, @IncomeAccount, @SalesPrice, @AssetAccount
WHILE @@FETCH_STATUS = 0 BEGIN
 -- posts the item''s account balances: Asset, COGS and Income
 INSERT INTO GLWorkDetail(GLID, Account, Debit, Credit, Memo, No) VALUES(@GLID, @IncomeAccount, 0, @SalesPrice * @Quantity, ''Income Account'', @No)
 SELECT @No = @No + 10
 INSERT INTO GLWorkDetail(GLID, Account, Debit, Credit, Memo, No) VALUES(@GLID,@COGSAccount,@Cost * @Quantity, 0, ''COGS Account'', @No)
 SELECT @No = @No + 10
 INSERT INTO GLWorkDetail(GLID, Account, Debit, Credit, Memo, No) VALUES(@GLID,@AssetAccount,0,@Cost * @Quantity,''Inventory Asset'', @No)
 SELECT @No = @No + 10
 FETCH NEXT FROM GLDetail INTO @Quantity, @Amount, @Cost, @COGSAccount, @IncomeAccount, @SalesPrice, @AssetAccount
END
INSERT INTO GLWorkDetail(GLID, Account, Debit, Credit, Memo, No) VALUES(@GLID, ''Sales'', 0, @Handling + @Freight, ''Sales'', @No)
SELECT @No = @No + 10
CLOSE GLDetail
DEALLOCATE GLDetail
DECLARE @Account varchar(50)
-- applies the sales tax
IF @SalesTax <> "" and @SalesTax<>"No Tax"
BEGIN
 DECLARE @TotalPerc float
 SELECT @TotalPerc=SUM(TaxPercent) FROM lsTaxGroupDetail WHERE GrpID = @SalesTax
 DECLARE Curs1 CURSOR FOR SELECT Account, TaxPercent FROM lsTaxGroupDetail WHERE GrpID = @SalesTax
 OPEN Curs1
 FETCH NEXT FROM Curs1 INTO @Account, @TaxPercent
 WHILE @@FETCH_STATUS = 0
 BEGIN
  INSERT INTO GLWorkDetail(GLID, Account, Debit, Credit, Memo, No) VALUES(@GLID, @Account, 0, @taxable * @TaxPercent / @TotalPerc, ''Sales Tax'', @No)
  SELECT @No = @No + 10
  FETCH NEXT FROM Curs1 INTO @Account, @TaxPercent
 END
 CLOSE Curs1
 DEALLOCATE Curs1
END
-- posts it to GL
EXEC PostGLWorkDetail @GLID
UPDATE csInvoices SET PostedYN = 1 WHERE InvoiceNo = @InvoiceNo
COMMIT TRANSACTION

' 
END
GO
/****** Object:  StoredProcedure [dbo].[addCustomer]    Script Date: 06/05/2007 23:16:36 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[addCustomer]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[addCustomer] @customerid varchar(50), @openingbalance float, @opbaldate datetime AS
BEGIN TRANSACTION
IF @openingbalance<>0
BEGIN
 -- if opening balance is not 0, post an invoice for this customer
 DELETE FROM GLWorkDetail
 DECLARE @GLID varchar(50), @NewID varchar(50)
 DECLARE @G int
 SELECT @G = 1
 -- gets a new document number 
 SELECT @NewID = Max(Invoices) FROM DocNumbers
 WHILE EXISTS(SELECT InvoiceNo FROM csInvoices WHERE InvoiceNo = @NewID)
 BEGIN
  SELECT @NewID = @NewID+COnvert(varchar,1)
 END
 -- create the invoice
 INSERT INTO csInvoices(InvoiceNo, Customer, Memo, Date, DueDate, Total, PostedYN, Term, ShipVia) VALUES(@NewID, @customerid, ''Opening balance'', CONVERT(varchar, @opbaldate,101), CONVERT(varchar,@opbaldate,101),@openingbalance, 1, null, null)
 DECLARE @No int
 SELECT @No = (IsNull(Max(No), 0)+10) FROM csInvoiceItems WHERE InvoiceNo = @NewID
 DECLARE @Item varchar(50)
 SELECT Top 1 @Item = ItemName FROM lsItems 
 INSERT INTO csInvoiceItems(InvoiceNo, No, Item, Description, Amount)
 VALUES(@NewID, @No, @Item, ''Opening balance'', @openingbalance)
 SELECT @GLID = ''CUSTOPBAL-''+@NewID
 -- create the GL header 
 INSERT INTO GeneralJournalEntry(Date, EntryNo, SystemGenerated, PostedYN, TrType, TrID) VALUES(CONVERT(varchar, @opbaldate, 101), @GLID, 1, 1, 4, @NewID)
 -- sets the customer''s balance to the opening balance amount
 UPDATE lsCustomers SET Balance = Balance + @openingbalance
 FROM lsCustomers WHERE CustomerName=@customerid
 -- fills the GL detail lines 
 INSERT INTO GLWorkDetail(GLID, Account, Debit, Credit, Memo, No) VALUES(@GLID, ''Accounts Recievable'', @openingbalance, 0, ''AR'', 10)
 INSERT INTO GLWorkDetail(GLID, Account, Debit, Credit, Memo, No) VALUES(@GLID, ''Opening Balance'', 0, @openingbalance, ''Op Bal'', 20)
 -- posts it to GL
 EXEC PostGLWorkDetail @GLID 
END
COMMIT TRANSACTION


' 
END
GO
/****** Object:  StoredProcedure [dbo].[postCUSTPMT]    Script Date: 06/05/2007 23:16:36 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[postCUSTPMT]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'

CREATE PROCEDURE [dbo].[postCUSTPMT] @MAINID varchar(50) AS
BEGIN TRANSACTION
DELETE FROM GLWorkDetail
DECLARE @Unapplied float, @Balance float, @Customer varchar(50), @Account varchar(50), @PaymentAmount float
-- retrieves the payment''s fields
SELECT @Unapplied = UnappliedAmount, @Customer = Customer, @Account = Account, @PaymentAmount = PaymentAmount FROM csCustomerPayments WHERE Reference = @MAINID
-- updates the customer''s existing credit and balance
UPDATE lsCustomers SET ExistingCredit = @Unapplied, Balance = Balance - @PaymentAmount WHERE CustomerName = @Customer
DECLARE @NewID varchar(50)
-- gets a new document number
SELECT @NewID = ''CUSTPMT-'' + @MAINID
DECLARE @FID varchar(50), @Paid float, @ToPay float
-- creates the GL header
DECLARE @IsExist int
Select @IsExist = Count(EntryNo) From GeneralJournalEntry Where EntryNo = @NewID
If @IsExist=0
	INSERT INTO GeneralJournalEntry(Date, EntryNo, SystemGenerated, PostedYN, TrType, TrID) VALUES(CONVERT(varchar,CURRENT_TIMESTAMP,101), @NewID, 1, 1, 10, @MAINID)
-- the payed amount goes to Accounts Receivable as credit and to the posting account as debit
INSERT INTO GLWorkDetail(GLID, Account, Credit, Debit, Memo, No) VALUES (@NewID, ''Accounts Receivable'', @PaymentAmount, 0, '''', 10)
INSERT INTO GLWorkDetail(GLID, Account, Credit, Debit, Memo, No) VALUES (@NewID, @Account, 0, @PaymentAmount, '''', 20)
-- updates the invoice''s payment information
UPDATE csInvoices SET PayAmount = PayAmount + textboxAmount FROM csCustomerPaymentDetails WHERE InvoiceNo = FID AND Reference = @MAINID
UPDATE csInvoices SET PaidYN = 1 WHERE Total = PayAmount
-- posts it to GL
EXEC PostGLWorkDetail @NewID
COMMIT TRANSACTION


' 
END
GO
/****** Object:  StoredProcedure [dbo].[sp_update_AutoShipOrders]    Script Date: 06/05/2007 23:16:36 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sp_update_AutoShipOrders]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[sp_update_AutoShipOrders]
	@OrderNo varchar (50)
AS
	BEGIN
		UPDATE
			csOrders
		SET	
			csOrders.Billed = 1,
			csOrders.Picked = 1,
			csOrders.Printed = 1,
			csOrders.Shipped = 1,
			csOrders.ShipDate = CONVERT(DATETIME, @@DBTS)
		WHERE
			csOrders.OrderNo = @OrderNo
	END
	BEGIN
		EXEC NewInvoiceShippedOrder @OrderNo
	END

RETURN
' 
END
GO
/****** Object:  StoredProcedure [dbo].[postINVADJ]    Script Date: 06/05/2007 23:16:36 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[postINVADJ]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[postINVADJ] @AdjID varchar(50), @Value float, @AccountID varchar(50) AS
BEGIN TRANSACTION
-- posts an inventory adjustment
DELETE FROM GLWorkDetail
-- gets a new document number
DECLARE @GLID varchar(50)
SELECT @GLID = ''INVADJ-''+@AdjID
INSERT INTO GeneralJournalEntry(Date, EntryNo, SystemGenerated, PostedYN, TrType, TrID) VALUES(CONVERT(varchar, CURRENT_TIMESTAMP, 101), @GLID, 1, 1, 7, @AdjID)
DECLARE C CURSOR FOR SELECT ValueDifference, AssetAccount FROM InventoryAdjustmentDetail INNER JOIN lsItems ON ItemName = Item AND RefNo = @AdjID
OPEN C
DECLARE @VD float, @Acc varchar(50), @No int
SELECT @No = 10
FETCH NEXT FROM C INTO @VD, @Acc
WHILE @@FETCH_STATUS=0
BEGIN
 IF @VD > 0
 BEGIN
  -- if the new value is positive, debits the asset account
  INSERT INTO GLWorkDetail(GLID, Account, Debit, Credit, Memo, No) VALUES(@GLID, @Acc, @VD, 0, ''Inventory'', @No)
  SELECT @No = @No + 10
  INSERT INTO GLWorkDetail(GLID, Account, Debit, Credit, Memo, No) VALUES(@GLID, @AccountID, 0, @VD, ''Adj Account'', @No)
  SELECT @No = @No + 10
 END
 ELSE
 BEGIN
  -- if the new value is negative, credits the asset account
  INSERT INTO GLWorkDetail(GLID, Account, Debit, Credit, Memo, No) VALUES(@GLID, @Acc, 0, @VD, ''Inventory'', @No)
  SELECT @No = @No + 10
  INSERT INTO GLWorkDetail(GLID, Account, Debit, Credit, Memo, No) VALUES(@GLID, @AccountID, @VD, 0, ''Adj Account'', @No)
  SELECT @No = @No + 10
 END
 FETCH NEXT FROM C INTO @VD, @Acc
END
CLOSE C
DEALLOCATE C
-- updates the item quantities
UPDATE lsItems SET QuantityOnHand = NewQty, TotalValue = NewValue
FROM lsItems,InventoryAdjustmentDetail WHERE InventoryAdjustmentDetail.RefNo=@AdjID AND
lsItems.ItemName=InventoryAdjustmentDetail.Item
-- posts it to GL
EXEC PostGLWorkDetail @GLID
UPDATE InventoryAdjustments SET PostedYN = 1 WHERE RefNo = @AdjID
COMMIT TRANSACTION

' 
END
GO
/****** Object:  StoredProcedure [dbo].[postPayEmployees]    Script Date: 06/05/2007 23:16:36 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[postPayEmployees]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[postPayEmployees] @ID int, @Amount float, @Account varchar(50) AS
BEGIN TRANSACTION
UPDATE Commissions SET PaidYN=1 WHERE ID=@ID AND PaidYN=0
DELETE FROM GLWorkDetail
DECLARE @GLID varchar(50)
-- gets a new document number
SELECT @GLID = ''PAYEMPL-''+CONVERT(varchar,@ID)
-- creates the GL header
INSERT INTO GeneralJournalEntry(Date, EntryNo, SystemGenerated, PostedYN, TrType, TrID) VALUES(CONVERT(varchar, CURRENT_TIMESTAMP, 101), @GLID, 1, 1, 8, @GLID)
-- posts the commission from the income account, and debits the employee''s account
DECLARE @No int
 SELECT @No = (IsNull(Max(No), 0)+10) FROM GLWorkDetail WHERE GLID = @GLID
INSERT INTO GLWorkDetail(GLID, Account, Debit, Credit, Memo, No) VALUES(@GLID, ''Sales'', @Amount, 0, ''AP'', @No)
INSERT INTO GLWorkDetail(GLID, Account, Debit, Credit, Memo, No) VALUES(@GLID, @Account, 0, @Amount, '''', @No+10)
-- posts it to GL
EXEC PostGLWorkDetail @GLID
COMMIT TRANSACTION


' 
END
GO
/****** Object:  StoredProcedure [dbo].[postTRANSFR]    Script Date: 06/05/2007 23:16:36 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[postTRANSFR]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE PROCEDURE [dbo].[postTRANSFR] @ID varchar(50), @amount float, @fromaccount varchar(50), @toaccount varchar(50) AS
BEGIN TRANSACTION
DELETE FROM GLWorkDetail
-- gets a new document number
DECLARE @GLID varchar(50)
SELECT @GLID = ''TRNSFR-'' + @ID
INSERT INTO GeneralJournalEntry(Date, EntryNo, SystemGenerated, PostedYN, TrType, TrID) VALUES(CONVERT(varchar, CURRENT_TIMESTAMP, 101), @GLID, 1, 1, 6, @ID)
-- debits and credits the two accounts.
INSERT INTO GLWorkDetail(GLID, Account, Debit, Credit, Memo, No) VALUES(@GLID, @fromaccount, 0, @amount, ''From acc'', 10)
INSERT INTO GLWorkDetail(GLID, Account, Debit, Credit, Memo, No) VALUES(@GLID, @toaccount, @amount, 0, ''To acc'', 20)
-- posts it to GL
EXEC PostGLWorkDetail @GLID
UPDATE bTransferFunds SET PostedYN = 1 WHERE Reference = @ID
COMMIT TRANSACTION

' 
END
GO
/****** Object:  StoredProcedure [dbo].[writeCheck]    Script Date: 06/05/2007 23:16:36 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[writeCheck]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE  PROCEDURE [dbo].[writeCheck] @AccNoTF int,@Account varchar(50), @Vendor varchar(50), @CheckNo as varchar(20), @Date AS datetime, @Amount float, @Ref varchar(20), @Debit varchar(50), @NewCheck int AS
BEGIN TRANSACTION
-- writeCheck = addBill -> postBill -> postBillPayment
DECLARE @NewNo varchar(50)
SELECT @NewNo = convert(varchar, CASE WHEN ((SELECT MAX(Vouchers) + 1 FROM DocNumbers) IS NULL) THEN 1000 ELSE (SELECT MAX(Vouchers) + 1 FROM DocNumbers) END)
UPDATE DocNumbers SET Vouchers = @NewNo
INSERT INTO vpBills(Date, Vendor, Reference, Type, DueDate, VendorInvoice, Freight, Discount, OtherCharges, Amount, PayAmount, DueAmount, PORef, PayYN, CheckID, PostedYN)
   VALUES(@Date, @Vendor, @NewNo,   ''VOUCHER'', @Date, @Ref, 0, 0, 0,@Amount,0, 0, 0, 0, 0,1)
INSERT INTO vpBillExpenses(Reference, Account, Amount, Memo, Project) 
     VALUES(@NewNo, @Debit,  @Amount, '''',  '''')
EXEC addBill @NewNo
EXEC postBill @NewNo
EXEC postBillPayment @AccNoTF, @NewNo, @Account, @Amount, @CheckNo, @Date, @NewCheck, @Amount
COMMIT TRANSACTION

' 
END
GO
/****** Object:  StoredProcedure [dbo].[postPayMany]    Script Date: 06/05/2007 23:16:36 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[postPayMany]') AND type in (N'P', N'PC'))
BEGIN
EXEC dbo.sp_executesql @statement = N'
CREATE   PROCEDURE [dbo].[postPayMany] @AccNoTF int, @Vendor varchar(50), @Account varchar(50), @Amount float, @Date datetime, @GroupID varchar(50) AS
DECLARE @POID varchar(50),
 @DueAmount float,
 @OrigAmount float,
 @CheckNo varchar(20)
BEGIN TRANSACTION
DECLARE Curs1 CURSOR FOR SELECT Reference, Amount, DueAmount FROM vpBills WHERE DueAmount > 0.01 and Vendor = @Vendor AND PostedYN = 1 ORDER BY DueDate DESC
OPEN Curs1
FETCH NEXT FROM Curs1 INTO @POID, @OrigAmount, @DueAmount
DECLARE @NewCheck int
INSERT INTO bChecks(CheckNo) VALUES(0)
SELECT @NewCheck = @@IDENTITY
DECLARE @Total float
SELECT @Total = 0
-- it parses the vpBills table and applies the amount to each bill, until @Amount is 0
SELECT @CheckNo = convert(varchar, CASE WHEN ((SELECT MAX(CheckNo) + 1 FROM DocNumbers) IS NULL) THEN 1000 ELSE (SELECT MAX(CheckNo) + 1 FROM DocNumbers) END)
UPDATE DocNumbers SET CheckNo = CONVERT(int,@CheckNo)
WHILE @@FETCH_STATUS = 0
BEGIN
 IF @Amount >= @DueAmount AND @DueAmount > 0 
 BEGIN
  SELECT @Amount = @Amount - @DueAmount
  -- calls the bill payment routine.
  EXEC postBillPayment @AccNoTF, @POID, @Account, @DueAmount, @CheckNo, @Date, @NewCheck, @OrigAmount
  SELECT @Total = @Total + @DueAmount
 END
 ELSE
 BEGIN
  EXEC postBillPayment @AccNoTF, @POID, @Account, @Amount, @CheckNo, @Date, @NewCheck, @OrigAmount  
  SELECT @Total = @Total + @Amount
  SELECT @Amount = 0
 END
 IF @Amount=0 
  BREAK
 FETCH NEXT FROM Curs1 INTO @POID, @OrigAmount, @DueAmount
END
CLOSE Curs1
DEALLOCATE Curs1
--updates the check entry. GroupID will contain the value generated from the ASP page
UPDATE bChecks SET Amount = @Total, GroupID = @GroupID WHERE CheckID = @NewCheck
COMMIT TRANSACTION

' 
END
GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_vpBills_lsVendors]') AND parent_object_id = OBJECT_ID(N'[dbo].[vpBills]'))
ALTER TABLE [dbo].[vpBills]  WITH NOCHECK ADD  CONSTRAINT [FK_vpBills_lsVendors] FOREIGN KEY([Vendor])
REFERENCES [dbo].[lsVendors] ([VendorName])
GO
ALTER TABLE [dbo].[vpBills] CHECK CONSTRAINT [FK_vpBills_lsVendors]
GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_vpPurchaseOrders_lsShippingMethods]') AND parent_object_id = OBJECT_ID(N'[dbo].[vpPurchaseOrders]'))
ALTER TABLE [dbo].[vpPurchaseOrders]  WITH NOCHECK ADD  CONSTRAINT [FK_vpPurchaseOrders_lsShippingMethods] FOREIGN KEY([ShipVia])
REFERENCES [dbo].[lsShippingMethods] ([ShippingMethod])
GO
ALTER TABLE [dbo].[vpPurchaseOrders] CHECK CONSTRAINT [FK_vpPurchaseOrders_lsShippingMethods]
GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_vpPurchaseOrders_lsTerms]') AND parent_object_id = OBJECT_ID(N'[dbo].[vpPurchaseOrders]'))
ALTER TABLE [dbo].[vpPurchaseOrders]  WITH NOCHECK ADD  CONSTRAINT [FK_vpPurchaseOrders_lsTerms] FOREIGN KEY([Term])
REFERENCES [dbo].[lsTerms] ([Term])
GO
ALTER TABLE [dbo].[vpPurchaseOrders] CHECK CONSTRAINT [FK_vpPurchaseOrders_lsTerms]
GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_vpPurchaseOrders_lsVendors]') AND parent_object_id = OBJECT_ID(N'[dbo].[vpPurchaseOrders]'))
ALTER TABLE [dbo].[vpPurchaseOrders]  WITH NOCHECK ADD  CONSTRAINT [FK_vpPurchaseOrders_lsVendors] FOREIGN KEY([Vendor])
REFERENCES [dbo].[lsVendors] ([VendorName])
GO
ALTER TABLE [dbo].[vpPurchaseOrders] CHECK CONSTRAINT [FK_vpPurchaseOrders_lsVendors]
GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_vpBillPayments_lsAccounts]') AND parent_object_id = OBJECT_ID(N'[dbo].[vpBillPayments]'))
ALTER TABLE [dbo].[vpBillPayments]  WITH NOCHECK ADD  CONSTRAINT [FK_vpBillPayments_lsAccounts] FOREIGN KEY([Account])
REFERENCES [dbo].[lsAccounts] ([AccountName])
GO
ALTER TABLE [dbo].[vpBillPayments] CHECK CONSTRAINT [FK_vpBillPayments_lsAccounts]
GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_vpBillPayments_lsAccounts1]') AND parent_object_id = OBJECT_ID(N'[dbo].[vpBillPayments]'))
ALTER TABLE [dbo].[vpBillPayments]  WITH NOCHECK ADD  CONSTRAINT [FK_vpBillPayments_lsAccounts1] FOREIGN KEY([Account])
REFERENCES [dbo].[lsAccounts] ([AccountName])
GO
ALTER TABLE [dbo].[vpBillPayments] CHECK CONSTRAINT [FK_vpBillPayments_lsAccounts1]
GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_vpBillPayments_lsVendors]') AND parent_object_id = OBJECT_ID(N'[dbo].[vpBillPayments]'))
ALTER TABLE [dbo].[vpBillPayments]  WITH NOCHECK ADD  CONSTRAINT [FK_vpBillPayments_lsVendors] FOREIGN KEY([Vendor])
REFERENCES [dbo].[lsVendors] ([VendorName])
GO
ALTER TABLE [dbo].[vpBillPayments] CHECK CONSTRAINT [FK_vpBillPayments_lsVendors]
GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_csOrders_lsCustomers]') AND parent_object_id = OBJECT_ID(N'[dbo].[csOrders]'))
ALTER TABLE [dbo].[csOrders]  WITH NOCHECK ADD  CONSTRAINT [FK_csOrders_lsCustomers] FOREIGN KEY([Customer])
REFERENCES [dbo].[lsCustomers] ([CustomerName])
GO
ALTER TABLE [dbo].[csOrders] CHECK CONSTRAINT [FK_csOrders_lsCustomers]
GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_csOrders_lsShippingMethods]') AND parent_object_id = OBJECT_ID(N'[dbo].[csOrders]'))
ALTER TABLE [dbo].[csOrders]  WITH NOCHECK ADD  CONSTRAINT [FK_csOrders_lsShippingMethods] FOREIGN KEY([ShipVia])
REFERENCES [dbo].[lsShippingMethods] ([ShippingMethod])
GO
ALTER TABLE [dbo].[csOrders] CHECK CONSTRAINT [FK_csOrders_lsShippingMethods]
GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_csOrders_lsTerms]') AND parent_object_id = OBJECT_ID(N'[dbo].[csOrders]'))
ALTER TABLE [dbo].[csOrders]  WITH NOCHECK ADD  CONSTRAINT [FK_csOrders_lsTerms] FOREIGN KEY([Term])
REFERENCES [dbo].[lsTerms] ([Term])
GO
ALTER TABLE [dbo].[csOrders] CHECK CONSTRAINT [FK_csOrders_lsTerms]
GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_csInvoices_lsCustomers]') AND parent_object_id = OBJECT_ID(N'[dbo].[csInvoices]'))
ALTER TABLE [dbo].[csInvoices]  WITH NOCHECK ADD  CONSTRAINT [FK_csInvoices_lsCustomers] FOREIGN KEY([Customer])
REFERENCES [dbo].[lsCustomers] ([CustomerName])
GO
ALTER TABLE [dbo].[csInvoices] CHECK CONSTRAINT [FK_csInvoices_lsCustomers]
GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_csInvoices_lsShippingMethods]') AND parent_object_id = OBJECT_ID(N'[dbo].[csInvoices]'))
ALTER TABLE [dbo].[csInvoices]  WITH NOCHECK ADD  CONSTRAINT [FK_csInvoices_lsShippingMethods] FOREIGN KEY([ShipVia])
REFERENCES [dbo].[lsShippingMethods] ([ShippingMethod])
GO
ALTER TABLE [dbo].[csInvoices] CHECK CONSTRAINT [FK_csInvoices_lsShippingMethods]
GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_csInvoices_lsTerms]') AND parent_object_id = OBJECT_ID(N'[dbo].[csInvoices]'))
ALTER TABLE [dbo].[csInvoices]  WITH NOCHECK ADD  CONSTRAINT [FK_csInvoices_lsTerms] FOREIGN KEY([Term])
REFERENCES [dbo].[lsTerms] ([Term])
GO
ALTER TABLE [dbo].[csInvoices] CHECK CONSTRAINT [FK_csInvoices_lsTerms]
GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_csInvoices_lsTerms1]') AND parent_object_id = OBJECT_ID(N'[dbo].[csInvoices]'))
ALTER TABLE [dbo].[csInvoices]  WITH NOCHECK ADD  CONSTRAINT [FK_csInvoices_lsTerms1] FOREIGN KEY([Term])
REFERENCES [dbo].[lsTerms] ([Term])
GO
ALTER TABLE [dbo].[csInvoices] CHECK CONSTRAINT [FK_csInvoices_lsTerms1]
GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_lsCustomers_lsAccounts]') AND parent_object_id = OBJECT_ID(N'[dbo].[lsCustomers]'))
ALTER TABLE [dbo].[lsCustomers]  WITH NOCHECK ADD  CONSTRAINT [FK_lsCustomers_lsAccounts] FOREIGN KEY([Account])
REFERENCES [dbo].[lsAccounts] ([AccountName])
GO
ALTER TABLE [dbo].[lsCustomers] CHECK CONSTRAINT [FK_lsCustomers_lsAccounts]
GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_lsCustomers_lsAccounts1]') AND parent_object_id = OBJECT_ID(N'[dbo].[lsCustomers]'))
ALTER TABLE [dbo].[lsCustomers]  WITH NOCHECK ADD  CONSTRAINT [FK_lsCustomers_lsAccounts1] FOREIGN KEY([Account])
REFERENCES [dbo].[lsAccounts] ([AccountName])
GO
ALTER TABLE [dbo].[lsCustomers] CHECK CONSTRAINT [FK_lsCustomers_lsAccounts1]
GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_lsCustomers_lsEmployees]') AND parent_object_id = OBJECT_ID(N'[dbo].[lsCustomers]'))
ALTER TABLE [dbo].[lsCustomers]  WITH NOCHECK ADD  CONSTRAINT [FK_lsCustomers_lsEmployees] FOREIGN KEY([Rep])
REFERENCES [dbo].[lsEmployees] ([EmployeeName])
GO
ALTER TABLE [dbo].[lsCustomers] CHECK CONSTRAINT [FK_lsCustomers_lsEmployees]
GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_lsCustomers_lsTerms]') AND parent_object_id = OBJECT_ID(N'[dbo].[lsCustomers]'))
ALTER TABLE [dbo].[lsCustomers]  WITH NOCHECK ADD  CONSTRAINT [FK_lsCustomers_lsTerms] FOREIGN KEY([Term])
REFERENCES [dbo].[lsTerms] ([Term])
GO
ALTER TABLE [dbo].[lsCustomers] CHECK CONSTRAINT [FK_lsCustomers_lsTerms]
GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_csCustomerCredits_lsCustomers]') AND parent_object_id = OBJECT_ID(N'[dbo].[csCustomerCredits]'))
ALTER TABLE [dbo].[csCustomerCredits]  WITH NOCHECK ADD  CONSTRAINT [FK_csCustomerCredits_lsCustomers] FOREIGN KEY([Customer])
REFERENCES [dbo].[lsCustomers] ([CustomerName])
GO
ALTER TABLE [dbo].[csCustomerCredits] CHECK CONSTRAINT [FK_csCustomerCredits_lsCustomers]
GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_csCustomerPayments_lsAccounts]') AND parent_object_id = OBJECT_ID(N'[dbo].[csCustomerPayments]'))
ALTER TABLE [dbo].[csCustomerPayments]  WITH NOCHECK ADD  CONSTRAINT [FK_csCustomerPayments_lsAccounts] FOREIGN KEY([Account])
REFERENCES [dbo].[lsAccounts] ([AccountName])
GO
ALTER TABLE [dbo].[csCustomerPayments] CHECK CONSTRAINT [FK_csCustomerPayments_lsAccounts]
GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_csCustomerPayments_lsCustomers]') AND parent_object_id = OBJECT_ID(N'[dbo].[csCustomerPayments]'))
ALTER TABLE [dbo].[csCustomerPayments]  WITH NOCHECK ADD  CONSTRAINT [FK_csCustomerPayments_lsCustomers] FOREIGN KEY([Customer])
REFERENCES [dbo].[lsCustomers] ([CustomerName])
GO
ALTER TABLE [dbo].[csCustomerPayments] CHECK CONSTRAINT [FK_csCustomerPayments_lsCustomers]
GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_lsProjects_lsCustomers]') AND parent_object_id = OBJECT_ID(N'[dbo].[lsProjects]'))
ALTER TABLE [dbo].[lsProjects]  WITH NOCHECK ADD  CONSTRAINT [FK_lsProjects_lsCustomers] FOREIGN KEY([Customer])
REFERENCES [dbo].[lsCustomers] ([CustomerName])
GO
ALTER TABLE [dbo].[lsProjects] CHECK CONSTRAINT [FK_lsProjects_lsCustomers]
GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_lsProjects_lsEmployees]') AND parent_object_id = OBJECT_ID(N'[dbo].[lsProjects]'))
ALTER TABLE [dbo].[lsProjects]  WITH NOCHECK ADD  CONSTRAINT [FK_lsProjects_lsEmployees] FOREIGN KEY([ProjectManager])
REFERENCES [dbo].[lsEmployees] ([EmployeeName])
GO
ALTER TABLE [dbo].[lsProjects] CHECK CONSTRAINT [FK_lsProjects_lsEmployees]
GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_TimeTracking_lsEmployees]') AND parent_object_id = OBJECT_ID(N'[dbo].[TimeTracking]'))
ALTER TABLE [dbo].[TimeTracking]  WITH NOCHECK ADD  CONSTRAINT [FK_TimeTracking_lsEmployees] FOREIGN KEY([Employee])
REFERENCES [dbo].[lsEmployees] ([EmployeeName])
GO
ALTER TABLE [dbo].[TimeTracking] CHECK CONSTRAINT [FK_TimeTracking_lsEmployees]
GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_lsAccounts_lsAccountTypes]') AND parent_object_id = OBJECT_ID(N'[dbo].[lsAccounts]'))
ALTER TABLE [dbo].[lsAccounts]  WITH NOCHECK ADD  CONSTRAINT [FK_lsAccounts_lsAccountTypes] FOREIGN KEY([AccountType])
REFERENCES [dbo].[lsAccountTypes] ([Description])
GO
ALTER TABLE [dbo].[lsAccounts] CHECK CONSTRAINT [FK_lsAccounts_lsAccountTypes]
GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_EmpChecks_lsAccounts]') AND parent_object_id = OBJECT_ID(N'[dbo].[EmpChecks]'))
ALTER TABLE [dbo].[EmpChecks]  WITH NOCHECK ADD  CONSTRAINT [FK_EmpChecks_lsAccounts] FOREIGN KEY([Account])
REFERENCES [dbo].[lsAccounts] ([AccountName])
GO
ALTER TABLE [dbo].[EmpChecks] CHECK CONSTRAINT [FK_EmpChecks_lsAccounts]
GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_InventoryAdjustments_lsAccounts]') AND parent_object_id = OBJECT_ID(N'[dbo].[InventoryAdjustments]'))
ALTER TABLE [dbo].[InventoryAdjustments]  WITH NOCHECK ADD  CONSTRAINT [FK_InventoryAdjustments_lsAccounts] FOREIGN KEY([AdjustmentAccount])
REFERENCES [dbo].[lsAccounts] ([AccountName])
GO
ALTER TABLE [dbo].[InventoryAdjustments] CHECK CONSTRAINT [FK_InventoryAdjustments_lsAccounts]
GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_lsTaxes_lsAccounts]') AND parent_object_id = OBJECT_ID(N'[dbo].[lsTaxes]'))
ALTER TABLE [dbo].[lsTaxes]  WITH NOCHECK ADD  CONSTRAINT [FK_lsTaxes_lsAccounts] FOREIGN KEY([Account])
REFERENCES [dbo].[lsAccounts] ([AccountName])
GO
ALTER TABLE [dbo].[lsTaxes] CHECK CONSTRAINT [FK_lsTaxes_lsAccounts]
GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_lsVendors_lsAccounts]') AND parent_object_id = OBJECT_ID(N'[dbo].[lsVendors]'))
ALTER TABLE [dbo].[lsVendors]  WITH NOCHECK ADD  CONSTRAINT [FK_lsVendors_lsAccounts] FOREIGN KEY([DefaultExpenseAccount])
REFERENCES [dbo].[lsAccounts] ([AccountName])
GO
ALTER TABLE [dbo].[lsVendors] CHECK CONSTRAINT [FK_lsVendors_lsAccounts]
GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_lsEmployees_lsAccounts]') AND parent_object_id = OBJECT_ID(N'[dbo].[lsEmployees]'))
ALTER TABLE [dbo].[lsEmployees]  WITH NOCHECK ADD  CONSTRAINT [FK_lsEmployees_lsAccounts] FOREIGN KEY([Account])
REFERENCES [dbo].[lsAccounts] ([AccountName])
GO
ALTER TABLE [dbo].[lsEmployees] CHECK CONSTRAINT [FK_lsEmployees_lsAccounts]
GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_lsItems_lsAccounts]') AND parent_object_id = OBJECT_ID(N'[dbo].[lsItems]'))
ALTER TABLE [dbo].[lsItems]  WITH NOCHECK ADD  CONSTRAINT [FK_lsItems_lsAccounts] FOREIGN KEY([COGSAccount])
REFERENCES [dbo].[lsAccounts] ([AccountName])
GO
ALTER TABLE [dbo].[lsItems] CHECK CONSTRAINT [FK_lsItems_lsAccounts]
GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_lsItems_lsAccounts1]') AND parent_object_id = OBJECT_ID(N'[dbo].[lsItems]'))
ALTER TABLE [dbo].[lsItems]  WITH NOCHECK ADD  CONSTRAINT [FK_lsItems_lsAccounts1] FOREIGN KEY([IncomeAccount])
REFERENCES [dbo].[lsAccounts] ([AccountName])
GO
ALTER TABLE [dbo].[lsItems] CHECK CONSTRAINT [FK_lsItems_lsAccounts1]
GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_lsItems_lsAccounts2]') AND parent_object_id = OBJECT_ID(N'[dbo].[lsItems]'))
ALTER TABLE [dbo].[lsItems]  WITH NOCHECK ADD  CONSTRAINT [FK_lsItems_lsAccounts2] FOREIGN KEY([AssetAccount])
REFERENCES [dbo].[lsAccounts] ([AccountName])
GO
ALTER TABLE [dbo].[lsItems] CHECK CONSTRAINT [FK_lsItems_lsAccounts2]
GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_bTransferFunds_lsAccounts]') AND parent_object_id = OBJECT_ID(N'[dbo].[bTransferFunds]'))
ALTER TABLE [dbo].[bTransferFunds]  WITH NOCHECK ADD  CONSTRAINT [FK_bTransferFunds_lsAccounts] FOREIGN KEY([FromAccount])
REFERENCES [dbo].[lsAccounts] ([AccountName])
GO
ALTER TABLE [dbo].[bTransferFunds] CHECK CONSTRAINT [FK_bTransferFunds_lsAccounts]
GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_bTransferFunds_lsAccounts1]') AND parent_object_id = OBJECT_ID(N'[dbo].[bTransferFunds]'))
ALTER TABLE [dbo].[bTransferFunds]  WITH NOCHECK ADD  CONSTRAINT [FK_bTransferFunds_lsAccounts1] FOREIGN KEY([ToAccount])
REFERENCES [dbo].[lsAccounts] ([AccountName])
GO
ALTER TABLE [dbo].[bTransferFunds] CHECK CONSTRAINT [FK_bTransferFunds_lsAccounts1]
GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_vpBillExpenses_lsAccounts]') AND parent_object_id = OBJECT_ID(N'[dbo].[vpBillExpenses]'))
ALTER TABLE [dbo].[vpBillExpenses]  WITH NOCHECK ADD  CONSTRAINT [FK_vpBillExpenses_lsAccounts] FOREIGN KEY([Account])
REFERENCES [dbo].[lsAccounts] ([AccountName])
GO
ALTER TABLE [dbo].[vpBillExpenses] CHECK CONSTRAINT [FK_vpBillExpenses_lsAccounts]
GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_vpBillExpenses_lsAccounts1]') AND parent_object_id = OBJECT_ID(N'[dbo].[vpBillExpenses]'))
ALTER TABLE [dbo].[vpBillExpenses]  WITH NOCHECK ADD  CONSTRAINT [FK_vpBillExpenses_lsAccounts1] FOREIGN KEY([Account])
REFERENCES [dbo].[lsAccounts] ([AccountName])
GO
ALTER TABLE [dbo].[vpBillExpenses] CHECK CONSTRAINT [FK_vpBillExpenses_lsAccounts1]
GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_bChecks_lsAccounts]') AND parent_object_id = OBJECT_ID(N'[dbo].[bChecks]'))
ALTER TABLE [dbo].[bChecks]  WITH NOCHECK ADD  CONSTRAINT [FK_bChecks_lsAccounts] FOREIGN KEY([Account])
REFERENCES [dbo].[lsAccounts] ([AccountName])
GO
ALTER TABLE [dbo].[bChecks] CHECK CONSTRAINT [FK_bChecks_lsAccounts]
GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_InventoryAdjustmentDetail_lsItems]') AND parent_object_id = OBJECT_ID(N'[dbo].[InventoryAdjustmentDetail]'))
ALTER TABLE [dbo].[InventoryAdjustmentDetail]  WITH NOCHECK ADD  CONSTRAINT [FK_InventoryAdjustmentDetail_lsItems] FOREIGN KEY([Item])
REFERENCES [dbo].[lsItems] ([ItemName])
GO
ALTER TABLE [dbo].[InventoryAdjustmentDetail] CHECK CONSTRAINT [FK_InventoryAdjustmentDetail_lsItems]
GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_vpBillItems_lsItems]') AND parent_object_id = OBJECT_ID(N'[dbo].[vpBillItems]'))
ALTER TABLE [dbo].[vpBillItems]  WITH NOCHECK ADD  CONSTRAINT [FK_vpBillItems_lsItems] FOREIGN KEY([Item])
REFERENCES [dbo].[lsItems] ([ItemName])
GO
ALTER TABLE [dbo].[vpBillItems] CHECK CONSTRAINT [FK_vpBillItems_lsItems]
GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_csInvoiceItems_lsItems]') AND parent_object_id = OBJECT_ID(N'[dbo].[csInvoiceItems]'))
ALTER TABLE [dbo].[csInvoiceItems]  WITH NOCHECK ADD  CONSTRAINT [FK_csInvoiceItems_lsItems] FOREIGN KEY([Item])
REFERENCES [dbo].[lsItems] ([ItemName])
GO
ALTER TABLE [dbo].[csInvoiceItems] CHECK CONSTRAINT [FK_csInvoiceItems_lsItems]
GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_vpPurchaseOrderDetails_lsItems]') AND parent_object_id = OBJECT_ID(N'[dbo].[vpPurchaseOrderDetails]'))
ALTER TABLE [dbo].[vpPurchaseOrderDetails]  WITH NOCHECK ADD  CONSTRAINT [FK_vpPurchaseOrderDetails_lsItems] FOREIGN KEY([Item])
REFERENCES [dbo].[lsItems] ([ItemName])
GO
ALTER TABLE [dbo].[vpPurchaseOrderDetails] CHECK CONSTRAINT [FK_vpPurchaseOrderDetails_lsItems]
GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_csOrderItems_lsItems]') AND parent_object_id = OBJECT_ID(N'[dbo].[csOrderItems]'))
ALTER TABLE [dbo].[csOrderItems]  WITH NOCHECK ADD  CONSTRAINT [FK_csOrderItems_lsItems] FOREIGN KEY([Item])
REFERENCES [dbo].[lsItems] ([ItemName])
GO
ALTER TABLE [dbo].[csOrderItems] CHECK CONSTRAINT [FK_csOrderItems_lsItems]
GO
IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_csCustomerCreditItems_lsItems]') AND parent_object_id = OBJECT_ID(N'[dbo].[csCustomerCreditItems]'))
ALTER TABLE [dbo].[csCustomerCreditItems]  WITH NOCHECK ADD  CONSTRAINT [FK_csCustomerCreditItems_lsItems] FOREIGN KEY([Item])
REFERENCES [dbo].[lsItems] ([ItemName])
GO
ALTER TABLE [dbo].[csCustomerCreditItems] CHECK CONSTRAINT [FK_csCustomerCreditItems_lsItems]
